AIMP v5.40.2722 (01.07.2026)
============================
+ Audio converter: WavPack - support for 32-bit float samples format
* General: localizations has been updated
* General: WavPack codec has been updated to v5.9
* Plugins: scrobbler - Last.fm - in case of an access denied error, the Track Info dialog displays links to web-version of the catalog
- Fixed: General - error creating a file in a folder created by template if the folder name ends with a dot
- Fixed: general - menu cannot be scrolled via mouse wheel if the "scroll inactive windows when I hover over them" option is switched off
- Fixed: General - port number is not extracted from URL if there is no "/" after the port token (regression 5.40)
- Fixed: audio converter - statistics are not taken into account if the "delete sources files" option is switched on and target folder equals to source
- Fixed: audio converter - dither does not switched off when processing files in 24-to-24-bit format
- Fixed: Sound engine - VST - changing the sample rate leads to certain plugins to hanging up
- Fixed: player - does not read disc numbers for CUE that specified as custom tag fields stored in the audio file
- Fixed: player - manual invoking the jump to next track action does not work if the next file is not exists and the "track repeat" option is switched on
- Fixed: plugins - BASS_AAC - does not play certain files to the end
- Fixed: plugins - CDDA - MusicBrainz - wrong artist name is extracted for certain releases
- Fixed: issues from incoming crash-reports


AIMP v5.40.2716 (21.04.2026)
============================
- Fixed: sound engine - player sometimes does not jump to next track if the pause between tracks is enabled (regression 2715)


AIMP v5.40.2715 (11.04.2026)
============================
* Sound Engine: preloading next track starts halfway through the track and at least a minute before the end
- Fixed: sound engine - player does not jump to the next track when playing very short tracks
- Fixed: Skin Engine - showing of the DropWheel dialog may block mouse control on Wine / Windows 11
- Fixed: Tag editor - renaming - selecting the "skip" or "skip all" on duplicate file cancels the operation
- Fixed: tag editor - renaming - incorrect iteration with CUE-splitted files
- Fixed: plugins - podcasts - data located exclusively in the RSS-feed is not shown in UI
- Fixed: issues from incoming crash-reports


AIMP v5.40.2709 (07.03.2026)
============================
* Plugins: WebLyrics - providers list has been updated
- Fixed: audio converter - MP3 - ignores value of target sampling rate setting, the rate was chosen by the codec
- Fixed: audio converter - validation issue when renaming a file
- Fixed: sound engine - DirectSound - does not switch to other device automatically
- Fixed: Sound engine - VST - changing the sample rate was ignored by some plugins.
- Fixed: sound engine - VST - some transcoding configuration lead to memory corruption
- Fixed: player - internet radio - information about playing track is not updated in certain cases
- Fixed: player - internet radio - does not show covers from FLAC streams
- Fixed: player - the playing track jumps back on saving changes in tags
- Fixed: playlist - an error occurs when creating a new group for playlist if the playlist is already in any group
- Fixed: tag editor - incorrect entries sorting by track number column if track total is defined
- Fixed: tag editor - always re-encode album art to PNG format
- Fixed: tag editor - FLAC - value of AlbumArtist tag field is not visible in Mp3tag app
- Fixed: issues from incoming crash-reports


AIMP v5.40.2703 (24.12.2025)
============================
* General: BASS libraries has been updated
* General: localizations has been updated
* General: Monkey's Audio codec has been updated to v11.89
- Fixed: audio converter - file addition progress is not shown
- Fixed: tag editor - chapters - inaccurate navigation thought large MP3-files
- Fixed: issues from incoming crash-reports


AIMP v5.40.2700 (25.11.2025)
============================
* General: performance has been increased
* Tag Editor: chapters editor - added confirmation for unsaved changes
* Tags: OPUS - support for replaygain information that written by rsgain utility
* Tags: encoding detection algorithm has been improved
* File Manager: ignoring meta-files generated by MacOS
- Fixed: general - IPC-client hangs up if IPC-server is unavailable
- Fixed: general - app may crashed/hangs up on closing during PC shutdown (regression 2699)
- Fixed: sound engine - part of track is skipped when switching between output devices
- Fixed: sound engine - spontaneous stuttering can occured due playback if resampler is active
- Fixed: Playlist - playlist name disappears after auto-naming in certain cases
- Fixed: skin engine - high-resolution timers may hang up indefinitely under high OS load
- Fixed: tag editor - trailing dot in tag field is trimmed in renaming tool
- Fixed: music library - total duration of files in table calculates incorrectly
- Fixed: plugins - command line encoder may be skipped when installing from .aimppack on 64-bit app version
- Fixed: issues from incoming crash-reports


AIMP v5.40.2696 (01.10.2025)
============================
* General: localizations has been updated
* Queue: performance has been improved
* Plugins: scheduler - an ability to clone event
- Fixed: tag editor - batch file rename does not work if template does not use data from file tags.
- Fixed: tag editor - state may be not synchronized in the "unknown fields" dialog in certain cases
- Fixed: tag editor - chapters - dialog placement is not remembered
- Fixed: Tag editor - chapters - sorting become broken after manual time editing
- Fixed: tag editor - chapters - zero-indexed chapter is not read from Vorbis Comments
- Fixed: tag editor - chapters - rewind works incorrectly
- Fixed: tag editor - chapters - playback position measurement error
- Fixed: tag editor - chapters - the PageDown/up keystrokes always select first row if selection is empty
- Fixed: skin engine - asynchronous access issues due multi-threaded rendering
- Fixed: plugins - visualizations - full screen mode is not canceled when switching off the visualization (regression 5.40)
- Fixed: Plugins - Scrobbler - Last.fm's provider replaces original track album art
- Fixed: plugins - scheduler - an error occurs on canceling creation of new event
- Fixed: issues from incoming crash-reports


AIMP v5.40.2694 (07.09.2025)
============================
* Player: support for icy-logo key
* Tags: M4A - support for multiple data-fields inside one atom
- Fixed: plugins - MyClouds - already added to playlist tracks cannot be resolved after flush the cache
- Fixed: issues from incoming crash-reports


AIMP v5.40.2691 (15.08.2025)
============================
* General: BASS libraries has been updated
* General: localizations has been updated
* General: compatibility with the Wine 10
* General: Monkey's Audio codec has been updated to v11.36
- Fixed: audio converter - MP3 - ABR profile does not work as expected (regression 5.40)
- Fixed: sound engine - track repeat state does not taken into account inside continuous rewind/fast forward
- Fixed: sound engine - click in end of track if fade out effect is active (regression 5.40)
- Fixed: sound engine - BASS - certain mod-files are not played completely
- Fixed: sound engine - DSP - high latency if target sample rate is higher than source one
- Fixed: sound engine - VST - low FPS of embedded visualizations
- Fixed: sound engine - VST - some transcoding configuration lead to memory corruption
- Fixed: internet radio - url-encoded metadata displays unpacked
- Fixed: playlist - batch export does not work for playlists unloaded from memory
- Fixed: issues from incoming crash-reports


AIMP v5.40.2683 (16.06.2025)
============================
+ Audio converter: support for relative paths
+ Plugins: analog meter -  installing skins using general approach to install addons
* Sound engine: resampler algorithm has been improved
* Player: A-B part repeat - an ability to change milliseconds via dialog
* Skin engine: compatibility with the Start11 app
* Skin engine: memory consumption during skin loading has been reduced
- Fixed: Audio Engine - stuttering in resampler at high frequency ratio (regression 5.40)
- Fixed: Tags editor - data in tags with multiple values may be duplicated in certain cases
- Fixed: tag editor - ID3v2.4 - multiple genre values cannot be load
- Fixed: skin engine - minor issues has been fixed
- Fixed: issues from incoming crash-reports


AIMP v5.40.2675 (27.04.2025)
============================
* General: localizations has been updated
* General: Monkey's Audio codec has been updated to v11.08
* Sound engine: waveform calculation speed has been improved
- Fixed: general - libVorbis built-in to the app conflicts with 3rd party plugins (regression 5.40)
- Fixed: sound engine - changing the sampling frequency does not flush already filled buffers that lead to piece of the track with the old frequency is heard (regression 5.40)
- Fixed: playlist manager - manager marks content as modified after changing playing track in active storage
- Fixed: tag editor - MP4 - unnamed field lead to parser error
- Fixed: Skin Engine - mouse wheel not being transmitted from visualization window to main form (regression 5.40)
- Fixed: music library - Alt+Click at collapsing button in grouping tree works not as expected
- Fixed: issues from incoming crash-reports


AIMP v5.40.2669 (19.03.2025)
============================
+ General: the %Total macro has been added
+ Music library: bookmarks - an ability to remove bookmarks for non-existent files
+ Music library: bookmarks - support for grouping in the table
* General: localizations has been updated
* Audio converter: FLAC codec has been updated to v1.5.0
* Audio converter: Monkey's Audio codec has been updated to v10.96
* Audio converter: OPUS codec has been updated to v1.5.2
* Audio converter: WavPack codec has been updated to v5.8
* Tag Editor: information about the file - date/time of last file modification
* Tag Editor: file renaming edit box has been extended
* Skin-engine: windows-widgets will not minimized only if the window's position is pinned
* Plugins: MyClouds - Google.Drive - no more supported because of access restrictions via API
* Plugins: API has been extended
- Fixed: audio converter - MP3 - VBR encoding mode works incorrectly (regression 5.40)
- Fixed: bookmarks - issues related to automatic catching the bookmarks
- Fixed: sound engine - ASIO - few bugs with playback resuming on some devices
- Fixed: sound engine - stuttering during playback after switching between devices (regression 5.40)
- Fixed: playlist - track repeat stops working after undo
- Fixed: playlist - auto-name does not updated after undo
- Fixed: skin engine - desktop work area was not updated after minimize fixed window
- Fixed: tag editor - ID3v2 - chapters are not saved in the tag if another tag fields has no data
- Fixed: tag editor - OptimFROG - does not recognized by the app if it compression using maximal profile
- Fixed: tag editor - CUE created by AIMP and embedded to file tags cannot be read by Foobar2K
- Fixed: tag editor - the "jump to folder" command does not work (regression 5.40)
- Fixed: general - UI gets flickering if app is running under RDP session (regression 5.40)
- Fixed: issues from incoming crash-reports


AIMP v5.40.2655 (14.01.2025)
============================
* General: localizations has been updated
* Audio converter: OPUS - replay gain is no longer stored to file header - only to file tags
- Fixed: sound engine - tracks starts from 0:05 when switching between tracks on pause and silence removing is activated (regression 5.40)
- Fixed: skin engine - minor issues has been fixed
- Fixed: playlist - default-playlist appear in recycle bin after closing although it saving is disabled
- Fixed: plugins - scheduler - the "return to previous playlist" option works incorrectly in certain cases
- Fixed: Plugins - WebLyrics - data validation does not pass after selection during multi-page parsing (regression 5.40)
- Fixed: issues from incoming crash-reports


AIMP v5.40.2653 (27.12.2024)
============================
* General: localizations has been updated
* General: compatibility with the Wine 9.1
* Music library: an ability to clone grouping tree preset
- Fixed: sound engine - ASIO - playback stops when opening settings dialog (regression 5.40)
- Fixed: sound engine - player jumps 5 seconds from target position when seeking in paused state if silence removing is enabled
- Fixed: skin engine - minor issues has been fixed
- Fixed: issues from incoming crash-reports


AIMP v5.40.2650 RC 2 (19.12.2024)
=================================
+ Plugins: scrobbler - support for self-hosted services based on Maloja
* Plugins: API has been extended
- Fixed: general - settings window displays behind main window if app's taskbar button is switched off (regression 5.40)
- Fixed: sound engine - sound delays when playing CDDA (regression 5.40)
- Fixed: sound engine - impulse limiter of replay gain filter works incorrectly in certain cases (regression 5.40)
- Fixed: UI - few small design issues
- Fixed: Plugins - album art - the artwork disappears when switching between tracks too quickly
- Fixed: plugins - analog meter - VU stops handling in certain cases (regression 2645)
- Fixed: plugins - scrobbler - gdi-resource leak in track information dialog that lead to app crash after some time (regression 5.40)
- Fixed: plugins - information bar - button state poorly distinguishable because of focus frame
- Fixed: issues from incoming crash-reports


AIMP v5.40.2645 RC (08.12.2024)
===============================
* General: localizations has been updated
* General: app code optimization
* Plugins: API has been extended
- Fixed: issues from incoming crash-reports


AIMP v5.40.2643 Beta 4 (03.12.2024)
===================================
+ Tag Editor: album arts - export to JPEG with 90% quality
+ Tag Editor: chapters editor - an ability to auto-numerate the chapters
* General: BASS libraries has been updated
* Player: lyrics with timestamps has priority regardless on source encoding and length
* Plugins: API has been extended
* Plugins: tak_deco_lib has been updated to v2.3.3
- Fixed: issues from incoming crash-reports


AIMP v5.40.2640 Beta 3 (12.11.2024)
===================================
+ Playlist: "send to..." - an ability to generate a playlist file with the sent files
* General: the %FileName macro has optional num parameter that specifies output format
* General: localizations has been updated
* General: app code optimization
* Sound engine: algorithm of silence detection and removing on track edges has been improved
- Fixed: sound engine - internet radio interrupts if it's meta-data contains an empty or invalid APIC frame
- Fixed: sound engine - "Remove silence on track edges" does not work when restarting playback
- Fixed: music library - average calculates incorrectly after migrating to VCL 12.2 (regression 2624)
- Fixed: plugins - compatibility issues with old plugins (regression 2624)
- Fixed: issues from incoming crash-reports


AIMP v5.40.2624 Beta 2 (18.09.2024)
===================================
* General: the VCL library has been updated to v12.2
- Fixed: sound engine - part of track can be heard before the "jump back after long pause" action is performed
- Fixed: skin engine - issues with windows positioning (regression 2623)
- Fixed: issues from incoming crash-reports


AIMP v5.40.2623 Beta 2 (11.09.2024)
===================================
+ General: the %StrTrimDiacritic macro has been added
+ Sound engine: support for 64-bit samples
+ Sound engine: the Reverb, Echo, Flanger and Chorus effects now supports for multi-channel audio
+ Plugins: scheduler - the "return to previous playlist" option is now available for file choice too
+ Plugins: MyClouds - OneDrive - support for paginated response
* General: support for emoji-characters has been improved
* Plugins: podcasts - extended information about error that may happened on download the feed
* Plugins: MyClouds - support for changes in API of cloud services
* Plugins: MyClouds - WebDAV - compatibility has been improved
- Fixed: sound engine - ASIO - right channel broadcasts to all other (regression 5.40)
- Fixed: Playlist - "Discarge" folder was treated as a disk folder
- Fixed: Utilities - command line switches ignored if application is not running (5.40 regression)
- Fixed: plugins - Winamp DSP - secondary modules cannot be unloaded (regression 5.40)
- Fixed: plugins - Winamp DSP - does not recognize the single dll in archive as valid plugin (regression 5.30)
- Fixed: plugins - issues related to backward compatibility
- Fixed: issues from incoming crash-reports


AIMP v5.40.2619 Beta 1 (20.08.2024)
===================================
+ Bookmarks: automatic bookmarks for tracks
+ Playlist: the undo feature
+ Playlist: an ability to group playlists
+ Playlist: the "insert after current" command now takes the shuffle mode into account
+ Playlist: new folder choosing dialog for batch export
+ Playlist: playback progress calculation
+ Tag Editor: alternate album art search with an ability to choose the result
+ Tag Editor: added the pane with information about album art quality
+ Tag Editor: the "album artist" column has been added
+ Tag Editor: an ability to select alternate tag field value in batch editing mode
+ Tag Editor: checking the checkbox next to input field will automatically activate it
* Audio converter: migration to libmp3lame
* General: Monkey's Audio codec has been updated to v10.74
* General: TrueAudio codec has been updated to v2.3
* General: Vorbis codec has been updated to v1.3.7
* Audio converter: encoders became a plug-ins
* Sound engine: performance has been increased
* Skin engine: potential abilities has been extended
* Music Library: grouping by date-time fields has been improved
* Plugins: WebLyrics - providers list has been updated
- Fixed: music library - grouping tree - sorting does not applied to playlist at start playback from the tree


AIMP v5.30.2561 (01.08.2024)
============================
* Common: BASS libraries has been updated
- Fixed: audio converter - the "rating" and "partOfCompilation" tag fields are not transfered to Vorbis Comments
- Fixed: player - navigation issues during playing track in 64-bit version of the app
- Fixed: player - playback tempo is not restored on start playback the playlist where tempo is not set
- Fixed: player - size of virtual track from SACD resets after playback to size of entire image (regression 2540)
- Fixed: skin engine - minor issues has been fixed


AIMP v5.30.2560 (10.07.2024)
============================
- Fixed: player - information about internet track resets in playlist when player goes to next file (regression 2549)
- Fixed: plugins - podcasts - episodes are duplicated on each feed update if the feed url is time-dependent
- Fixed: plugins - memory corruption in Winamp plugin host in 64-bit app version
- Fixed: skin engine - minor issues has been fixed
- Fixed: other minor issues


AIMP v5.30.2555 (12.06.2024)
============================
+ Plugins: MyClouds - support for servers operating in streaming mode only
* General: localizations has been updated
* General: compatibility with the ExplorerPatcher app
* File Manager: the __MACOSX system folder is now ignored
- Fixed: audio converter - an error occurs on attempt to abort multithreaded encoding
- Fixed: sound engine - WASAPI Shared - unable to recognize 32-bit float sample format
- Fixed: sound engine - DSP/VST - adapter cache is not flushed on starting a new track
- Fixed: album arts - extension variation is not taken into account for templates without the asterisks
- Fixed: tag editor - in-place expressions does not work (regression 2549)
- Fixed: Music Library - inconsistent in saved sort template data that lead template cannot be marked as selected
- Fixed: other minor issues


AIMP v5.30.2549 (02.05.2024)
============================
+ Plugins: MyClouds - OneDrive - support for sub-folders inside the "Shared With Me" category
+ Plugins: SACD - support for DSD512
* Plugins: CDDA - MusicBrainz - support for multi-discs releases
* General: OPUS codec has been updated to v1.5.1
- Fixed: general - UI notes and suggestions
- Fixed: audio converter - BASS Decoder settings are being ignored
- Fixed: audio converter - WMA - the "invalid floating-point operation" occurs on attempt to encode to 24-bit Pro using x64 app version
- Fixed: sound engine - errors in operations with certain VST2-plugins
- Fixed: playlist - XSPF - unable to import the playlist by URL if server does not return file size
- Fixed: tag editor - MP3 in DASH-container is being detected as .mp3
- Fixed: tag editor - macros preprocessors works incorrectly with CUE-splitted albums
- Fixed: skin engine - minor issues has been fixed
- Fixed: music library - table smart-refresh works incorrectly in certain cases


AIMP v5.30.2541 (06.03.2024)
============================
- Fixed: playlist - files became inaccessible after app restart if the "save absolute file paths" option is switched off (regression 2540)


AIMP v5.30.2540 (29.02.2024)
============================
+ Sound Engine: AC3 codec support has been added for MKA container
+ Playlist: M3U - support for #EXTGRP tag
+ Playlist: XSPF - support for the "Annotation" and the "Info" fields
* General: localizations has been updated
* General: WavPack codec has been updated to v5.7
* Player: CUE sheets catching algorithm has been improved
* Player: hotkeys editor's usability has been improved
* Playlist: XSPF - improve relative paths generation
* Tag Editor: unknown fields - an ability to delete all at once
* Tag editor: improve performance of batch editing of links to radio stations
- Fixed: audio converter - FLAC / OGG - data from the Key and Catalog tag fields are not transfered to output file
- Fixed: sound engine - WavPack - always decoded in 16-bit mode
- Fixed: sound engine - WASAPI Shared - an error occurs on attempt to initialize Xonar U5 with Sonic Studio under Windows 11
- Fixed: sound engine - WASAPI Shared - unable to recognize 32-bit float sample format
- Fixed: internet radio - playback of high-res lossless streams is unstable
- Fixed: playlist - the "send to" command is unavailable for virtual files (regression 5.30)
- Fixed: playlist - XSPF - url-encoded utf8-paths cannot be resolved
- Fixed: playlist - files became inaccessible after app restart if the "save absolute file paths" option is switched off (regression 2540)
- Fixed: tag editor - few minor issues when operate with chapters in ID3v2
- Fixed: skin engine - TASETabControl - scrolling during dragging does not work (regression 5.30)
- Fixed: music library - flash drive files are deleted from the database during synchronization at app startup if drive letter is changed
- Fixed: plugins - inputFFmpeg - unable to rewind the track if it has reached the end
- Fixed: other minor issues


AIMP v5.30.2533 (20.12.2023)
============================
+ Playlist: M3U - support for #EXTALBUMARTURL tag
* Sound engine: algorithm of silence detection and removing on track edges has been improved
* Player: command to open sound effects manager and focus the "DSP/VST" tab
- Fixed: radio capture - meta-information that defined on playlist side is unavailable for macros (regression 5.30)
- Fixed: sound engine - duration of certain MP3 files with VBR calculates incorrectly
- Fixed: sound engine - errors in operations with certain VST2-plugins
- Fixed: playlist manager - the "file not found" error occurs on attempt to delete few playlist files physically (regression 5.30)
- Fixed: plugins - BASS_ALAC - unable to play ALAC-files with 64-bit atom header
- Fixed: plugins - scheduler - the "pause playback on end of ..." scenario does not work anymore (regression 5.30)
- Fixed: other minor issues


AIMP v5.30.2531 (04.12.2023)
============================
* Audio converter: presets for the OGG aoTuV command line encoder has been added (thanks to Soolo)
- Fixed: sound engine - value of silence duration for removing option uses incorrectly
- Fixed: sound engine - state of volume normalizer resets after app restart (regression 5.30)
- Fixed: sound engine - VST - AV on attempt to reinitialize the plugin
- Fixed: plugins - scrobbler - scrobbling for internet radio does not work (regression 5.30)
- Fixed: plugins - issues related to backward compatibility


AIMP v5.30.2527 RC 2 (01.11.2023)
=================================
* Player: new hidden option - MinimizeAppOnDblClick (ref. to Help)
* Music library: DB requests optimization
- Fixed: sound engine - errors in operations with certain VST2-plugins
- Fixed: skin engine - prvPlaybackQueue.NextTrackInfo does not react to queue changes
- Fixed: skin engine - binding link with file rating works incorrectly (regression 2527)
- Fixed: skin engine - lyrics search request cannot be aborted (regression 2527)
- Fixed: skin engine - errors with finishing the drag-operation on external cancel event
- Fixed: player - stream information resets on start playback using the aimp_openmpt plugin
- Fixed: playlist - XSPF - importing the playlist containing a group information lead to memory corruption
- Fixed: tag editor - settings of the "additional information" pane resets after app restart
- Fixed: equalizer - an empty name can be used for new preset
- Fixed: music library - the "find missed files" does not work for local files (regression 2527)
- Fixed other minor issues


AIMP v5.30.2524 RC (12.10.2023)
===============================
* Tag Editor: now you can choose format for lyrics export
* Tag editor: certain actions now processes in separate thread
* Tags: support for EUC-encodings
* Plugins: BASS_FLAC - updated to v2.4.5.4
- Fixed: sound engine - errors in operations with certain VST2-plugins
- Fixed: plugins - scheduler - the "pause playback" command works as resume too


AIMP v5.30.2520 Beta (02.10.2023)
=================================
+ Bookmarks: support for "find missed files"
+ Music Library: support for mathematic operators with data of the "year" field
* General: localizations has been updated
* UI: hints for alternative controls actions
* UI: improved support of Windows dark mode
* Playlist: improved performance of operations on large playlists
* Plugins: BASS_OPUS - updated to v2.4.2.4
- Fixed: DSP manager - the Ok button in EQ presets dialog is always inaccessible (regression 2512)
- Fixed: tags - AIFC - incorrect information about audio stream
- Fixed: tags - AAC - ID3 / APE tags are ignored
- Fixed other minor issues


AIMP v5.30.2512 Beta (03.09.2023)
=================================
* Plugins: added an ability to plug the VST-effects directly from their work folders
* Plugins: FLAC encoder has been updated to v1.4.3
- Fixed: sound engine - peak based volume normalization works incorrectly (regression 5.30)
- Fixed: sound engine - WASAPI output mode is unavailable for Windows Vista
- Fixed: radio capture - meta-information about the station is unavailable (regression 5.30)
- Fixed: skin engine - snap to screen edges and other windows does not work (regression 5.30)
- Fixed: music library - playback accounting works incorrectly for short tracks with 100% threshold
- Fixed other minor issues


AIMP v5.30.2510 Beta (20.08.2023)
=================================
* General: localizations has been updated
* Plugins: API has been extended
* Playlist: an ability to search whole phrase - just enclose the phrase in quotes
- Fixed: sound engine - an error occurs on app termination if one of standard sound effects is active (regression 5.30)
- Fixed: player - remote file's meta are resets on start playing the file (regression 5.30)
- Fixed: playlist - an error occurs on attempt to show context menu, if playlist contains virtual tracks (regression 5.30)
- Fixed other minor issues


AIMP v5.30.2505 Beta (08.08.2023)
=================================
+ General: added the %ReplaceEx(..) macro
+ Sound engine: support for VST-plugins
+ Sound engine: support for 768 kHz sampling rate
+ Sound engine: ability to use few DSP plugins at same time
+ Tag editor: ability to undo last three changes
+ Tag Editor: added support of "Key" tag field
+ Tag Editor: detailed information about the errors
+ Player: added the "Rotating the mouse wheel off the controls adjusts volume" option
+ Playlist: ability to delete track along with the parent folder
+ Playlist: batch export and update operations
+ Tags: the "save album art to file folder" option has been added
+ Plugins: information bar - ability to show app's notifications
+ Plugins: information bar - the "%Playlist" macro has been added
+ Plugins: information bar - the "Card" now remembers position set by user
* General: optimizations for small notebook screens
* Playlist: reading speed of files in XSPF format has been increased twice
* Music library: improved performance of operations on large databases


AIMP v5.11.2436 (02.10.2023)
============================
* General: digital signature has been updated
* Plugins: BASS_OPUS - updated to v2.4.2.4


AIMP v5.11.2435 (20.08.2023)
============================
- Fixed: plugins - MyClouds - unable to play files from DropBox cloud storage


AIMP v5.11.2434 (31.07.2023)
============================
* General: localizations has been updated
* Player: support for album arts for internet radio station that specified in streamUrl tag
* Plugins: BASS_HSL - updated to v2.4.4
- Fixed: playlist - the "move to" operation does not update references in unloaded playlists
- Fixed: tag editor - invoke the %in macro lead to app crash


AIMP v5.11.2432 (07.06.2023)
============================
* General: localizations has been updated
* General: 3rd party libraries has been updated
* Sound engine: improved preset search algorithm by genre
- Fixed: sound engine - ASIO - an error occurs on attempt to initialize the device using more than 8 channels
- Fixed: sound engine - MP4 - the BASS decoders tries to play mp3-stream from mp4 file as regular mp3 file that lead to incorrect result
- Fixed: tags - ID3v2 - the "album artists" field ignores multiple values
- Fixed: music library - issues related to viewport restoring after data changes
- Fixed: plugins - WebLyrics - the \uXXXX macro does not handled
- Fixed other minor issues


AIMP v5.11.2429 (07.04.2023)
============================
* Plugins: WebLyrics - providers list has been updated
- Fixed: sound engine - unable to pause remote tracks (regression 2427)
- Fixed: tag editor - an error occurs when closing the app if a plugin is installed that extends album art catalogs
- Fixed: tag editor - FLAC - produces an corrupted bit-steam if meta-data size is more than 16 MB


AIMP v5.11.2427 (29.03.2023)
============================
+ Tag Editor: option to remove ID3v1 tag forcely
+ Plugins: WebLyrics - support for LRC-encoded lyrics
* General: lithuanian localization has been added
* General: the FLAC codec has been updated to v1.4.2
* Sound engine: ability to pause internet radio
* Playlist: ability to clone items via drag-n-drop holding the Ctrl keystroke
- Fixed: player - does not jump to next URL in playlist, if station stops broadcasting while app is playing
- Fixed: player - another find lyrics options has no effect, if the "find in file tags" option is switched off and file contains lyrics in tags
- Fixed: player - an error occurs when trying to preview album art that fetched via URL that length more 256 characters
- Fixed: playlist - XSPF - url-encoded remote links resolves incorrectly
- Fixed: skin engine - Linux - maximized window does not fit to edges work area
- Fixed: tag editor - pink color of album art doesn't turn gray when uncheck the field's option
- Fixed: plugins - BASS_WV (64-bit) - causes the application to crash when decoding some files
- Fixed: plugins - FFmpeg - unable to decode audio stream in MP3 (mp3float) from MP4-container
- Fixed: plugins - scheduler - the "return to previous playlist" option does not work (regression 2417)


AIMP v5.11.2421 (30.01.2023)
============================
+ Audio converter: support for QAAC64 command line encoder
+ Player: internet-radio - support for JSON-based metadata
+ Player: internet radio - support for streams with 24 bit per sample or above
+ Playlist: support for "comment" tag field
+ Music library: group table items by parent folder (use filename column for that)
* General: WavPack codec has been updated to v5.6
* General: support for surrogate characters in utf8-encoded strings
* Skin engine: memory consumption that required for text rendering reduced at 33%
- Fixed: player - chapters in QuickTime format (MP4) cannot be read by 64-bit app version
- Fixed: player - the "previous/next track" commands will be ignored if it called while next track is pre-loading
- Fixed: playlist - Linux - items reordering via drag-n-drop does not work
- Fixed: music library - find missplaced files - search button is inactive until you select at least one entry
- Fixed: music library - an error occurs on attempt to start bookmark playback if bookmark source and playing playlists are unavailable
- Fixed: scheduler - the "suspend playback on end of file" command conflicts with the "add pause between tracks" option
- Fixed: plugins - scrobbler - artist field has no link


AIMP v5.10.2418 (21.12.2022)
============================
- Fixed: sound engine - an error occurs on attempt to play file with more than 8 channels
- Fixed: skin engine - an error occurs on attempt to draw text in null-size area (regression)
- Fixed: music library - grouping templates names are missing on first start (5.10 regression)
- Fixed: audio converter - dithering is always applied (regression)
- Fixed: plugins - information bar - does not hide on time out in certain cases (regression)


AIMP v5.10.2417 (12.12.2022)
============================
* General: 3rd party libraries has been updated
* General: localizations has been updated
- Fixed: sound engine - the "cannot allocate memory" error occurs on attempt to open certain internet streams
- Fixed: tag editor - online search - discogs - does not display search results if the entry does not have the "notes" field
- Fixed: tag editor - OPUS - replaygain information stores to file header incorrectly if album or track gain information is missing
- Fixed: music library - view point position resets on rebuild the grouping tree
- Fixed: plugins - scheduler - action hangs in the "running" state if user broke automatic-created playback queue
- Fixed: plugins - podcasts - no podcast-related commands in context menu of grouping tree
- Fixed: plugins - WebLyrics - collision in cache lead to interrupt concurrent request
- Fixed other minor issues


AIMP v5.10.2414 (15.11.2022)
============================
* Sound engine: restart ASIO-driver on error without restart the app
- Fixed: player - does not catch the CUE files from .iso.wv images
- Fixed: playlist - the "move to" command invoke the "copy to" dialog (regression 5.10)
- Fixed: playlist - hangs in "loading" stage after renaming the file in tag editor (regression 5.10)
- Fixed: playlist - queue does not save references to playlists (regression 5.10)
- Fixed: tag editor - FLAC - shorten version of JPEG MIME-type is used instead of full
- Fixed: plugins - MyClouds - CUE is skipped if it refers to file with same name, but different extension
- Fixed other minor issues


AIMP v5.10.2411 (08.11.2022)
============================
* General: improve compatibility with Linux (Wine)
- Fixed: player - *.iso.wv cannot be played anymore (regression 5.03)
- Fixed: playlist - the "merge similar groups automatically" conflicts with tag editor in batch mode
- Fixed: plugins - WebLyrics - crash on attempt to fetch album art for radio stream


AIMP v5.10.2410 RC (30.10.2022)
===============================
* General: localizations has been updated
* Tags: encoding detection algorithm has been improved
- Fixed: player - querying information about next track in end of shuffled playback queue, ignoring playback settings and start playback of the playlist from beginning
- Fixed: plugins - scheduler - event with the "repeated throughout day" option executes the actions 5 times at once (regression 5.10)


AIMP v5.10.2408 Beta 2 (21.10.2022)
===================================
+ General: app can run again on Windows Vista and Windows XP
+ General: reduced size of the runtime library
+ Options dialog: thumbnails view in skins chooser frame
* Sound engine: unloading of unused ASIO drivers without app restart
* Plugins: MyClouds - support for changes in API of Box.com service
* Plugins: WebLyrics - rules syntax has been extended
* Plugins: WebLyrics - now can be used as album arts provider
- Fixed: playlist - queue does not save references to playlists whose name contains a "=" character
- Fixed: music library - rating cannot be stored to tag of playing file (regression)
- Fixed: minor bugs and defects


AIMP v5.10.2403 Beta (05.10.2022)
=================================
+ General: ability to reset settings to it defaults
+ Sound engine: added support for system decoders (optional)
+ Sound Engine: support for WavPack's correction files (WVC)
+ Sound engine: support for MDZ, ITZ, S3Z and XMZ file formats
+ UI: ability to pin window position on screen (protection against accidental movement by user)
+ DSP Manager: ability to enter effects values using keyboard
+ Player: aero peek - added information about previous / next track to navigation buttons hints
+ Player: added recent files list to context menu of app taskbar button
+ Player: hotkey for the "bring main window to top" command has been added
+ Player: hotkeys for the "previous bookmark" / "next bookmark" commands has been added
+ Playlist: added few new randomize modes
+ Playlist: focusing playing track in playlist became optional
+ Playlist: added few new options for import single file from external applications
+ Playlist: recents strings for quick search box
+ Playlist: list of templates for playlist grouping
+ Advanced search: added the "send to..." menu item
+ Plugins: SACD - support for DSD in WavPack
* General: WavPack codec has been updated to v5.5.0
* General: improve compatibility with Linux (Wine)
* Playlist: new files now adds to end of playlist during synchronization if it items has been manually reordered
* Tag Editor: added list of recently used in-place expressions
* Tag Editor: in-place expressions are now enabled by default
* Music library: grouping tree presets with auto-generated names now supports for localization
* Plugins: podcasts - ability to "create smart-playlist" from grouping tree


AIMP v5.03.2398 (25.08.2022)
============================
* General: value of quick search is now resets on app restart
- Fixed: general - certain functions ignores the ANSI-codepage setting value
- Fixed: sound engine - ASIO - app crashes on attempt to initialize unavailable device if it driver suppresses exceptions (was found on iBasso devices)
- Fixed: skin engine - snap to screen edges due resize the window works incorrectly (regrepssion)
- Fixed: skin engine - touch-scrolling of vertical playlists tabs is inverted
- Fixed: tag editor - an error occurs on attempt to invoke the "unknown tag fields" dialog if system's UI scaling factor is set to 100%
- Fixed: plugins - BASS_AAC - opening certain M4A files with ALAC codec lead to the "unsupported file format" error
- Fixed: plugins - MyClouds - the "find on the Internet" and the "Maximum file size to download" are affects to cloud storage
- Fixed: plugins - MyClouds - app hangs up if cloud server does not support for content-range command
- Fixed: plugins - SACD - certain DSDIFF files with DST-compression cannot be played


AIMP v5.03.2397 (01.08.2022)
============================
+ Plugins: MyClouds - support for WebDAV for Cloud@Mail.ru
* Common: BASS libraries has been updated
* Advanced search: the "clear queue" menu item has been added
* Tag editor: compatibility with Windows Explorer has been improved
* Plugins: MyClouds - templates for the services that does not support for content-range command has been removed
- Fixed: general - files that full path more 260 symbols cannot be played on Windows 10
- Fixed: audio converter - the "target file name" column does not take encoding mode and chapters into account
- Fixed: tag editor - sometime it starts without a list of sent files
- Fixed: playlists - XSPF - image links are not loaded
- Fixed: plugins - information bar - toolbar icons has incorrect order for 150% UI scaling factor
- Fixed: plugins - scheduler - the "start recording" action does not wait while new stream being loaded if app is playing another radio stream.
- Fixed: plugins - scheduler - repeat thought day works incorrectly, if time range is set to 24 hours
- Fixed: plugins - BASS_AAC - opening certain M4A files lead to stack overflow that lead to app crash (regression)
- Fixed: plugins - MyClouds - app hangs up if cloud server does not support for content-range command
- Fixed other minor issues


AIMP v5.03.2394 (30.06.2022)
============================
* General: visual appearance of settings window has been updated
* Tags: encoding detection algorithm has been improved
- Fixed: skin engine - window border flicks on activate/deactivate the window if the "allow per pixel semitransparency" is switched off (regression)
- Fixed: smart-playlists - null-values of data-time fields are stored to configuration file incorrectly
- Fixed: plugins - API - album art providers that does not supports for "unknown" interface cannot be registered in repository


AIMP v5.03.2392 (22.06.2022)
============================
+ Playlist: the "select enabled" command has been added
* General: localizations has been updated
* Tag editor: change case - now the rule can be applied to selected part only
* Skin engine: improve support of Aero Snap
- Fixed: sound engine - FLAC - 8-bit audio produces noise instead of sound
- Fixed: playlist manager - preimage changes are not applied (regression)


AIMP v5.03.2388 RC (06.06.2022)
===============================
+ General: added support for images in WebP format (you need to put the libwebp.dll to app folder)
+ Playlist: XSPF - support for relative paths in preimage settings
* Default skin: information box - added an ability to hide extra information pane
* Default skin: information box - added the lyricist tag field
* Skin engine: snapping window bounds during resizing to bounds of other windows
* Skin engine: compatibility with old skins has been improved
* Plugins: tak_deco_lib has been updated to v2.3.3 (64-bit version has been added)
- Fixed other minor issues


AIMP v5.03.2387 RC (31.05.2022)
===============================
+ Playlist: XSPF format became the default playlist format
+ Playlists: export to XSPF file format
* Playlist: the "start playback" command has been added to context menu of playlist tab that makes easier to resume it playback
* Tag editor: online search - discogs - support of the "disk number", "part of compilation", "styles" and "comments" tag fields
- Fixed: installer - no license agreement text is displayed if app is running via RDP
- Fixed: playlists - M3U8 - entry's title is ignored if the entry has no timestamp
- Fixed: plugins - scheduler - player jumps one track back after process the "play file" action that has been started by "on end of track" event
- Fixed other minor issues


AIMP v5.03.2383 Beta (26.04.2022)
=================================
+ UI: ability to auto-adjust color schema to accent color of Windows Theme
* Tags: encoding detection algorithm has been improved
- Fixed: plugins - MyClouds - CUE files from Cloud@Mail.ru cannot be catched
- Fixed minor issues related to 64-bit code


AIMP v5.03.2381 Beta (12.04.2022)
=================================
+ General: native x64 support
+ Player: ability to customize speed / tempo step
+ Player: the %chapter macro has been added for playing file
+ Audio converter: APE Encoder - support for 32-bit per sample mode
+ Audio converter: APE Encoder - support for multiple channel audio files
+ Tag editor: replaygain - added an ability to scan folder as single album
+ Music Library: local files - two new templates: "best tracks" and "new tracks"
+ Plugins: BASS_APE - support for 32-bit audio
* Plugins: InputFFmpeg - the FFmpeg libraries has been updated to v4.3.3
* Installer: 7z SFX module is no longer used, because it not liked by certain antivirus software


AIMP v5.02.2370 (12.04.2022)
============================
* Skin engine: compatibility with old skins has been improved
- Fixed: general - last selected path is not saved for some file dialogs
- Fixed: playlist manager - playlists are displayed in different order from real one
- Fixed: plugins - discogs - no way to authorize from countries that has UTC offset more that 3 hours
- Fixed other minor issues


AIMP v5.02.2369 (26.03.2022)
============================
* General: localizations has been updated
* General: 3rd party libraries has been updated
* General: migration to new version of VCL
- Fixed: queue manager - double click on item does not activate playlist that contains the item
- Fixed: playlist manager - playlists are displayed in different order from real one
- Fixed: plugins - GUI API - font and margins scaling works incorrectly in certain cases


AIMP v5.02.2363 Beta (10.02.2022)
=================================
* Plugins: API has been extended
- Fixed: sound engine - ASIO - an attempt to initialize inaccessible device lead app to crash
- Fixed: tag editor - the "duplicates not allowed" error occurs on attempt to reorder table groups
- Fixed: tag editor - MP4 - an AV error occurs on attempt to save tags to a file that does not have the UDTA-atom
- Fixed: tag editor - MP4 - re-save the tags may lead to file corruption if the file contains chapters in utf-8 encoding
- Fixed: tag editor - WMA - re-save the tags lead duplicate the WM/GenreID tag field


AIMP v5.02.2361 Beta (01.02.2022)
=================================
+ General: ability to search by app settings
* Audio converter: cache for I/O operations
* Player: the "track repeat" option now takes precedence over the "jump to next track" option
* Player: album arts cache system has been redesigned
* Plugins: MyClouds - support for changes in API of DropBox service
* Plugins: scheduler - start playback action - added the "start from beginning" option
- Fixed: general - unable to install plugin package if one of files in package has invalid encoding
- Fixed: skin engine - minor issues were fixed
- Fixed: default skin - the "clear search box" button does not work in grouping tree pane
- Fixed: plugins - information bar - unable to show the bar via hot key if all "show XXX" options are switched off
- Fixed: plugins - scheduler - the date and time of the event repetition calculates incorrectly in certain cases if the event was triggered at the moment the PC was woken up
- Fixed: plugins - scheduler - countdown timer shows incorrect data if more than a day is left


AIMP v5.01.2358 (28.12.2021)
============================
+ General: Windows Vista is no longer supported
+ General: chapters and bookmarks now displays on a seekbar
+ Queue manager: double-click on track will focus it in the playlist
* General: migration to new version of VCL
* Tag editor: state of the "Quick Access" node now stores between different work sessions
* Skin engine: potential abilities has been extended
* Plugins: last.fm - reduced number of requests to the service
* Plugins: scheduler - the "return to previous playlist" command now can restore playback position too
* Plugins: Update Checker - ability to update to nightly builds (available in the "development versions" channel only)
- Fixed: audio converter - no split by chapters (regression)
- Fixed: scheduler - timestamps stores to configuration file in locale-depended format
- Fixed: player - no album art is displayed for internet radio tracks if album is not specified (regression)
- Fixed: tag editor - ID3v2 - chapters with an empty title leads to corrupted tag field
- Fixed: tag editor - FLAC - app uses Description tag field instead of Comment tag field
- Fixed: tag editor - online search - discogs - album artist is used instead of track artist
- Fixed: skin engine - syntax error in expression interrupts skin loading
- Fixed: skin engine - minor issues were fixed
- Fixed: default skin - no wiki information about playing track if playback is paused


AIMP v5.00.2344 (09.11.2021)
============================
* General: performance has been increased
* Bookmarks: list of bookmarks for playing track has been added to seek bar context menu
* Default skin: ability to switch off accent color for window frame
* Skin engine: potential abilities has been extended
* Skin engine: performance has been improved
- Fixed: plugins - scheduler - unable to select date and time if OS locale is Spanish
- Fixed: plugins - scheduler - volume control does not work in simple mode (regression)
- Fixed: plugins - scheduler - the "wake up PC" option has no effect in certain cases (regression)
- Fixed: plugins - scheduler - the "wait for playing track to finish" option shifts action time on next repeat
- Fixed: plugins - MyClouds - unable to specify address of custom WebDAV server (regression)
- Fixed: smart-playlists - sorting options are not imported from playlists created in AIMP4
- Fixed other minor issues


AIMP v5.00.2338 (21.10.2021)
============================
* Sound engine: ability to remap channels for 5.0 and 7.0 channel schemes
* Tag editor: chapters editor - the space keystroke now is used as hotkey to suspend / resume playback
* Plugins: last.fm - reduced number of requests to the service
- Fixed: plugins - information bar - opacity slider is unaccessible (regression)
- Fixed other minor issues


AIMP v5.00.2335 (15.10.2021)
============================
* General: localizations has been updated
* General: performance has been increased
* Playlist: ability to specify name depth as argument for the %FileDir and %FileParentDir macros
- Fixed: playlist - audio files from the MusicBee app cannot be imported to the player via drag-n-drop
- Fixed: plugins - InputFFmpeg - files in Web Media file format with a .weba extension are ignored by the plugin
- Fixed other minor issues


AIMP v5.00.2331 RC 2 (30.09.2021)
=================================
+ General: support for Windows 11
* Skin engine: potential abilities has been extended
- Fixed: sound engine - ASIO - invoking the settings dialog leads app to freezing if device is inaccessible
- Fixed other minor issues


AIMP v5.00.2329 RC (21.09.2021)
===============================
- Fixed: tag editor - app not start on Windows 7 (regression)
- Fixed: volume control panel - looks incorrect in night mode
- Fixed other minor issues


AIMP v5.00.2327 Beta 5 (16.09.2021)
===================================
+ Tag editor: support for folders pinned to "quick access" in Windows Explorer (Windows 10)
* General: localizations has been updated
* General: 3rd party libraries has been updated
* Skin engine: potential abilities has been extended
- Fixed other minor issues


AIMP v5.00.2324 Beta 4 (31.08.2021)
===================================
* Common: localizations has been updated
* Sound engine: equalizer now contains 20 bands - the 43 Hz and 22 kHz bands has been added
* Plugins: podcasts - album arts are now displaying in music library
- Fixed: installer - no way to install the app to network path
- Fixed: tag editor - template that starts from "[" character cannot be saved to configuration file
- Fixed: plugins - MyClouds - files from Cloud@Mail.ru cannot be played (regression)
- Fixed other minor issues


AIMP v5.00.2320 Beta 3 (12.08.2021)
===================================
* General: support for horizontal scrolling via touch pad
* Skin Engine: support for opentype fonts
* Skin engine: compatibility with old skins has been improved
* Plugins: BASS_MIDI - now an error will occurs on attempt to play midi file if no one sound font is loaded
* Plugins: podcasts - the "audio format" column has been added
- Fixed: audio converter - progress of single tracks hangs on 99% if the all/folder to one mode is active
- Fixed: playlist - the shuffle mode is not applied to newly created playlist if the "each playlist has own playback mode" option is switched off
- Fixed: plugins - podcasts - database from AIMP4 cannot be upgraded to new version, if the URLAudio field has duplicated values
- Fixed other minor issues


AIMP v5.00.2317 Beta 2 (13.07.2021)
===================================
* Default skin: ability to hide music library and playlist panes
* Skin engine: potential abilities has been extended
- Fixed: general - inverted scrolling of the list during drag-n-drop operations
- Fixed other minor issues


AIMP v5.00.2315 Beta (29.06.2021)
=================================
* Common: localizations has been updated
* Common: BASS libraries has been updated
* Player: the "Exit" command has been added to command list of tray icon
- Fixed: player - import files from external apps settings are ignored if files has been drop to main window
- Fixed: tag editor - FLAC - app does not save values of the AlbumArtist / DiskTotal / TrackTotal tag fields (regression)
- Fixed: skin engine - transparency mask ignores on import the skins in ACS3 / ACS2 file formats (regression)
- Fixed: plugins - visualizations - peak-based visualizations does not work (regression)
- Fixed: plugins - MyClouds - access token was not updated automatically during long playlist playback
- Fixed: plugins - SACD - the replaygain information is ignored
- Fixed other minor issues


AIMP v5.00.2313 Beta (08.06.2021)
=================================
+ General: new design
+ General: performance has been increased
+ General: album arts - added the "find in file tags" option
+ General: lyrics - added the "find in file tags" option
+ Bookmarks: now its a part of music library
+ Bookmarks: ability to filter / group bookmarks by name, creation date, source, duration, file size
+ Bookmarks: ability to ignore bookmark position on start the playback
+ Bookmarks: support for custom labels and comments
+ Bookmarks: support for multiple bookmarks editing
+ Bookmarks: the "Find in source" command has been added
+ Playlist: added an ability to sort playlist automatically after adding new files / updating metadata
+ Playlist: added the "Each playlist has its own playback mode (normal / shuffle)" option
+ Playlist: the "find missed files" function has been added
+ Smart-playlists: general - additional conditions for date-time fields
+ Smart-playlists: music library - ability to pre-sort content using few columns
+ Skin engine: potential abilities has been extended
+ Skin engine: performance has been improved
+ Audio converter: sound notification on end of conversion has been added (optional)
+ Audio converter: the "target file name" column has been added
+ Audio converter: the "file folder" command has been added
+ Audio converter: added support for WMA Pro codec
+ Audio converter: ability to normalize volume level during conversion process
+ Tag Editor: new tool - chapters creator
+ Tag Editor: added an ability to view values from unsupported tag fields / remove it
+ Tag Editor: UI - tag fields now are auto-adjusts their width according available space automatically
+ Music library: the "Find in music library" command now supports plugin-based data sources
+ Plugins: scheduler - support for unlimited number of tasks
+ Plugins: scheduler - ability to repeat task every day / week / month / year
+ Plugins: scheduler - ability to repeat task throughout day
+ Plugins: scheduler - new action: jump to next track
+ Plugins: scheduler - new action: start / stop radio recording
+ Plugins: scheduler - new action: suspend the playback
+ Plugins: scheduler - new action: resume the playback
+ Plugins: scheduler - new action: return to previous state after playing specified number of tracks / playlist
+ Plugins: scheduler - ability to wait to playing file to finish
+ Plugins: last.fm - has been replaced by the Scrobbler plugin
+ Plugins: MyClouds - support for changes in API of pClouds.com service
+ Plugins: scrobbler - ability to display information about artist
+ Plugins: scrobbler - integration to default skin
+ Plugins: scrobbler - support for libre.fm and listenbrainz.org services


AIMP v4.70.2254 (12.08.2021)
============================
* General: support for horizontal scrolling via touch pad
- Fixed: general - inverted scrolling of the list during drag-n-drop operations
- Fixed: player - import files from external apps settings are ignored if files has been drop to main window
- Fixed: plugins - MyClouds - access token was not updated automatically during long playlist playback
- Fixed: plugins - SACD - the replaygain information is ignored
- Fixed: installer - no way to install the app to network path


AIMP v4.70.2251 (23.05.2021)
============================
- Fixed: radio capture - the "split by tracks" option does not work for HLS-streams if stream is capturing without transcoding
- Fixed: plugins - WebLyrics - the \n macro does not handled


AIMP v4.70.2248 (04.04.2021)
============================
+ Sound Engine: TrueHD codec support has been added for MKA container
+ Tag editor: ability to import lyrics form the SRT file format to file tags
+ Playlist: the "%inc" and "%dec" macros has been added
* Playlist: the %StrLeft and %StrRight macros now supports a string values for second argument
* Music Library: The "find missed files" algorithm has been improved
* Music library: performance has been increased
- Fixed: sound engine - WAV files with 8-bit samples cannot be played
- Fixed: playlist - the "you cannot open the destination" error occurs on invoking the "Save As" dialog if playlist name contains a ":" character
- Fixed: music library - an error occurs on attempt to delete playing file physically
- Fixed: music library - synchronization at app startup skips formats of audio files which are supported by plugins
- Fixed: music library - the "synchronize user defined rating with tags of audio file" does not affect to file import operation
- Fixed: music library - records not aligned to grid during list scrolling via mouse wheel


AIMP v4.70.2242 (01.02.2021)
============================
* Music library: performance has been increased
* Music library: improve support for compilations
- Fixed: general - AIMP Volume Slider popup works incorrectly with multiple monitor screen configuration
- Fixed: audio converter - target file name contains double extension if the %FileName macro is using renaming template
- Fixed: tag editor - target file name contains double extension if the %FileName macro is using renaming template
- Fixed: tag editor - cannot read tags from some files in AIFF file format


AIMP v4.70.2239 (22.12.2020)
============================
* Audio converter: OGG Vorbis - extended the list of supported sampling rates
- Fixed: browse folder dialog - dialog placement restores incorrectly
- Fixed: tags - Vorbis Comments - value of the album artist field does not store to OPUS file format (regression)
- Fixed: player - does not display meta information for certain HLS-based streams
- Fixed: playlist - an error occurs on close the app, if it installed to read only storage
- Fixed: plugins - MyClouds - password was not accepted by Mail.ru service if it contains special characters


AIMP v4.70.2236 (22.11.2020)
============================
* Common: localizations has been updated
* General: reduced number of file accesses on app startup
* Audio converter: presets for the AAC+ for command line encoders has been added
* Tags: Vorbis Comments - album artist value now stores to the "AlbumArtist" field instead of the "Album Artist"
* Plugins: MyClouds - support for new authorization flow for Google.Drive service
* Plugins: WebLyrics - providers list has been updated
- Fixed: visualizations - visual representation lags behind sound (regression)
- Fixed: DSP manager - no way to set balance slider to zero via keyboard
- Fixed: music library - the "search for moved or renamed files" function may block UI while content synchronization operation is running in background.


AIMP v4.70.2233 (08.10.2020)
============================
* Common: localizations has been updated
* Plugins: WebLyrics - providers list has been updated
- Fixed: general - incompatibility with the Sonic Studio app
- Fixed: skin engine - minor issues has been fixed


AIMP v4.70.2231 (30.09.2020)
============================
* Common: localizations has been updated
* General: starting playback of a track updates a metadata in playlist and music library
* Playlist: relative path generation algorithm has been improved
* Plugins: BASS_MIDI - minor usability improvements in settings dialog
* Plugins: CDDA - the MusicBrainz service is now used instead of FreeDB
- Fixed: internet-radio - unable to play radio stations from the 101.ru service
- Fixed: tags - MP4 - common bitrate is displayed instead of bitrate of audio stream
- Fixed: tags - Vorbis Comments - the "file has been locked by another application" error occurs on attempt to save file in certain cases
- minor issues were fixed


AIMP v4.70.2227 (01.09.2020)
============================
* Music library: performance has been increased
* Plugins: MyClouds - support for changes in API of cloud services
* Plugins: WebLyrics - support for URL-encoding in rules for parser
- Fixed: sound engine - app plays one track from Audio CD and stops if the "pre-load next track while current is playing" option is switched on and tracks has been added to playlist as files
- Fixed: sound engine - replaygain - cache was not reset before new analysis that leads to less accurate calculation results in certain cases
- Fixed: tags - MP4 - common bitrate is displayed instead of bitrate of audio stream
- Fixed: tags - Vorbis Comments - rating from old versions of player loads incorrectly (regression)
- Fixed: music library - rating cannot be set to entire album anymore (regression)
- Fixed: plugins - podcasts - duration is not displayed for some podcasts
- Fixed: plugins - information bar - app hangs up on Windows XP
- minor issues were fixed


AIMP v4.70.2224 (22.07.2020)
============================
* Common: localizations has been updated
* Common: the Folder Browser dialog now saves its size between work sessions
* Playlist: the %RemoveFileExt macro has been added
- Fixed: sound engine - replaygain - preamp works incorrectly
- Fixed: album arts - custom album arts for internet radio stations sometimes stops from displayed if caching is enabled
- Fixed: playlist - drag-n-drop operation moves files instead of copying it (regression)
- Fixed: tag editor - online search does not work for the MusicBrainz / Discogs providers
- Fixed: skin engine - multiline RTL-text displays reversed (regression)
- Fixed: skin engine - volume control that displays in notification area scales incorrectly
- Fixed: skin engine - minor issues has been fixed
- minor issues were fixed


AIMP v4.70.2221 (07.07.2020)
============================
- Fixed: plugins - information bar - the "always show" option stops working after reopening the settings dialog
- Fixed: plugins - MyClouds - files whose path contains hieroglyphs cannot be played
- minor issues were fixed


AIMP v4.70.2220 RC 3 (16.06.2020)
=================================
* Common: the WM_APPCOMMAND message is now supported by secondary windows of the app
* Tag editor: ability to remove tags from WAV-files in batch mode
* Tag editor: compatibility with Windows Explorer has been improved
- Fixed: player - does not display meta information for certain HLS-based streams
- Fixed: player - incorrect information about the audio stream is displaying for files in WavPack4 file format
- Fixed: player - split by tracks during internet radio capture occurs with some delay when capturing without transcoding
- Fixed: plugins - update checker - update chanel resets to default value on switch the app language
- Fixed: plugins - InputFFmpeg - cannot decode certain files in OMA file format
- Fixed: music library - playback count stays on zero value if stat has been reset for the file individually


AIMP v4.70.2217 RC 2 (17.05.2020)
=================================
* Common: localizations has been updated
* Tag editor: the "delete" menu item has been added to context menu of text editors
* Tags: now the app ignores spaces around multiple values separator
* Music library: the "Catalog" field has been added
- Fixed: album arts search - impossible to use absolute paths as templates
- Fixed: skin engine - TASEPanel - non-standard blending mode works incorrectly if mask is applied to the element
- Fixed: skin engine - TASETextDisplayEx - single line text does not appear if element height less than required (regression)
- Fixed: skin engine - docked window does not move to other monitor on disconnect the current monitor
- minor issues were fixed


AIMP v4.70.2215 RC (02.05.2020)
===============================
+ Plugins: AlbumArt Visualization - now you can change rendering mode clicking on visualization display
* Common: localizations has been updated
- Fixed: skin engine - TASETextDisplayEx - text shadow is truncated if alignment property value is different from taLeftJustify (regression)
- Fixed: tags - MP4 - the rating tag field is not supported
- minor issues were fixed


AIMP v4.70.2213 Beta 3 (16.04.2020)
===================================
* Common: localizations has been updated
* Plugins: MyClouds - support for changes in API of Cloud@Mail.ru service
- Fixed: audio converter - the "Settings" and "Start" buttons are disappear on app startup if custom scale factor is specified in app settings
- Fixed: playlist - group with playing track does not expand if the "collapse unused groups automatically" option is switched on
- Fixed: player - app unable to open CUE files that contains the "COMPILATION" field
- Fixed: skin engine - docked windows may be scaled twice on manual scale factor changing
- Fixed: skin engine - TASETextDisplayEx - enabling auto size leads to app crash if the alignment property value is different from taLeftJustify (regression)


AIMP v4.70.2211 Beta 2 (04.04.2020)
===================================
- Known issues has been fixed


AIMP v4.70.2210 Beta 1 (31.03.2020)
===================================
+ Sound Engine: radio capture - the "skip the track if file with same name is already exists" option has been added
+ Sound Engine: upper limit of speed control has been increased to 3x
+ Sound Engine: replaygain - the default value is now used as a basic value for the "on-fly" analysis
+ Tag editor: autofill tags - support for %albumartist% and %totaltracks% macros
+ Player: ability to set hotkeys for speed / tempo control
+ Playlists: ability to select tracks via translucent selection rectangle
+ Playlist: the "collapse unused groups automatically" option has been added
+ Playlist: the space key now toggles the auto-playback switch of selected tracks
+ Playlist: the tracklist content settings now invokes from the "Save As" dialog
+ Playlist: support for incremental search
+ Plugins: information bar - updated UI of settings dialog
+ Plugins: information bar - the "show before playback finish" option has been added
+ Plugins: information bar - transparency options now affects to the Card view too
+ Plugins: BASS_MIDI - added an ability to use few sound fonts at same time
+ Plugins: MyClouds - support for "Shared With Me" category for OneDrive and Google.Drive services
+ Plugins: Update Checker - ability to select update channel (Alpha / Beta / Release)
* Music Library: new background operation no longer interrupts active operation


AIMP v4.60.2180 (25.03.2020)
============================
- Fixed: player - values of sound output settings in the drop-down lists displays twice
- Fixed: tags - ID3v2 - player detects ANSI encoding incorrectly for words with letters from different languages


AIMP v4.60.2177 (24.02.2020)
============================
* Common: localizations has been updated
- Fixed: audio converter - OGG Vorbis - fractional quality values are not available to select (regression)
- Fixed: general - an issues with the "image/jpg" MIME-type interpretation (regression)
- Fixed: album arts - caching does not work (regression)
- Fixed: album arts - GIF files does not displayed in the "File Information" dialog
- minor issues were fixed


AIMP v4.60.2167 (30.12.2019)
============================
* Common: localizations has been updated
* Playlist: the %FileCreatedDateAndTime and %FileModifiedDateAndTime macros has been added
- Fixed: playlist - text representation of track rating is not updated after change the rating
- Fixed: playlist - app consume too much memory to import audio files that contains built-in album art in file tags
- Fixed: skin engine - minor issues has been fixed
- Fixed: tag editor - album arts in GIF file format does not appear
- Fixed: tag editor - Windows Explorer stops displaying tags from files in FLAC format after embed the album art into the files
- Fixed: tags - MP3 - parameters of audio stream determines incorrectly for some files
- Fixed: plugins - podcasts - release date is not displayed for some podcasts


AIMP v4.60.2161 (28.11.2019)
============================
* Common: localizations has been updated
* Plugins: API has been extended
* Player: the /VOLUME command line switch has been added
* Advanced search: list of selected to search playlists are now saved between work sessions
* Advanced search: dialog's UI has been updated
- Fixed: general - you cannot delete file physically if it next in playback queue and the "pre-load next track while current is playing" is switched on
- Fixed: skin engine - music library window displays incorrectly in some skins if app is in night mode
- Fixed: tag editor - ID3v2 - parser ignores the TMOO field
- Fixed: plugins - MyClouds - files whose path is more than 260 characters cannot be played
- minor issues were fixed


AIMP v4.60.2156 (21.10.2019)
============================
+ Smart-playlists: added an ability to sort files by template even if synchronization with data source is switched on
+ UI: now you not need to hold Ctrl key to switch between tabs playlists via mouse wheel
- Fixed: general - an "Access Violation" error occurs on attempt to invoke settings dialog (regression)
- Fixed: skin engine - minor issues has been fixed
- minor issues were fixed


AIMP v4.60.2153 (13.10.2019)
============================
+ Player: the "resume playback position on app startup" option has been added
* Common: localizations has been updated
* Sound Engine: replaygain - analysis quality has been improved
- Fixed: general - an error occurs on app close if the album art / lyrics search task is active in background
- Fixed: sound engine - scratches can be heard during volume changes if the "loudness compensated volume control" option is switched on
- Fixed: sound engine - CD playback is interrupted in end of track if the "pre-load next track while current is playing" option is switched on
- Fixed: player - the MPEG-DASH containers cannot be played when running at Windows 7 (regression)
- Fixed: scheduler - does not handle a new tracks adding to the queue/playlist while last track from queue/playlist is playing
- Fixed: skin engine - the "duplicates not allowed" error occurs after rename the object via script
- Fixed: skin engine - the GrayScale blending mode works incorrectly
- Fixed: skin engine - minor issues has been fixed
- Fixed: tags - ID3v2 - app processes #0-separator incorrectly while read the ID3v2.3 tag data
- Fixed: plugins - GUI API - some object's properties does not react to changes (regression)


AIMP v4.60.2146 (28.08.2019)
============================
* Common: localizations has been updated
* Plugins: AlbumArt Visualization - now plugin uses for rendering album art in original resolution
- Fixed: audio converter - an error occurs when trying to encode file using Monkey's Audio codec
- Fixed: smart-playlist - content of smart-playlists based on user rating criteria not updated on change the rating in playlist for multiple files at same time
- Fixed: plugins - MyClouds - subfolders are not displayed for OneDrive cloud drive


AIMP v4.60.2142 RC 2 (08.08.2019)
=================================
* Album arts: cache manager now takes disk number into account
* Sound engine: the "pre-load next track" option has been added
- Fixed: general - few minor issues related to the "night mode" feature
- Fixed: skin engine - duplicates of the "playlist" and "music library" menu items are displayed in window's context menu in certain skins
- Fixed: tag editor - unable to store values longer than 260 characters to some tag fields
- Fixed: tag editor - non-square album arts displays cropped


AIMP v4.60.2137 RC 1 (18.07.2019)
=================================
* General: glyphs for secondary windows has been updated
* General: ability to switch on/off night mode manually
* Skin engine: ability to specify custom hotkey to toggle visibility of secondary windows
* Playlist: support for IPTV extensions for M3U/M3U8 playlists formats
* Plugins: InputFFmpeg plugin has been replaced by BASSWebM
- Fixed: general - few minor issues related to the "night mode" feature
- Fixed: internet radio - tracks meta of HTTP-Live streams updates incorrectly
- Fixed: plugins - last.fm - some links has not been localized in the "Information about the file" dialog


AIMP v4.60.2133 Beta 6 (24.06.2019)
===================================
+ General: support of dark mode introduced in Windows 10
* General: icons library for file types - special iconset for the M3U and CUE file formats has been added
* Plugins: AlbumArt Visualization - fill mode was changed to the "TV like" - album art is no longer cropped
- Fixed: skin engine - TASETextDisplay - text incorrectly center by vertically in some cases
- Fixed: skin engine - original sizes of hidden background elements sometimes restores incorrectly on applying the skin
- Fixed: lyrics - unsupported tags of Enhanced LRC file format are no longer shown
- Fixed: tags - MP3 - parameters of variable bitrate stream determines incorrectly in some cases (regression)
- minor issues were fixed


AIMP v4.60.2129 Beta 5 (18.05.2019)
===================================
* Common: localizations has been updated
* Common: saving settings and playlists is now safe to unexpected OS shutdown
* Player: internet-radio - support for JSON-based metadata
* Music Library: creating a smart-playlist via command in context menu of grouping tree now automatically creates a sorting template based on sorting that uses in music library
- Fixed: sound effects - an error occurs on attempt to show hint for volume slider
- Fixed: tag editor - Vorbis Comments - loses the information about library version that has been used to create a file
- Fixed: skin engine - font color changes during content scrolling in some cases
- Fixed: skin engine - TASELayoutItem - the AutoHide feature does not work for items whose property Align is set to alClient
- Fixed: skin engine - TASELayoutScrollView always handles the mouse wheel action even if nothing to scroll
- Fixed: skin engine - TASEScrollBarXXX - value of the AllowFading property does not take into account
- Fixed: skin engine - TASETextDisplayEx - auto size works incorrectly if the alignment property is set value different from taLeftJustify
- Fixed: skin engine - TASETextDisplayEx - HitTestByText property works incorrectly if the AlignmentVertical property is set value different from taAlignTop
- Fixed: music library - incorrect order of hieroglyphs in alphabetic index
- Fixed: music library - issues related to view settings restoring after switching between different data sources
- Fixed: plugins - last.fm - plugin leads to hang up the application in some cases when display information about the song
- minor issues were fixed


AIMP v4.60.2124 Beta 4 (03.04.2019)
===================================
* Skin engine: TASESliderVertical / TASESliderHorizontal - support for custom localizations for the TextLabels
* Skin engine: TASETextDisplay / TASETextDisplayEx / TASEButton - text alignment and auto-size options has been added
* Plugins: the AlbumArt visualization now can be unloaded
* Plugins: API for audio decoders has been extended
- Fixed: general - the %FileCreatedDate / %FileCreatedTime / %FileModifiedDate / %FileModifiedTime macros does not work for virtual files
- Fixed: lyrics - the %FileName% macro does not work (regression)
- Fixed: plugins - FFmpeg based plugin crashes on attempt to play the file (regression)
- Fixed: plugins - Lastfm - an error occurs on track start if the track information dialog and similar artists panel are visible
- minor issues were fixed


AIMP v4.60.2120 Beta 3 (11.03.2019)
===================================
* Smart-playlists: folders - now content will be sorted by file name if sort template is not specified
* Music Library: drawing performance has been increased for the "group details" and "album thumbnails" views
- Fixed: skin engine - the %time(..) macro does not accept localizable arguments
- Fixed: skin engine - edit field - text position calculates incorrectly if text shadow is displayed
- Fixed: skin engine - the TASEPanel.OnMouseUp event does not fired
- Fixed: plugins - FFmpeg - the album gain value initializes incorrectly for files in OPUS file format if track gain is not specified in file header
- Fixed: plugins - FFmpeg - player ignores some tag fields for known file formats if the plugin is loaded
- minor issues were fixed


AIMP v4.60.2115 Beta 2 (03.02.2019)
===================================
* Common: localizations has been updated
* Common: BASS libraries has been updated
* Sound Engine: ability to disable samples interpolation for tracker music
* Tag Editor: the copy / cut / paste buttons has been added near the lyrics editor
* Tag Editor: ID3v2.4 - support for tag fields with multiple values
* Skin Engine: scripts - performance of objects binding procedure has been improved
* Skin Engine: TASETextDisplayEx - word wrap performance has been improved
* Plugins: MyClouds - support for changes in API of OneDrive service
- Fixed: smart-playlists - filter by file type does not work for audio files with CUE
- Fixed: Tag Editor - auto-filing function based on the Discord and MusicBrainz services put the data to ISRC tag field instead of the Catalog tag field.
- Fixed: Tag Editor - BPM calculation - preview dialog uses different rounding algorithm than used for save the data to tags
- Fixed: Tag Editor - removing album art for internet radio station in the dialog does not remove it from local database
- Fixed: Music Library - view point position was not restored after restart the app if the "group details" or "thumbnails" view is used
- Fixed: Plugins - last.fm - showing the "Information About the Track" dialog leads to app hangs if description for the track is too long
- minor issues were fixed


AIMP v4.60.2113 Beta (17.01.2019)
=================================
+ General: clouds support
+ General: podcasts support
+ UI: ability to disable auto-hiding of windows that docked to screen edges in desktop toolbars mode
+ Sound engine: ability to remap channels
+ Sound engine: upper limit of tempo and speed has been increased to 2x
+ Sound engine: limit of pause between tracks has been increased up to 15 minutes
+ Sound engine: settings of the "remove silence" feature has been extended
+ Sound engine: loudness compensated volume control (optionally)
+ Player: ability to capture only one track from internet radio
+ Player: ability to specify album art for internet radio
+ Player: the %bitdepth and %comment (for playing track only) macros has been added
+ Player: the "jump to next track and pause the playback" option has been added
+ Player: the "pause the playback on app startup" option has been added
+ Playlist: smart-playlists - folders - ability to filter files by extensions
+ Audio converter: added an ability to pause conversion operation
+ Audio converter: ability to customize hotkeys
+ Tag editor: visual appearance has been updated
+ Tag editor: ability to customize hotkeys
+ Tag editor: batch download album arts / lyrics for specified files
+ Tag editor: batch copying ID3v2 to ID3v1 and vice versa
+ Tag editor: ability to find and download information about the album from musicBrainz / discogs / last.fm services
+ Tag Editor: support for in-place expressions in text tag fields
+ Plugins: last.fm - ability to disable scrobbling for remote files
+ Plugins: last.fm - ability to specify folders that will be ignored for scrobbling
+ Plugins: last.fm - scrobbling status is now displayed over tray icon
+ Plugins: last.fm - similar artists are now displayed in track info dialog


AIMP v4.51.2084 (01.12.2018)
============================
* Common: localizations has been updated
* Sound Engine: support for dynamic stream format changes during internet radio station playback.
* Plugins: Last.fm - information about track - album tags are displayed if no tags are defined on track level
* Plugins: Last.fm - minimal threshold for scrobbling is now set to 1%
- Fixed: audio converter - source files that presented as audio files with CUE are not deleted after conversion even if option with same name is switched on
- Fixed: Player - the "auto-adjust equalizer for a track" calculates an priority for presets incorrectly in some cases
- Fixed: Playlist - drive letter in file names replaces to another one during the "reload tags for files" operation if these files has been indexed by music library at other drive
- Fixed: playlist - auto bookmark is not created for the playing playlist on close the app (regression)
- minor issues were fixed


AIMP v4.51.2080 (07.07.2018)
============================
* General: the %today() macro has been added
- Fixed: common - UTF-8 detection algorithm works incorrectly on windows with chinese locale
- Fixed: common - app cannot be minimized to taskbar if app's taskbar button hidden via app settings
- Fixed: player - apps hangs during internet radio playback if the "skip silence" option is switched on
- Fixed: playlist - auto-name generates based on first file only in some cases
- Fixed: playlist - auto-generated name cannot be put as user defined name
- Fixed: lyrics - the "find in internet" option does not work with non-local files
- Fixed: lyrics - LRC - value of the "offset" tag processes incorrectly
- Fixed: music library - the "disk was not found" error occurs on app startup, if paths with unknown drives are in the list for monitor while running
- Fixed: music library - apps hangs on invoke context menu with custom labels at first time if one or more DB operations are active in background
- Fixed: music library - scrollbar position of table resets on delete files from table


AIMP v4.51.2077 (08.05.2018)
============================
* Tag editor: the %random() macro now can be used without argument, in this case maximal value will be equal to number of files to process
- Fixed: skin engine - values that accessible from scripts does not take current scale factor into account
- Fixed: skin engine - TASETextDisplayEx - auto size works incorrectly if the alignment property is set value different from taLeftJustify


AIMP v4.51.2075 (01.05.2018)
============================
* Plugins: compatibility with plugins from v2.60 has been improved
- Fixed: audio converter - tracks are skipped in some cases if the "one folder to one file" mode is used
- Fixed: player - replaygain - preamp for values from tags affects to default replaygain value
- Fixed: playlist - click at group header selects all tracks in group including tracks that has been hidden by quick search filter
- Fixed: tags - ID3v2 - data from the USLT tag field is interpreted incorrectly in some cases
- Fixed: music library - grouping tree preset editor - default sorting value is displayed incorrectly


AIMP v4.51.2073 (12.04.2018)
============================
* Tag editor: the %random(a) macro has been added
- Fixed: plugins - API - the IAIMPServiceFileTagEditor service cannot be used from non-main thread
- Fixed: plugins - inputFFmpeg - bitrate for files in OPUS file format was not displayed (regression)
- Fixed: plugins - InputFFmpeg - memory leaks occurs during playback of files that contains multiple streams
- minor issues were fixed


AIMP v4.51.2070 (01.04.2018)
============================
+ Audio converter: new encoding mode - "single folder - single file"
+ DSP-manager: ability to remove silence longer than 0.5 seconds
+ DSP-manager: now you can specify different preamp values for the "on-the-fly analysis" or "value from tags" modes
+ Tag editor: ability to start autonumeration from specified index
+ Tag editor: support for the "delete word left/right from cursor" commands in text boxes
+ Lyrics: support for lyrics that embedded to CUE sheet
+ Plugins: new built-in visualization called "album art" has been added
* Default skin: ability to customize text size for lyrics box
* Music LIbrary: table - ability to specify action by double click on table items
* Music library: table - cards in group details view mode are now groups by value of first displaying field
* Music library: core - performance of DB engine has been improved
- Fixed: general - control's images in dialogs displays too small if app is running on monitor with scale factor more or equal to 200%
- Fixed: AudioConverter - the "remove sources on successful conversion" does not work with audio files that split by CUE sheet
- Fixed: AudioConverter - calculation of total progress does not take files duration into account
- Fixed: AudioConverter - stat does not take all parts of the output file into account, if it has been divided into several physical files during conversion
- Fixed: player - the "restore playback position for each playlist" works incorrectly in some cases
- Fixed: tag editor - unexpected behavior on jumping to next track in the list, if the list has been sorted by tag field that was changed during editing
- Fixed: tag editor - the album art field does not read from files in OPUS file format
- Fixed: skin engine - text scaling works incorrectly for skins that does not support for high dpi on system with dpi that differs from 96 dpi
- Fixed: skin engine - minor issues has been fixed
- Fixed: music library - canceling background task may leads to hangs the app
- Fixed: music library - grouping / filtering works incorrectly with the "copyrights" field
- Fixed: music library - grouping tree - quick search value specified in one data source affects to other
- Fixed: plugins - inputFFmpeg - displays total bitrate of file instead bitrate of audio stream
- Fixed: plugins - last.fm - invoking the dialog with track information on app startup leads to hangs the app
- minor issues were fixed


AIMP v4.50.2058 (27.12.2017)
============================
- Fixed: player - internet radio capture without transcoding does not work (regression)
- Fixed: skin engine - unnecessary re-creation of the window handle during state restoring, if it was maximized (regression)
- Fixed: skin engine - layout of content of music library and playlist re-calculates incorrectly on text scaling in some cases
- Fixed: skin engine - minor issues has been fixed
- Fixed: utilities - files does not transferred from the player in certain cases (regression)


AIMP v4.50.2055 (17.12.2017)
============================
* Skin engine: ability to use the old-style scaling behavior
* Skin engine: custom possible scale factor has been extended up to 500%
- Fixed: audio converter - default template for FAAC command line encoder is invalid (regression)
- Fixed: skin engine - minor issues has been fixed
- Fixed: smart-playlists - tracks meta data were not updated on synchronization in some cases
- Fixed: player - information about the playing track not updated on the screen for stations that broadcast in the OGG / FLAC / OPUS formants
- Fixed: playlist - auto bookmark is not created for the playing playlist on close the app
- Fixed: tag editor - tag fields with multiple values are read incorrectly in some cases for M4A file format
- Fixed: tag editor - the "all words with capital letter" function works incorrectly in some cases
- Fixed: plugins - inputFFmpeg - replaygain information was not read from file tags for OPUS file format
- minor issues were fixed


AIMP v4.50.2048 (19.11.2017)
============================
* General: the LAME codec has been updated to v3.100
- Fixed: lyrics - auto search does not work for tracks from CUE sheet
- Fixed: music library - player processes meta data of track incorrectly if the title field contains a "feat" key work
- Fixed: music library - filter by the "(none)" value works incorrectly in some cases
- Fixed: skin engine - minor issues has been fixed
- Fixed: lyrics - the LRC file format parser processes some brackets incorrectly
- Fixed: plugins - InputFFmpeg - the AlbumArtist tag field was not read from file tags
- Fixed: plugins - InputFFmpeg - memory leak
- minor issues were fixed


AIMP v4.50.2042 (30.10.2017)
============================
* General: 3rd party libraries has been updated
- Fixed: playlists - changing the read only setting does not take any effect if playlist was not yet loaded
- minor issues were fixed


AIMP v4.50.2037 RC 2 (17.10.2017)
=================================
* Lyrics: options for finding lyrics in folders has been extended
* Music library: performance of getting file stats operation has been improved
- Fixed: skin engine - minor issues were fixed
- Fixed: default skin - minor issues has been fixed
- Fixed: playlist - sort the files by created time does not take milliseconds into account
- Fixed: plugins - inputFFmpeg - replaygain information was not read from file tags


AIMP v4.50.2031 RC (23.09.2017)
===============================
- Fixed: player - duration of the audio file in the FLAC format calculates incorrectly if real duration more than 24 hours
- Fixed: player - detects sample rate incorrectly for some files in WavPack format
- Fixed: player - does not detect the bitrate of 64-bit M4A files
- Fixed: player - the "prevent display from powering off" option does not work with mini-player
- Fixed: skin engine - few small graphic issues that happens when manual scaling mode is used
- Fixed: music library - the content of grouping tree sorts incorrectly in some cases
- minor issues were fixed


AIMP v4.50.2026 Beta 3 (06.09.2017)
===================================
+ Music library: table - ability to customize list of fields for grouping
+ Music library: table - ability to customize list of fields that used for group details
* Music library: quick navigate through field value now operates via ctrl+click
- Fixed: common - secondary windows can be appeared outside the screen area on showing
- Fixed: audio converter - the stats does not reset before new transcoding operation
- Fixed: player - value of the catalog key does not stored to CUE
- Fixed: player - files that ends with the " -" text are not imported to playlist from windows explorer via the "play all"command
- Fixed: skin engine - empty lines of lyrics are not displayed
- Fixed: skin engine - scrolling via mouse wheel stops working after restoring minimized window
- Fixed: skin engine - TASETextDisplayEx - content of the element are truncated if font with shadow is used
- Fixed: skin engine - TASETextDisplayEx - current line of lyrics is shifted to right side if formatting are applied to it
- Fixed: music library - closing the app during DB update operation leads to hangs the app
- Fixed: music library - table - width of group details area resets to default value after app restart
- Fixed: music library - table - canceling the sorting by columns are resets collapsed state of all groups in the list
- Fixed: plugins - API - result of the AIMP_SERVICE_OPTIONSDIALOG_NOTIFICATION_CAN_SAVE notification does not take into account when closing the options dialog via the "OK" button
- Fixed: installer - shortcuts of normal version of player are deleted during installation of new copy of player in portable mode
- minor issues were fixed


AIMP v4.50.2023 Beta 2 (21.08.2017)
===================================
+ Player: support for ATRAC3 file format
+ Skin engine: the "gray scale" blending mode has been added
+ Skin engine: ability to specify custom scale factor for skinned windows
+ Default skin: support for 125% scale factor
- Fixed: common - some UI elements displays incompletely on systems with non-standard scale factor
- Fixed: player - values of new tag fields does not stored to CUE
- Fixed: player - the MKA files cannot be played if it contains audio stream in FLAC format
- Fixed: player - playback position calculates incorrectly for some files in the MKA file format
- Fixed: player - some files in AAC file format cannot be played now (regression)
- Fixed: skin-engine - an error occurs when applying custom skin if scale factor is differs from 100%
- Fixed: skin engine - wave for the waveform-navigator calculates incorrectly (regression)
- Fixed: skin engine - window loses focus after restoring from minimized state
- Fixed: skin engine - blending modes that differs from normal works incorrectly with semi-transparent textures
- Fixed: lyrics - an error occurs on trying to open lyrics in LRC file format if it contains only one time stamp.
- Fixed: lyrics - the SRT file format parser does not take empty lines into account that defined as text
- Fixed: installer - the "no profiles" exception occured when trying to install update if installed version has never been started before
- minor issues were fixed


AIMP v4.50.2020 Beta (08.08.2017)
=================================
+ General: support for 4k monitors
+ General: support for monitors with different DPI
+ Player: decoders for the WebM and matroska audio formats has been added
+ Player: the "jump 5 sec back on start if playback is paused for more than 15 seconds" option has been added
+ Player: the "restore playback position for each playlist" option has been added
+ Player: the "jump to next track on deleting playing file from playlist" option has been added
+ Player: support for lyrics in the .LRC and .SRT file formats (skin must support lyrics too)
+ Playlist: smart-playlists based on playlists -  support for "monitor for changes while running"
+ Playlist: advanced search - ability to show the file information dialog from search window
+ Playlist: advanced search - the "find in music library" command has been added to dialog's context menu
+ Skin engine: support for scaling
+ Skin engine: potential abilities has been extended
+ Audio converter: ability to close the app automatically after conversion
+ Audio converter: the statistics are now shown after conversion (optional)
+ Tag editor: the lyricist, mood, conductor, catalog, compilation, ISRC, rating and encoder tag fields has been added
+ Tag editor: ability to download lyrics from the internet (additional plugins are required)
+ Music library: new DB engine that improved performance by 10 times
+ Music library: the lyricist, mood, conductor and comment columns has been added
+ Music library: ability to quick access to the "reset column filter" commands via context menu of filter button
+ Music library: ability to reset stats for selected files only
+ Music library: ability to size group details area in default skin
+ Music library: column customization menu no longer closes after the click
+ Plugins: API - lyrics API has been added


AIMP v4.13.1897 (25.06.2017)
============================
* Audio converter: special build of LAME codec with unicode file names support has been added
- Fixed: sound engine - some scrunchies can be heard when stopping playback by closing the application
- Fixed: sound engine - app hangs on lost the audio focus if DirectSound method is used for output
- Fixed: playlist - playlists with relative paths in AIMPPL4 format are imported incorrectly if file path is started form + or - character
- Fixed: tag editor - WAV-file that was edited in AIMP opens in adobe audition with the "meta data is corrupted" message in some cases
- minor issues were fixed


AIMP v4.13.1895 (07.05.2017)
============================
* Audio converter: encoder to MP3 format is now distributed with app
- Fixed: player - an issue with opening files from AIMP's context menu that integrated to windows explorer
- Fixed: plugins - API - adding files to playlist with the AIMP_PLAYLIST_ADD_FLAGS_FILEINFO flag produces internal exception in some cases
- minor issues were fixed


AIMP v4.13.1893 (06.04.2017)
============================
- Fixed: plugins - API - the IAIMPPlaylistQueue2 interface has no implementation (regression)
- minor issues were fixed


AIMP v4.13.1891 (02.04.2017)
============================
* Player: support for ID3v1 tag for remote files
* Music library: performance of grouping tree has been improved
- Fixed: audio converter - FLAC - an error occured during converting process on some PC
- Fixed: audio converter - FLAC / OGG - encoders works incorrectly with multiple values from tags fields
- Fixed: sound engine - UI hangs if decoder does not respond for a long time
- Fixed: music library - the name of target playlist generates incorrectly for files dragged from grouping tree of music library
- Fixed: music library - report generates incorrectly for fields with multiple values
- Fixed: plugins - last.fm - plugin leads to hang up the application in some cases when display information about the song


AIMP v4.13.1889 (08.03.2017)
============================
* Music library: reports - limits of tables has been extended
- Fixed: internet radio - the station name instead of the track title is displayed in some cases
- Fixed: music library - reports - tracks with same values of the title and artist field processes as single track


AIMP v4.13.1887 (19.02.2017)
============================
- Fixed: player - an issue with opening multiple files from the windows explorer (you need to re-associate file types)


AIMP v4.13.1886 (14.02.2017)
============================
+ Plugins: information bar - ability to show information bar via hotkey
* General: the FLAC codec has been updated to v1.3.2
* General: WavPack codec has been updated to v5.1.0
* Sound engine: algorithm that calculates channels remapping matrix has been improved
* Sound engine: compatibility with external sound cards has been improved when playing using exclusive device access mode
* Music LIbrary: grouping tree - search is now take into account only fully loaded node levels
* Music library: reports - the artist tag field is now used instead of the AlbumArtist field
* Music library: table - memory consumption has been reduced for views with album arts
- Fixed: common - addons packages cannot be installed if one of files in the packages is not compressed
- Fixed: options dialog - file associations - first icon set are always selected in the dialog
- Fixed: options dialog - hotkeys - incorrect groups order in the table
- Fixed: options dialog - skins - installing update for the skin does not refresh information about the skin if options dialog is displaying
- Fixed: player - information about the playing track not updated on the screen, if internet radio station sends meta-data very often
- Fixed: player - app hangs in some cases during switching the tracks on radio, if internet radio capture is active
- Fixed: playlist - the file size field stores incorrectly to the AIMPPL4 file format, if the value is more than 2 GBytes
- Fixed: playlist - confirmation for the delete file physically action displays behind other windows if app is minimized to tray
- Fixed: audio converter - command line switches processes incorrectly in some cases
- Fixed: tag editor - command line switches processes incorrectly in some cases
- Fixed: tag editor - the ANSI encoding is used instead of UTF8 for export the CUE / lyrics fields to a file
- Fixed: tag editor - cache not updated after calculating the BPM


AIMP v4.12.1880 (06.01.2017)
============================
* General: compatibility with the TeamViewer QuickConnect
* Sound engine: compatibility with external sound cards has been improved
* Music library: files monitoring - ability to add few folders at same time
- Fixed: common - command line - switches are case sensitive
- Fixed: common - command line - values that contains ; or = symbols processes incorrectly
- Fixed: common - scrolling delta calculates incorrectly when touchpad is used
- Fixed: tag editor - files that specified via command line are ignored
- Fixed: music library - short links does not work (regression)
- Fixed: music library - quick search in grouping tree does not work (regression)
- minor issues were fixed


AIMP v4.12.1878 (25.12.2016)
============================
* Sound engine: support of ASIO devices with number of output channels more than 30
- Fixed: skin engine - the main window does not become active after closing child window
- Fixed: music library - grouping tree - selection resets to default state in some cases if the "by folders" grouping template is used
- Fixed: music library - grouping tree - sorting works incorrectly in some cases
- minor issues were fixed


AIMP v4.12.1873 RC (10.12.2016)
===============================
* Playlist: auto-name generation algorithm now can use information from the artist, AlbumArtist and album tag fields
- Fixed: sound engine - sound distortions occurs after automatic switching to next track in set if resampler is used and duration of cross-mixing effect is lower than 200 msec
- Fixed: player - non-complete information about the track is displayed during playback of remote file that is in the OPUS / FLAC or OGG format
- Fixed: playlist - only single URL can be added to playlist via drag-n-drop
- minor issues were fixed


AIMP v4.12.1870 Beta (28.11.2016)
=================================
* General: 3rd party libraries has been updated
* Player: performance of file adding operation has been improved
- minor issues were fixed


AIMP v4.12.1860 Beta (05.11.2016)
=================================
* General: you no longer required to run application as administrator to install add-ons or setup the file associations
* General: support of easy-to-install technology for add-ons packages in *.zip / *.aimppack formats
* Audio converter: the "shutdown computer after conversion" settings are no longer disabled during conversion operation
* Audio converter: presets for the fdkaac command line encoder has been added (thanks to Soolo)
- Fixed: player - player starts playing playlist that imported from external application from second track instead of first in some cases
- Fixed: player - mouse click at icon in notification area may be ignored in some cases
- Fixed: sound engine - an error in synchronization mechanism between threads that leads to application crash
- Fixed: file information - dialog appears behind the music library and playlist windows if the windows are undocked from main and the "stay on top" option is switched on
- Fixed: music library - state of the "combine empty grouping levels when possible" option is ignored
- Fixed: music library - local files - the "automatically delete non-existing files from DB" function works incorrectly in some cases
- Fixed: music library - local files - the files monitoring function does not track the file content changes
- Fixed: music library - local files - an error in query builder may leads to application crash
- Fixed: music library - smart-playlists - content disappears after re-saving the smart-playlist settings
- Fixed: music library - smart-playlists - filtering works incorrectly for columns that support the multiple values
- minor issues were fixed


AIMP v4.11.1841 (09.10.2016)
============================
- Fixed: playlist - the "add entire folder if one file is sent" option does not work correctly in some cases (regression)
- Fixed: playlist - no ability to select few collapsed groups via keyboard
- Fixed: music library - table - album thumbnails view - playback that invoked via mouse double click always started from the first track in group
- Fixed: music library - minor issues were fixed
- Fixed: plugins - API - an error occurs when calculating the hash code for certain images (regression)


AIMP v4.11.1839 (30.09.2016)
============================
+ Playlist: ability to search items by absolute item index in the list
+ Music library: table - local files - average rating is now displayed for each group
+ Music library: table - album thumbnails view - ability to expand/collapse groups
* Music library: table - loading speed of album arts has been increased at 10 times
* Music library: table - position of group in the list does not affect to records sorting anymore
- Fixed: player - the information about the playing track from internet radio station was not updated in some cases
- Fixed: playlist - sorting by the duration or/and channel count fields works incorrectly
- Fixed: tag editor - copying the album art to clipboard produces an invalid bitmap stream
- Fixed: music library - application crashes when trying to close the "misplaced files" dialog if search process is active
- Fixed: music library - smart-playlists - the NOT operator does not work for the "contains", "begins with" and "ends with" operations for fields that support the multiple values (thanks to vasiliy)
- Fixed: installer - the "out of memory" exception occurs during creating the uninstaller on some PCs
- minor issues were fixed


AIMP v4.10.1831 (31.08.2016)
============================
+ Advanced search: ability to select certain playlists for search
+ Advanced search: search string and result are now saves within a single working session
* Skin engine: rendering has been optimized
- Fixed: common - an error occurs in some cases during application startup that leads to crash the application if the aimp_VK plugin is loaded
- Fixed: common - content of legend for macros does paints incorrectly
- Fixed: skin engine - the position of float-arrow calculates incorrectly
- Fixed: tag editor - MP4 - encoding of titles of QuickTime chapters detects incorrectly in some cases
- Fixed: music library - content of smart-playlist disappears on assigning the "sort by field" option in filtering settings
- minor issues were fixed


AIMP v4.10.1827 (08.08.2016)
============================
* General: 3rd party libraries were updated
* Tag editor: leading and trailing spaces will be removed now on save the changes
* Music library: selection in the table can be inverted now via the num * key
- Fixed: common - an error occurs in some cases during application startup that leads to crash the application
- Fixed: plugins - API - file cannot be downloaded if URL contains the ":" symbol in the path
- Fixed: plugins - CDDA - an access provider to the CDDB does not work
- minor issues were fixed


AIMP v4.10.1823 RC (22.07.2016)
===============================
+ Plugin: API has been extended
* Player: the "show current track information in taskbar" option is now affects to album art in aero peek.
- Fixed: player - bitrate of files in MP3 format detects incorrectly in some cases
- Fixed: music library - an error occurs when applying the column filter
- Fixed: music library - memory corruption occurs when using music library as preimage for smart-playlist
- minor issues were fixed


AIMP v4.10.1820 Beta 2 (06.07.2016)
===================================
+ Sound engine: waveform-navigator for remote files is now supported
+ Smart-playlist: ability to use local / remote playlist file as preimage
+ Plugins: CDDA - support for the CUE format in CDText
+ Plugins: BASS_HLS - support for HTTP live streaming (beta)
* Music library: quick switching between templates of the grouping tree are now going via ctrl+shift+click in the table
- Fixed: sound engine - stops the playback in some cases after ending the remote desktop session
- Fixed: tag editor - few minor issues when editing tracks from CUE
- Fixed: music library - poor performance of quick search in grouping tree
- minor issues were fixed


AIMP v4.10.1816 Beta 1 (18.06.2016)
===================================
- Known bugs were fixed


AIMP v4.10.1815 Beta 1 (15.06.2016)
===================================
+ Player: MP4 - support for QuickTime chapters (that located in section with audio data)
+ Player: internet radio - ability to skip short tracks during recording
+ Player: internet radio - displaying of buffering progress
+ Player: internet radio - support for background recording
+ Tag editor: autofill tags - ability to exclude file from operation
+ Tag editor: autofill tags - improve the usability of settings dialog
+ Tag editor: ability to crop the album arts images
+ Tag editor: ability to edit CUE sheets
+ Tag editor: support for the WAV format
+ Music library: the "play selected files" command has been added
+ Music library: new view for groups in the table - thumbnails
+ Music library: ability to filter data in grouping tree by search string has been introduced
+ Plugins: API has been extended


AIMP v4.02.1725 (11.06.2016)
============================
* Playlist: ability import playlists in the WPL format
* Plugins: compatibility with plugins from v2.60 has been improved
- Fixed: common - tray icon display options are resets after restart the application
- Fixed: tag editor - resizing album art changes the image file format
- Fixed: music library - poor performance in some cases
- minor issues were fixed


AIMP v4.02.1721 (30.05.2016)
============================
* General: 3rd party libraries were updated
- Fixed: common - the %FileFormat macro does not work correctly for URLs
- Fixed: playlist - advanced search - search by multiple keywords in different tag fields works incorrectly
- Fixed: tag editor - APEv2 - multi-line fields saves incorrectly if their data contains ";" symbol
- Fixed: tag editor - displays last cover from the files instead of the front cover
- Fixed: music library - an error occurs when populating the list of possible values for filter by column
- Fixed: music library - hangs on application start up in some cases
- minor issues were fixed


AIMP v4.02.1717 (08.05.2016)
============================
* Plugins: analog meter - no limitation for pointer angle
* Plugins: analog meter - ability to specify different textures and parameters for left and right units
- Fixed: plugins - analog meter - founded bugs were fixed
- Fixed: plugins - API - the IAIMPServiceHttpClient.post does not work (regression)
- minor issues were fixed


AIMP v4.02.1713 (26.04.2016)
============================
+ Plugins: analog meter - support for custom skins
* General: 3rd party libraries has been updated
- Fixed: common - app cannot be started in compatibility mode  (regression)
- Fixed: player - album arts does not displayed for images + CUE (regression)
- Fixed: tags - MP4 - the rating tag field is not supported
- Fixed: music library - the "(show all)" command ignores alphabetic index in some cases
- minor issues were fixed


AIMP v4.02.1711 (17.04.2016)
============================
+ Sound engine: added support for wave64 file format (PCM and IEEE_FLOAT codecs are supported)
* Sound engine: spectrum data has a logarithmic scale now
* Sound engine: spectrum data is now calculates for hearing range of frequencies only (20 hz - 20 KHz)
* Playlist: ability to switch playlist via context menu of the playlist tab
* UI: table elements - changing the sorting direction of column that used in data grouping affects now to groups position too
* Plugins: analog meter - all textures adapted for FullHD screens
* Album arts: cache manager now takes album year into account
- Fixed: AudioConverter - MP3 - the VBR header was not stored to the target file
- Fixed: AudioConverter - MP3 - the joint stereo mode is always used if bitrate mode is set to the CBR / ABR
- Fixed: DSP manager - volume normalization settings are resets too when reset sound effects settings
- Fixed: player - internet radio - the HTML-codes displays instead of human-readable text for some radio stations
- Fixed: player - the "0.00 db" value of the replaygain field recognized by player as undefined
- Fixed: playlist - an error occurs if cancel the input query for name for new playlist during import the file from external application operation
- Fixed: skin engine - TASESpectrumDisplay - column count changes after resize the element
- Fixed: skin engine - window resize rectangle does not snap to monitor edge if taskbar is hidden
- Fixed: music library - the "(show all)" command ignores alphabetic index
- Fixed: music library - filters - the "contains" operator is case sensitive for non-latin characters
- minor issues were fixed


AIMP v4.01.1705 (19.03.2016)
============================
- Fixed: bookmarks - selected bookmarks removes after sorting via drag-n-drop (regression)
- Fixed: skin engine - some skins from AIMP3 loads incorrectly (regression)
- Fixed: UI - in-place editing does not work in table elements (regression)


AIMP v4.01.1703 (15.03.2016)
============================
* General: the FIJO flat icons are now default file icons (thanks to zigar)
* Audio converter: the "file name" column has been added
* Playlist: the "import entire folder if one file is sent" option has been introduced in the "open files from external applications" category
* Playlist: reloading file tags in the playlist now updates these files in the database of music library
* Music library: ability to add selected files to bookmarks
* Music library: ability to replace rating in DB from tags when updating information about the files if the "synchronize user mark with file tags" option is switched on
* Music library: ability to drag group via album art thumbnail
* Music library: algorithm of files monitor has been improved
- Fixed: common - CUE parser ignores apostrophe at the beginning or end of the value
- Fixed: player - the "%index"macro skipped when copying file information to clipboard
- Fixed: smart-playlists - automatic synchronization does not work (regression)
- Fixed: tag editor - focused item is always processed even if it not selected
- Fixed: music library - click at the "mark" column via MMB or RMB changes the value
- Fixed: music library - labels in context menu are not sorted by name
- Fixed: music library - no way to scroll list of labels via scroll bar if one of labels is selected
- Fixed: music library - adding / updating process interrupts if an error occurred when processing one of files
- Fixed: music library - filtering works incorrectly if one of filters contains a NOT OR / NOT AND operations
- Fixed: UI - tables with groups - an error occurs when deleting the content of group and group is focused
- minor issues were fixed


AIMP v4.00.1697 (22.02.2016)
============================
* General: 3rd party libraries has been updated
* Playlist: the "%!" macro is now affects to next macro, not to entire formatting line
- Fixed: playlist - loses focus after quick search
- Fixed: tag editor - some genres are duplicated after the re-opening of the window
- Fixed: tag editor - an AV exception occurs sometimes when renaming group of files
- Fixed: music library - navigation via short links does works incorrectly (regression)
- Fixed: music library - table view - sorting resets to defaults after restart the app
- Fixed: plugins - API - an error in the IAIMPExtensionPlaybackQueue.OnSelect method (regression)
- Fixed: plugins - last.fm - no line breaks for details in  the "track information" dialog


AIMP v4.00.1695 (14.02.2016)
============================
- Fixed: music library - customized layout of columns is not saved


AIMP v4.00.1694 (14.02.2016)
============================
* General: digital signature has been updated
* Audio converter: list of templates for NeroAAC has been extended
- Fixed: common - CUE parser cannot determine fields with multiple values in some cases
- Fixed: player - application hangs when switching tracks on radio stations that broadcast in the format FLAC
- Fixed: bookmarks - position does not saved after manual sorting in the dialog
- Fixed: UI - table elements - multiple selection via selection rectangle works buggly
- Fixed: skin engine - minor issues were fixed
- Fixed: audio converter - cannot scroll the list with files if converting process is active
- Fixed: audio converter - stores tags to the MusePack in the ID3v2 format instead of the APEv2 format.
- Fixed: audio converter - click the "jump to folder" button opens the plugins directory if path is empty
- Fixed: tag editor - ID3v2 - does not display information from some tag fields if file was exported from the audacity app
- Fixed: tag editor - application hangs when trying to edit file with corrupted album art
- Fixed: tag editor - replaygain calculation works incorrectly in mode "get album from tags"
- Fixed: music library - an error occurs when window redraws if grouping tree is in loading data process
- Fixed: music library - smart-playlists - poor performance for lists with multiple filters
- Fixed: music library - custom grouping templates works incorrectly
- Fixed: music library - application hangs in some cases when removing multiple files from folder that monitored by music library
- Fixed: music library - value of option that switch off recursive scanning for folder was resets after restart the app
- minor issues were fixed


AIMP v4.00.1687 (18.01.2016)
============================
* Skin engine: seek bar - hint with position under mouse cursor now appears
- Fixed: common - the "move to..." command does not work for playing file
- Fixed: UI - table elements - selection of all items via ctrl+a shortcut moves focus to first item
- Fixed: playlists manager - an empty playlists were created when moving few folders via drag-n-drop to playlists list
- Fixed: player - internet radio - meta information changed too early than track really started
- Fixed: tag editor - OGG / FLAC / OPUS - multi-line fields saves incorrectly if their data contains ";" symbol
- Fixed: skin engine - default frame index of TASEAnimator element always equals to 0 even if binding is defined
- Fixed: skin engine - few compatibility issues with old skins were fixed
- Fixed: skin engine - localizations for custom context menus was not refreshed in real-time
- Fixed: skin engine - hint in music library table / playlist blinks when running under windows 7 if desktop composition is disabled
- Fixed: skin engine - window content was not refreshed after changing the element placement from script
- Fixed: music library - import data base from AIMP3 - files from network locations cannot be imported
- Fixed: music library - the "find in music library" command does not work if the "no grouping" mode is selected
- Fixed: music library - playback accounting works incorrectly if playback speed different from default value
- minor issues were fixed


AIMP v4.00.1683 (29.12.2015)
============================
* Skin engine: waveform-navigator - accuracy of analysis has been improved
- Fixed: common - application hangs in some cases on closing, and continuing playback of playlist
- Fixed: player - encoding of online-stream in ukrainian detects incorrectly
- Fixed: player - files from CUE sheets cannot be send to tag editor app
- Fixed: skin engine - calculating the waveform for seekbar can be canceled spontaneously in some cases
- Fixed: music library - RMB at content of the "labels" column displays common context menu instead of menu for labels
- Fixed: music library - the "check for new files at application start up" function does not work in some cases
- Fixed: music library - scrolling via gestures does not work


AIMP v4.00.1680 (22.12.2015)
============================
+ UI: ability to switch on countdown in context menu of seek bar
+ UI: the bliss dark skin has been added
- Fixed: common - the app does not work on some computers because of crash in the libsoxr.dll / aimp_vorbis.dll
- Fixed: common - CUE parser ignores delimiter symbols in unquoted field values (regression)
- Fixed: skin engine - playlist name after rename does not updated in visible skin elements
- Fixed: tag editor - the replaygain from file with CUE sheet does not show in the "information about file" dialog
- minor issues were fixed


AIMP v4.00.1678 (15.12.2015)
============================
- Fixed: playlists manager - manual sorting does not work
- Fixed: player - tracker music - noise appears on some files after seeking
- Fixed: playlists - newly added playlists via dran-n-drop always moved at the end of list
- Fixed: skin - album art from the playing file is displaying in card with information about the file from playlist
- Fixed: skin engine - the "smooth transparency" option sometimes works incorrectly
- Fixed: skin engine - click via right mouse button at running line displays context menu of window in addition to dialog with information about playing file
- Fixed: music library - grouping tree - double click at selected node does not collapse / expand it
- Fixed: music library - the "local files" tab header is not drop target for files unlike playlists tabs
- Fixed: music library - smart-playlist - value that equals to "rating" of the "sort by field" option resets after restart the application
- minor issues were fixed


AIMP v4.00.1675 RC 3 (30.11.2015)
=================================
* Options dialog: the "OK" button has been added
* Options dialog: multiple selection in skin chooser frame
* Playlist: added an ability to rescan tags for selected files only
* Audio converter: MP3 encoder - added an ability to select target sample rate
* Tag editor: ability to select all types of tags by one click
- Fixed: playlist - M3U - parser works with comments incorrectly
- Fixed: skin - no window context menu in mini player
- Fixed: skin engine - changing the hue processes incorrectly for fonts of some elements
- Fixed: skin engine - minor issues were fixed
- Fixed: music library - AIMP3 DB import - labels cannot be imported
- Fixed: plugins - SACD - seeking works incorrectly when playing file that size more than 4 GB
- minor issues were fixed


AIMP v4.00.1670 RC 2 (13.11.2015)
=================================
+ Audio converter: ability to switch off grouping
* General: CUE parser - support for multiple values fields
* Tag editor: added an ability to store custom values to list of the "genre" edit field
- Fixed: playlists manager - an error occurs when click on delete button that available if the "remove playlist when closing tab" options is switched on
- Fixed: skin engine - a space character has been added to text box when focusing it via TAB key
- Fixed: skin engine - backward navigation via shift+tab key does not work
- Fixed: skin engine - options that allows to temporary switch off transparency of window conflicts with desktop toolbar mode
- Fixed: skin engine - an error occurs when closing the application, if mouse cursor is located under docked child window
- Fixed: skin engine - TASEPanel - context menu does not work
- Fixed: skin engine - TASEVisualDisplay - hit-test mask ignored if visualization is active
- Fixed: music library - an error occurs when trying to set mark to few files
- Fixed: music library - an incorrect drive for tracks is displayed in some cases
- Fixed: plugins - few minor issues in new version of API
- minor issues were fixed


AIMP v4.00.1667 RC 1 (30.10.2015)
=================================
- Fixed: common - browse folder dialog - name of parent folder is lost after create the new folder
- Fixed: common - problems with closing the application via context menu of app button at taskbar
- Fixed: common - URL cannot be moved from one playlist to other via drag-n-drop
- Fixed: player - internet-radio - cyrillic symbols does not detected correctly in some cases
- Fixed: playlist - managing playlists dialog - double click at scroll bar selects playlist item under it
- Fixed: playlist - dropping playlist file to the playlist tabs area does not import it as playlist file
- Fixed: skin engine - hint for the bookmark in the drop down bookmarks menu was not skinned
- Fixed: skin engine - hint for playlist item does not take zoom factor into account
- Fixed: advanced search - the "index in queue" column is too small by default
- Fixed: advanced search - selected track starts playing by double-clicking at separator between columns
- Fixed: music library - local hotkeys that contains only the SHIFT modifier does not work
- Fixed: music library - the "composer" tag field does work with multiple values
- Fixed: music library - folder that dropped to grouping tree, adds to the "default" playlist and starts playing automatically
- minor issues were fixed


AIMP v4.00.1663 Beta 4 (16.10.2015)
===================================
+ Plugins: API for plugins has been updated to v4
- Fixed: player - the "stop after current" function does not work for internet radio
- Fixed: skin engine - window size restores incorrectly in some cases at application startup
- Fixed: tag editor - application hangs while saving the changes in some cases
- Fixed: tag editor - no icon for "rename file" button
- Fixed: music library - report - the "album artist" field is used for the "top albums" section
- Fixed: music library - table scrolls to beginning after changing mark in table
- minor issues were fixed


AIMP v4.00.1658 Beta 3 (26.09.2015)
===================================
* Music library: performance of rating calculation algorithm has been increased by two orders
- Fixed: playlist - remove file confirmation dialog appears unfocused if application is inactive (regression)
- Fixed: playlist - collapsed group cannot be unselected via keyboard in some cases
- Fixed: skin engine - music library - click via right mouse button closes menu and does not open it again
- Fixed: music library - selection in the "missplaced files" dialog does not work
- Fixed: music library - add already indexed files to DB in some cases
- Fixed: plugins - last.fm - tracks that contains a "&" symbol cannot be scrobbled (regression)
- minor issues were fixed


AIMP v4.00.1655 Beta 3 (20.09.2015)
===================================
+ Smart-playlists: added an ability to sort files after adding to playlist via user defined template
+ Tag editor: added an ability to copy / paste album art images to / from the system clipboard
+ Music library: added an ability to combine an empty levels in grouping tree in the "no grouping" mode
+ Music library: added an ability to find misplaced files automatically
+ Music library: added an ability to delete automatically non-existed files from data base
+ Music library: added an ability to send selected files from grouping tree to selected playlist
* General: 3rd party libraries has been updated
* General: parser for CUE formats now ignores an empty fields
* Playlist: performance of builder for shuffle queue has been increased at 3 times
* Skin engine: waveform-navigator - accuracy of analysis has been improved
- Fixed: common - tables - no an ability to start selection via mouse by clicking at empty space of control
- Fixed: playlist - quick search - no an ability to navigate between items via cursors
- Fixed: playlist - an error occurs when clicking at the header of group in some cases
- Fixed: playlist - title of confirmation dialog window contains information about the playable file instead of application title
- Fixed: playlist - selection of group of files works incorrectly if content has been filtered
- Fixed: player - running line does not updated after changing the track mark
- Fixed: player - internet-radio - macro selection menu woks incorrectly
- Fixed: player - application hangs when trying to play some corrupted WAV-files.
- Fixed: player - equalizer - preamp line is not visible
- Fixed: skin engine - mini-player window that docked to screen edge does not hide automatically
- Fixed: skin engine - no way to restore the AIMP by click via middle mouse button at tray icon
- Fixed: skin engine - dock area was not highlighted when dock the child window to top edge of master window
- Fixed: skin engine - window was not maximized after double click at the title area, if docked window is placed in this area.
- Fixed: skin engine - minor issues has been fixed
- Fixed: default skin - waveform is displaying when listening radio station, even if the "show waveform over the seek bar" option is switched off
- Fixed: default skin - minor issues were fixed
- Fixed: tag editor - an error occurs in some cases when trying to save changes if player is running
- Fixed: music library - grouping tree -  the "no grouping" mode is case sensitive
- Fixed: music library - playback cannot be started via double click at table
- Fixed: music library - no information about the virtual files in the "information about file"dialog
- Fixed: music library - few button does not have tool tips
- Fixed: music library - sorting by the "file size" field works incorrectly
- Fixed: music library - total duration of files in table calculates incorrectly
- Fixed: plugins - last.fm - tracks that contains a "%" symbol cannot be scrobbled
- Fixed: plugins - last.fm - no information about the user in the "information about file" dialog


AIMP v4.00.1650 Beta 2 (31.08.2015)
===================================
+ Music library: now the data are loaded for visible columns only
* General: macro names in menu with macro list are highlighted now via bold font
* Skin engine: waveform-navigator - accuracy of analysis has been improved
* Skin engine: waveform-navigator - added support of replaygain settings
* Skin engine: waveform-navigator - performance of calculation has been improved
* Music library: performance of the "search new files" operation has been improved
- Fixed: common - an error occurs in some cases when closing the application that could lead to hang of the application
- Fixed: common - menu with macro list does not work for formatting line for internet radio capture
- Fixed: playlist - tooltip for truncated text of item does not allow to set user rating for track
- Fixed: playlist - the "insert after current" command removes tracks from read only playlists
- Fixed: playlist - application hangs when trying to set user mark for group of files
- Fixed: tag editor - wrong information is displayed in main window for selected track if editor was not load information about it
- Fixed: skin - height of caption bar of visualization window is differs from height of caption bar of other secondary windows
- Fixed: skin engine - an error occurs when restoring the minimized fixed window
- Fixed: skin engine - mini-player appears again after change the skin to another
- Fixed: skin engine - scroll bar does not react on click via middle mouse button
- Fixed: skin engine - user can resize window via right and middle mouse buttons
- Fixed: skin engine - size of main window is changed in some cases after restore the minimized window
- Fixed: skin engine - background color of AlbumArt element loads incorrectly for skins from AIMP3
- Fixed: music library - wrong order of files when moving them into a playlist via drag-n-drop
- Fixed: music library - value of the album artist field does not take into account for grouping
- Fixed: music library - hiding a column does not reset the sorting by this column
- Fixed: music library - hiding a column does not reset the column filter
- Fixed: music library sends to editor non-existent files
- Fixed: plugins - last.fm - no support for tag fields with multiple values
- Fixed: plugins - last.fm - duration of track does not sent to server
- minor issues were fixed


AIMP v4.00.1647 Beta 2 (18.08.2015)
===================================
* Sound engine: support for 352 kHz sampling rate
* General: hints are now displayed when changing the slider in the DSP-manager dialog via mouse wheel or keyboard
* General: formatting templates - list of available functions moved to sub-menu
* Default skin: added an ability to reduce main window width to 450 px
* Skin engine: playlist - hint is now appears for truncated items
* Skin engine: loading speed has been increased for skins in the ACS4 format
* Skin engine: waveform-navigator - wave creation progress is now displayed
* Music library: grouping tree preset editor - drag-n-drop support has been added
* Music library: grouping tree preset editor - multi-select functionality has been added
- Fixed: playlists manager - an error occurs when loading inactive playlist via click by checkbox in the group header
- Fixed: playlist manager - an error occurs when trying to import folders as playlist, if one of loaded playlist is folder based smart-playlist
- Fixed: player - an error occurs when trying to delete equalizer preset
- Fixed: playlist - adding the files - progress of the "find files" operation is not displaying
- Fixed: tag editor - ID3v2 - parser does not work correctly with multiple values fields
- Fixed: skin engine - an error occurs in some cases during fading finalization in the TabControl element
- Fixed: skin engine - an error occurs when loading a skin that uses a blur effect
- Fixed: skin engine - hue intensity incorrectly applied to shared textures
- Fixed: skin engine - elements draws incorrectly if they placed over the masked BluredGlass element
- Fixed: skin engine - behavior of scroll bars in the elements of music library is differs from behavior of scroll bar in playlist
- Fixed: skin engine - elements of music library - incremental search does not override the local hotkeys
- Fixed: skin engine - waveform-navigator cuts off the wave of playable track in some cases
- Fixed: music library - an error occurs if hide all columns
- Fixed: music library - grouping by date works incorrectly
- Fixed: music library - rescan tags does not work with edited CUE files
- Fixed: music library - does not work under windows XP
- Fixed: music library - some settings cannot be stored to configuration file
- Fixed: music library works with read-only playlists incorrectly
- Fixed: music library - no hint for truncated text of currently using grouping tree preset
- Fixed: music library - filter editor saves nested levels incorrectly
- minor issues were fixed


AIMP v4.00.1645 Beta 1 (08.08.2015)
===================================
+ General: version number of application has been removed from names of binaries
+ General: macros - one-letter / two-letter names of macros are replaced with friendly names
+ General: macros - list of macros for playable file has been expanded, following macros has been added: %AlbumGain, %TrackGain and %lyrics
+ General: macros - list of functions for text manipulation has been expanded
+ General: the "copy to" / "move to" functionality - ability to save folder structure
+ UI: new design of application
+ UI: windows animation no longer inhibits UI
+ UI: scrollbar thumb jumps to previous position when mouse cursor leaves scrollbar zone
+ Player: ability to limit number of attempts to reconnect to internet-radio station when connection is lost
+ Playlist: quick search - algorithm has been changed: the content that isn't satisfying to a search string hides now
+ Playlist: the "move to..." functionality has been introduced
+ Playlist: the "find in music library" command has been added
+ Playlist: smart playlists - ability to build playlist based on data from music library with an ability to filter and group data
+ Playlist: smart playlists - ability to build playlist based on one or few directories
+ Playlist: smart playlists - synchronization with pre-image is now works in separate thread
+ Playlist: playlist files are now imports each into separate tab if the "open files from external applications" option set to "create new playlist".
+ Playlists manager: ability to view size and duration summaries of selected playlists
+ Playlists manager: drag-n-drop support for the preview window has been added
+ Skin engine: potential abilities has been extended
+ Tags: added support for multiple values for APEv2, ID3v2, vorbis comments and M4A tags formats
+ Audio converter: support for aften.exe command-line encoder for AC3 format has been added (thanks to Soolo)
+ Music library: integrated into the main application
+ Music library: "the" article isn't cut out when adding files in a DB any more
+ Music library: ability to save user mark to tags of file automatically (optional)
+ Music library: ability to specify different columns set for table and card views
+ Music library: ability to adjust height of the alphabetic index control
+ Music library: ability to set user-defined filter for grouping preset
+ Music library: ability to drag album by its album art
+ Music library: ability to scroll song list via mouse wheel without focusing of it
+ Music library: ability to fast scroll via mouse wheel if ctrl key is pressed
+ Music library: report generator - support of fields with multiple values has been added
+ Music library: the "move to..." functionality has been added
+ Music library: file name column displays a name of file without path now
+ Music library: alphabetic index is now supported for all fields
+ Music library: skin support has been added
+ Music library: the "no grouping" mode - ability to fill song list from current folder only (without sub-folders)
+ Music library: support of network files has been improved
+ Plugins: scheduler - sleep timer - ability to fade out volume
+ Plugins: scheduler - the "OK" button has been added
+ Plugins: SACD - ISO - now the plugin displays both stereo and 5.1 tracks


AIMP v3.60.1503 (26.09.2015)
============================
- Fixed: playlist - delete file confirmation window does not focused if application is not active (regression)
- Fixed: plugins - last.fm - tracks that contains a "&" symbol cannot be scrobbled (regression)


AIMP v3.60.1502 (20.09.2015)
============================
* General: 3rd party libraries has been updated
* General: parser for CUE formats now ignores an empty fields
* Playlist: performance of builder for shuffle queue has been increased at 3 times
- Fixed: playlist - title of remove file confirmation dialog window contains information about the playable file instead of application title
- Fixed: playlist name was not changed after save the playlist to external file with different name
- Fixed: plugins - few minor issues in API were fixed
- Fixed: plugins - last.fm - tracks that contains a "%" symbol cannot be scrobbled
- Fixed: plugins - last.fm - no information about the user in the "information about file" dialog
- minor issues were fixed


AIMP v3.60.1500 (31.08.2015)
============================
- Fixed: player - duration of WAV files calculates incorrectly in some cases
- Fixed: player - AlbumArt loads incorrectly from ID3v2 in some cases
- Fixed: playlist - save dialog - settings are not saved within a single working session
- Fixed: playlist - the "insert after current" command removes selected track from read only playlists
- Fixed: plugins - last.fm - information about the duration of playable file does not sent to server
- minor issues were fixed


AIMP v3.60.1497 (15.07.2015)
============================
- Fixed: index map of icon library loads incorrectly at second time during one work session
- Fixed: internet radio - information bars displays every time when player receives metadata from server even if data have not been changed
- Fixed: application ignores the custom queue when physically deleting playable file
- Fixed: player jumps to next track if an error occurs during opening file operation even if the "automatically jump to next track" option is switched off
- Fixed: skin engine - an error occurs when trying to apply skin in handler of skinned button
- Fixed: tags - WAV - tags does not loads if section with tags is placed after section with data
- Fixed: plugins - SACD - ISO parser does not loads track if there are no meta information about the tracks
- minor issues were fixed


AIMP v3.60.1495 (03.06.2015)
============================
+ Plugins: SACD - multi-threaded decoding is now supported
+ Plugins: SACD - images in the ISO format are now supported (experimental)
* Tag editor: the APEv2 tag is now automatically deleted from MP3 during saving changes
- Fixed: sound engine - meta-data parses incorrectly in some cases when playing the internet radio
- Fixed: player - bitrate of MP3 files detects incorrectly in some cases
- Fixed: player - format of internet radio stream in FLAC format in OGG container displays as OGG vorbis.
- Fixed: playlist - an error occurs in some cases that leads to stop redrawing of playlist
- Fixed: playlist - non-natural sorting is used when adding folders to playlist
- Fixed: playlist - playlist starts playing again after delete last playing track from playlist, even if the "repeat track" option is switched off
- Fixed: tag editor - album arts cache is not updated after edit the album art in tag editor
- Fixed: tag editor - no an ability to play tracks in TAK / OFR / OFS formats
- Fixed: plugins - last.fm - information about the scrobbling sends to server twice in some cases, if off-line cache is not empty
- Fixed: plugins - update checker - downloading process does not canceled on closing the options dialog


AIMP v3.60.1492 (24.04.2015)
============================
* General: the "jump to file" function does not create a new process of windows explorer now (thanks to alex)
* Player: playback quality has been improved for tracker music
* Plugins: the analog meter visualization is now distribute as separate plugin
* Plugins: last.fm - scrobbler status is now displayed at notification area icon
- Fixed: audio converter - the "move output to" option - no ability to type the ":" symbol.
- Fixed: sound engine - hangs while re-connecting to device
- Fixed: common - an edit field cannot be focused by click of right mouse button
- Fixed: player - shuffler queue is resets when closing the application
- Fixed: player - track can be played twice in some cases if shuffle mode is active.
- Fixed: tag editor - an error occurs while reading file in the AIFF format, if file contains padding in the end of file
- Fixed: skin engine - issues with windows positioning
- Fixed: plugins - few errors in API
- Fixed: plugins - last.fm - scrobbler progress paints incorrectly


AIMP v3.60.1483 (27.02.2015)
============================
* Tag editor: OPUS - replaygain information is now stored into the file header
* Tags: OPUS - support for replaygain information that placed in the file header
- Fixed: sound engine - meta-data parses incorrectly in some cases when playing the internet radio
- Fixed: sound engine - part of previous track can be heard when start file playback from the windows explorer, if player is not running
- Fixed: player - OPUS - sample rate and duration calculates incorrectly
- Fixed: playlist - the "reload data from pre-image" works incorrectly
- Fixed: playlist - playing track was not focused after start up the application
- Fixed: playlist - an empty playlist file is moved to the recycle bin after close the application in some cases
- Fixed: playlist - an empty track titles are displayed for CUE sheets in the "search new files" dialog
- Fixed: playlist - format string - few minor issues
- Fixed: skin engine - minor issues were fixed
- minor issues were fixed


AIMP v3.60.1479 (06.02.2015)
============================
* Playlist: uniform playback of groups in shuffle mode is switched off
* Playlist: performance of the quick search has been improved
* Plugins: last.fm -  size of offline cache has been increased to 1000 of tracks
* Plugins: last.fm - scrobbling occurs at the expiration of 4 minutes, if the specified of percents of track duration is greater than this value
- Fixed: sound engine - BASS - unable to play internet-radio under windows 10
- Fixed: sound engine - meta-data parses incorrectly in some cases when playing the internet radio
- Fixed: sound engine - the application hangs if click pause and quickly close the program
- Fixed: playlist - player starts playback of other playlist after closing the playing, even if the "on end of playlist" option is set to the "stand by" value
- Fixed: tag editor - the "file location" command works incorrectly with URL
- Fixed: tag editor - the "information" tab is missing for the virtual files
- Fixed: tag editor - search the album art in google / yandex - query parameters are not escaped
- Fixed: skin engine - bugs with positioning of windows after change the screen resolution
- Fixed: skin engine - bugs with positioning of windows after restore it from minimized state, if skin has been changed before restore
- Fixed: skin engine - click on the album art display opens the miniature copy of image instead of original
- Fixed: skin engine - minor issues were fixed
- Fixed: plugins - last.fm - an error occurs in some cases when trying to love / unlove the track
- Fixed: plugins - last.fm - album arts search does not work if track does not have information about the album
- Fixed: plugins - last.fm - album arts that displays in player and in the "information about track" dialog of plugin are different
- Fixed: plugins - last.fm - scrobbler message was sent before the end of track
- Fixed: plugins - simple scheduler - alarm clock cannot play playlists that does not loaded into player
- minor issues were fixed


AIMP v3.60.1470 (16.01.2015)
============================
- Fixed: common - CUE parser does not understand commands in lower case
- Fixed: common - player does not determine audio tracks in the CD-extra disk if playback has been started from autorun menu
- Fixed: common - interface hangs at some time when closing the option dialog with active "skins" sheet
- Fixed: audio converter - an error occurs when trying to export to MP3 format with following settings: stereo, VBR.
- Fixed: sound engine - playback position calculates incorrectly for set
- Fixed: playlist - the "default.aimppl" file is moved to the recycle bin after each close the application, if the "save default playlist" option is switched off
- Fixed: tag editor - auto completion does not work for the "genre" field
- Fixed: tag editor - ability of removing / applying changes to the selected tag types does not work
- Fixed: skin engine - an error in playlist that leads to hide the element
- Fixed: skin engine - position of main window is changed when restore it from mini-player if task bar is placed at top edge of screen
- Fixed: music library - playback in the audio library does not affects to the playback statistics
- Fixed: music library - files cannot be added to the DB via drag-n-drop operation in some cases
- Fixed: plugins - last.fm - some tracks scrobbles two or more times
- minor issues were fixed


AIMP v3.60.1465 (29.12.2014)
============================
- Fixed: sound engine - some resampling artifacts can be heard when playing tracker music
- Fixed: sound engine - wrong playback position is displaying in skin elements after restart the application if it was paused before restart
- Fixed: playlist - order of the groups is inverted after moving it via drag-n-drop if groups are collapsed
- Fixed: skin engine - parser fails on some correct expressions
- minor issues were fixed


AIMP v3.60.1460 RC 4 (22.12.2014)
=================================
* Playlists manager: speed of files loading for preview has been increased
- Fixed: sound engine - application hangs during cyclic playback of very short files
- Fixed: common - an error occurs if try to select items via mouse in an empty table
- Fixed: common - an error occurs when closing the application on windows XP
- Fixed: plugins - audio library plugin cannot be loaded by player
- minor issues were fixed


AIMP v3.60.1457 RC 4 (19.12.2014)
=================================
* Plugins: BASS_MIDI - added support for sound fonts in SFZ format
* Skin engine: mechanism for control the windows position during changing screen resolution has been improved
- Fixed: common - an memory leaks occurs when adding tracker music to playlist
- Fixed: tag editor parses genre field from M4A incorrectly in some cases
- Fixed: playlist - an exception occurs when trying to start playing file from external application in AIMP, if shuffle mode is switched on
- Fixed: playlist - tags does not read for files after import external playlist in format that different from AIMPPL
- Fixed: plugins - API - the %IN macro does not work
- Fixed: plugins - CDDA - the disk name does not updates in drives sub menu
- Fixed: plugins - information bar - parameters are not initialized in settings frame if plugin was loaded via plugin manager
- Fixed: plugins - information bar - an error occurs after closing the options dialog window, if preview is active
- minor issues were fixed


AIMP v3.60.1453 RC 3 (10.12.2014)
=================================
- Fixed: sound engine - slow buffering for some internet radio stations
- Fixed: sound engine - played track is retained in memory after a manual switch to another track
- Fixed: album arts - an exception in the cache manager leads to wrong album art is displayed for playable track
- Fixed: skin engine - active playlist tab is out of visible area after program startup in some cases
- Fixed: skin engine - playlist - text width calculates incorrectly for non-monospaced fonts
- Fixed: plugins - CDDA - an error occurs during scan the disk without audio tracks
- Fixed: plugins - CDDA - bug in parser for response of CDDB server
- minor issues were fixed


AIMP v3.60.1451 RC 2 (02.12.2014)
=================================
* Sound engine: replaygain's "on-fly" calculation algorithm has been improved
- Fixed: common - some command line keys does not work
- Fixed: sound engine - jumps to next track before the end in some case
- Fixed: sound engine - playback progress calculates incorrectly
- Fixed: playlist - the "insert after current" command set selected track into incorrect position, if it placed before the playable
- Fixed: tag editor - reads rating from ID3v2 incorrectly in some cases
- Fixed: skin engine - the TASEScrollbar element handles mouse wheel incorrectly
- Fixed: skin engine - wrong visualization of ability to dock main screen to the edge of screen after closing the playlist window
- Fixed: controls - click via RMB at slider does not set focus to it
- Fixed: last.fm - some service errors was not handled correctly
- minor issues were fixed


AIMP v3.60.1447 RC 1 (19.11.2014)
=================================
+ Tag editor: autonumeration - ability to adjust format to XXX or XXX/XXX
* Skin engine: memory consumption during skin loading has been reduced
* Skin engine: memory consumption for skin has been reduced twice
- Fixed: sound engine - stuttering while playing files with bitrates more than 5 mbps
- Fixed: sound engine - application hangs in some cases during process of adding or removing USB-sound card
- Fixed: player - album arts not loaded in some cases if caching is switched off
- Fixed: player - some files in AAC format cannot be played completely
- Fixed: playlist - newly created playlist is removed past the recycle bin when closing the tab
- Fixed: tag editor - default encoding detects incorrectly when loading CUE from an external file
- Fixed: skin engine - an error occurs on program startup under windows XP
- Fixed: skin engine - desktop work area was not updated after minimize fixed window


AIMP v3.60.1441 RC 1 (12.11.2014)
=================================
+ Tag editor: ability to transliterate / change case for group of files
+ Tag editor: main screen UI has been updated
* Options dialog: search box for installed skins
* Options dialog: sorting a list of menu items immediately after change the language
- Fixed: sound engine - ASIO - changing the bit-depth during playback leads to noise
- Fixed: sound engine - incorrect channels remapping for mono files
- Fixed: sound engine - navigation issues by files which size is more that 4 GBytes
- Fixed: common - files that full path equals to 260 symbols cannot be played
- Fixed: common - an error occurs when trying to add an empty file to the playlist
- Fixed: player - album arts not loaded in some cases
- Fixed: player - if track is added in the playback queue twice - both positions will be deleted on start playback
- Fixed: player - state of running line hangs if reconnect to internet radio station process has been aborted by user
- Fixed: player - information about the previous track is displayed for few seconds in the running line after new file was started
- Fixed: player - channels count and bit-depth are incorrectly detected for files in TAK format
- Fixed: skin engine - few glitches after minimizing / restoring the windows
- Fixed: skin engine - visual data cannot be retrieved in some cases that leads to flickering of visual elements
- Fixed: skin engine - playlist does not recalculates after collapsing / expanding all groups
- Fixed: controls - multi line editor does not fire the change event
- Fixed: controls - few bugs with control redrawing after changing focused state
- Fixed: controls - seconds click on the drop down button does not close the dropped down list
- Fixed: controls - fading animation does not work with focused elements
- minor issues were fixed


AIMP v3.60.1433 Beta 3 (21.10.2014)
===================================
+ Controls: support of navigation via keyboard
* General: added a button that display a list of supported macros for the edit field
* Player: error dialog will not shown now if the application resumes playback during startup
* Playlist: reading speed of files in AIMPPL format has been increased
* Skin engine: ability to blur behind is now available for windows 7 only
* Skin engine: ability to force switch off blur behind for skin has been removed
- Fixed: audio converter - album arts are not transfered to the target files correctly
- Fixed: sound engine - cyclic playback of file that duration is less than 1 second stops after several iterations
- Fixed: installer - ability to install the application with empty destination path
- Fixed: information about the file - file size is not updated in the running line after save changes
- Fixed: plugins manager - the load / unload commands are works incorrectly for multiple selection
- Fixed: plugins - several bugs in new API has been fixed
- Fixed: player - the "stop playback if current file was deleted" option works incorrectly
- Fixed: player - duration of file in the TAK format calculates incorrectly in some cases
- Fixed: playlist - name of the radiostation are changed in playlist, if close the application without stop it before closing
- Fixed: playlist - several issues with calculation of playback indexes
- Fixed: playlist - an rating marks for radiostation are displayed in playlist when trying to reconnect to it
- Fixed: tag editor - an error occurs when trying to change size of album art in the BMP format
- Fixed: skin engine - values of the MagnetRectOffsets property are ignored when maximizing window than has been minimized via hotkey
- Fixed: skin engine - the next / previous visualization buttons does not work after switch off the visualization
- Fixed: skin engine - the playlists tabs panel loose active tab from visible area after change the skin
- Fixed: skin engine - level channels of the prvVisual provider are swapped
- Fixed: skin engine - maximized window always restores on the main screen after minimization
- Fixed: skin engine - height of item of bookmarks list in the drop down window differs from menu item height
- Minor bugs were fixed


AIMP v3.60.1425 Beta 2 (19.09.2014)
===================================
+ Plugins: last.fm - added an ability to change scrobbling threshold
- Fixed: sound engine - application UI freezes at 1 second while pausing / stopping the playback
- Fixed: sound engine - wrong bitrate is displayed for the playable file
- Fixed: sound engine - player hangs in some cases when change the default output device
- Fixed: information about the file - tab with additional information about the playable radio station was missed
- Fixed: information about the file - file size is not updated after save changes
- Fixed: information about the file - a rounding error of milliseconds during format time value by the "mm:ss" template
- Fixed: bookmark manager - files adding does not work correctly
- Fixed: bookmark manager - path to latest opened folder does not stored
- Fixed: playlist - an error occurs if trying to send URL-item to other playlist
- Fixed: skin engine - position of the "quick file info" dialog calculates incorrectly if the taskbar is placed on secondary screen
- Fixed: skin engine - an error occurs when trying to undock mini-player via mouse
- Fixed: skin engine - reduce flickering of album art display during switch the tracks
- Fixed: skin engine - the "-" symbol is displayed in the TextDisplay element after seek the playable file to beginning
- Fixed: skin engine - minor issues has been fixed
- Fixed: last.fm - incorrect logic of scrobbler with the AlbumArtist tag field
- Fixed: last.fm - value of the "album" field is ignored when fetching the album art for the playable track
- Fixed: last.fm - plugin stops playback because of crash if playable file is virtual
- Fixed: last.fm - albums does not scrobbled
- Fixed: few bugs with localization of some elements
- Minor bugs were fixed


AIMP v3.60.1421 Beta 1 (29.08.2014)
===================================
+ Templates: macros for date modified / time modified of file were added
* Tag editor: ability to display information about the bit depth for some formats
* Album arts: search and loading algorithm has been improved
* replaygain calculator: performance has been increased at 60 %
- Fixed: sound engine - does not react on changing of default output device if the WASAPI interface is used for output
- Fixed: skin engine - incorrect evaluation at some expressions
- Fixed: player - an error occurs when trying to open files from external sources
- Fixed: player - sometimes the "audio device settings" button disappears after clicking on it
- Fixed: player - an extended information about the error during connection to internet radio station does not displayed in the error box
- Fixed: player does not catch the CUE files from .iso.wv images
- Fixed: player does not catch CUE file that contains the "file" word in the comment section
- Fixed: player - the "add to the playback queue" command was missed from context menu of windows explorer
- Fixed: player - reselection of visualization does not activate it
- Fixed: playlist - the "rescan tags" function was not take changes from CUE files into account
- Fixed: playlist - content of playlist file loads incorrectly
- Fixed: audio converter - WMA encoder was missed
- Fixed: controls - the typed value is not checked for validity
- Fixed: controls - moving mouse cursor to the disabled menu item or separator in parent level does not hide child sub menu
- Fixed: album arts - an error message occurs during album art loading from sub folder
- Fixed: album arts - the black square is displayed instead of album art in JPG format in some cases
- Fixed: album arts - no way to open album arts catalogs for virtual files
- Fixed: tag editor - the "lyrics" tab was missed
- Fixed: last.fm plugin does not scrobble albums
- Fixed: last.fm - an error occurs in the plugin after remove access for application in profile at the web site.
- Fixed: last.fm plugin stops playback because of crash
- Fixed: plugins - SACD - an error occurs during loading files in the DSF format
- Fixed: few bugs with localization of some elements
- Fixed: minor bugs and defects


AIMP v3.60.1416 Beta 1 (08.08.2014)
===================================
+ General: new API for plugins
+ General: DEP and ASLR support has been added
+ General: the "modules" folder has been removed, the following folders has been introduced instead: .\system, .\system\data, .\system\encoders
+ DSP-manager: normalization settings has been extended
+ DSP-manager: normalization settings has been moved to separate tab
+ DSP-manager: replaygain - added an ability to set default value for normalization
+ DSP-manager: replaygain - added an ability to set preamp value for normalization factor
+ Integration to OS: the "add to queue" command has been added to the context menu of windows explorer
+ Mini-player: ability to adjust volume via mouse wheel without set focus into the mini-player
+ Album arts: ability to download album art from internet automatically (plugin for last.fm service is used to do it for now)
+ Album arts: ability to define album art for internet radio stations
+ Album arts: ability to customize search options
+ Playlist: the "adding files" process is now working in separate thread
+ Playlist: shuffle mode - all indexes are now stored in the playlist file
+ Playlist: shuffle algorithm has been improved - uniform playback of files from different groups, avoiding sequential playback of two consecutive files
+ Playlist: the number of file access has been reduced during loading a playlist / add files process
+ Audio converter: the "jump to target folder" button has been added
+ Tag editor: ability to switch off grouping in the file list
+ Tag editor: added an ability to drop files / images from internet browsers / URLs to the album art display
+ Tag editor: AIFF file format support
+ Plugins: common - added an ability to filter plugins by status
+ Plugins: common - all plug-ins are now stored in a subfolders
+ Plugins: common - support of input plugins from winamp has been removed because this type of plugins does not support multi threading
+ Plugins: visualizations - limit on the screen resolution has been removed for new type plugins
+ Plugins: information bar - the "show always" option has been added
+ Plugins: information bar - added an ability to select target screen
+ Plugins: last.fm - plugin now works with last.fm service directly - you no longer required installed last.fm client
+ Plugins: last.fm - added an ability to love / unlove tracks
+ Plugins: last.fm - added an ability to send the AlbumArtist field value instead of the artist (optional)
+ Plugins: last.fm - ability to show window with information about playable file
+ Plugins: last.fm - offline cache for100 records has been added
+ Plugins: SACD - plugin for an ability to decode hi-res audio in the DSDIFF / DSF formats
- Fixed: common - an null size window with application icon is displaying at center of the screen when move mouse at the aero peek preview of application
- Fixed: common - issues with position of taskbar button at windows 8 with multi-screen configuration


AIMP v3.55.1355 (14.07.2014)
============================
* Music library: the "add to AIMP's playlist" menu item has been added to the context menu for grouping tree
- Fixed: common - tray icon flashes during program startup
- Fixed: common - application hangs in some cases when trying to add corrupted files in OGG format
- Fixed: common - files from the windows explorer were not added to the list at start of application
- Fixed: sound engine incorrectly identifies a list of supported formats for some device types
- Fixed: playlists manager - ability to set unsupported file as pre-image via drag-n-drop operation
- Fixed: playlist - item with URL cannot be sent into other playlist via context menu
- Fixed: skin engine - skin settings are resets after restart the application
- Fixed: skin engine - new name of playlist is not updated in the PlaylistBox skin element
- Fixed: skin engine - an error occurs in some cases when trying to undock the mini player from screen edge via drag-n-drop


AIMP v3.55.1350 (16.06.2014)
============================
* Sound engine: options dialog - list of supported formats is populated now on demand, not at options dialog initialization
* Sound engine: radio capture - maximum delay before start record new track has been increased to 30 seconds.
* Sound engine: radio capture - CUE sheet is now stored on the hard drive after each track
* Sound engine: compatibility with remote desktop assistant has been improved (for WASAPI interface)
* Playlist: an empty playlists with non-empty preimage setting will not be deleted now on closing the application
* Playlist: advanced search is now show last search query
* Tag editor: support for non-english URLs - the URL will be automatically converted to punycode and vice versa.
- Fixed: common - tray icon flashes during program startup
- Fixed: common - player is minimized to tray instead of taskbar in some cases
- Fixed: sound engine - output settings are resets at some devices when opening the options dialog
- Fixed: playlist - the remove file confirmation dialog does not restore focus after closing
- Fixed: tag editor - album art from ID3v2.4 tag cannot be read in some cases
- Fixed: tag editor - file in FLAC format cannot be read by player, if embedded CUE has been remove via AIMP tag editor
- Fixed: plugins - the information line flashes on display, if it has been hidden by mouse before that
- Fixed: minor issues


AIMP v3.55.1345 (26.03.2014)
============================
* Equalizer presets dialog: alphabetical sorting of presets is default now
* Equalizer presets dialog: incremental search has been added
* Player: compatibility with the zaycev.fm service has been improved
* Skin engine: added an ability to resize animator control
- Fixed: sound engine - ASIO - few bugs with playback resuming on some devices
- Fixed: sound engine - the program sometimes hangs during playback
- Fixed: sound engine - scratches can be heard on some tracks if the normalization by amplitude effect is active
- Fixed: sound effects - mixing options apply incorrectly
- Fixed: plugins - alarm clock - another playlist starts playing, if selected playlist has been never activated after restart of the program
- Fixed: player - the QFI window doesn't appear at the first time in some cases
- Fixed: player - default folder for internet radio capture is stored to configuration file
- Fixed: playlist - focus and playback cursor are reseted after synchronization with the preimage.
- Fixed: skin engine - the value of the PeakSegmentation property isn't taken into account
- Fixed: skin engine - behavior of child window is broken after closing the window via alt+f4
- Fixed: skin engine - bugs with initialization of default values for controls on program startup


AIMP v3.55.1338 (31.01.2014)
============================
* DSP-manager: added an ability to switch on/off all cross mixing settings quickly
* Player: the "insert after current" command in addition to current behavior, now puts track to the beginning of playback queue
- Fixed: the "send to" - selected template is ignored, if file doesn't have tags
- Fixed: plugins - CDDA - cache is not updated in some cases
- Fixed: plugins - CDDA - information about the track has incorrect encoding, if information has been received from the CDDB
- Fixed: player - the remove file confirmation dialog doesn't return focus to the previous window after closing
- Fixed: skin engine - value of the SizeMaximal property isn't taken into account for client-aligned containers
- Fixed: tag editor - ID3v2 - last value is taken into account for the "comment", "genre", "link" fields instead of first, as for the other fields
- Fixed: tag editor - the autotag functions is not work correctly
- Fixed: music library - the application hangs when trying to move file via drag-n-drop, if target folder already contain file with same name
- Few minor bugs were fixed


AIMP v3.55.1332 (21.12.2013)
============================
- Fixed: playlist - no an ability to drop files to the end of playlist in some cases
- Fixed: tag editor - lyrics field value has been cut by first line


AIMP v3.55.1331 (20.12.2013)
============================
* Sound engine: WASAPI exclusive - added support for the push and the event output modes
* DSP-manager: volume normalization - scale factor is now displayed in the "% dB / % x" format
* Tag editor: string parsing in the AutoTag based on the file name is now going from end
- Fixed: audio converter - an error occurs when trying to encode file to the OGG format with quality low than 4
- Fixed: bookmarks manager - cursor position in the table resets to zero after removing the record
- Fixed: playlist - when closing the playlist tab, playlist file deleted bypassing the recycle bin
- Fixed: skin engine - initial size of container calculates incorrectly in some layouts
- Fixed: skin engine - the hit-test calculates incorrectly in some cases
- Fixed few minor bugs


AIMP v3.55.1324 (15.11.2013)
============================
* Sound engine: the normalization function has been returned, the algorithm has been improved
- Fixed: sound engine - application hangs when changing playback position via mouse wheel
- Fixed: sound engine - player jumps over track in some cases when set is playing
- Fixed: common - windows position are shifted at taskbar height after restart if taskbar is placed at top edge of screen
- Fixed: advanced search - click via middle mouse button does't select row in the table
- minor issues were fixed


AIMP v3.55.1320 (04.11.2013)
============================
* Bookmarks manager: added an ability to sort items via click on table column
- Fixed: replace confirmation dialog - the "replace all" and the "skip all" buttons doesn't work
- Fixed: sound engine - stuttering occurs on start of playback in some cases
- Fixed: sound engine - the application hangs during playback of file with duration less than 1 seconds if the "repeat track" mode is active
- Fixed: sound engine - player doesn't play last 20-30 msec of track
- Fixed: player - file in the CUE format loads incorrectly in some cases
- minor issues were fixed


AIMP v3.55.1312 RC 2 (15.10.2013)
=================================
* Sound engine: activating / deactivating effects are now processed more smoothly
* Advanced search: the "file location" menu item has been added
* Advanced search: added an ability to add files to the queue via middle mouse button click
- Fixed: player - program UI sometimes hangs when playing tracks
- Fixed: player - manual track switching processed with small delay
- Fixed: playlists - few extra drop target slots are exists when moving files in the playlist via mouse
- Fixed: skin engine - minor issues has been fixed
- minor issues were fixed


AIMP v3.55.1307 RC (07.10.2013)
===============================
* Sound engine: cache system has been improved - read latency has been reduced
* Jump to time: added an ability to split minutes and seconds by space symbol
* Manual: added search ability
* Tags: replaygain are now supported for MusePack v8 format
- Fixed: sound engine - an error occurs when switching between tracks in some cases
- Fixed: sound engine - information about bitrate in the metadata section are ignored
- Fixed: sound engine - the mixing effect cuts end of track, if effect time is less than a second
- Fixed: player - local hot keys doesn't work if full screen visualization mode is active
- Fixed: player - crashes on terminating if one of the DSP-plugin is active
- Fixed: player - no an ability to set multimedia keys as local hot keys
- Fixed: player - the content of CUE sheet is loaded incorrectly, if load it as a playlist
- Fixed: playlist - mouse wheel settings are ignored
- Fixed: playlist - zoom level not saved on restart
- Fixed: playlists - few extra drop target slots are exists when moving files in the playlist via mouse
- Fixed: skin engine - minor issues has been fixed
- Fixed: managing playlists - selection has been restored incorrectly after playlist deletion


AIMP v3.55.1298 Beta (12.09.2013)
=================================
+ General: added an ability to move links via drag-n-drop from internet browser to playlist or "add link" dialog
+ Bookmarks: added an ability to add playlists to the bookmarks
+ Bookmarks: "bookmarks manager" dialogue - quick search has been added
+ Bookmarks: "bookmarks manager" dialogue - usability has been improved
+ Sound engine: anticlipping
+ Sound engine: added an ability to customize resampling speed/quality
+ Sound engine: added an ability to use dithering when decreasing bit depth
+ Sound engine: the SoXR library is now used for resampling
+ Sound engine: performance has been increased
* Plugins: the "internet radiostation catalog" plugin has been removed, you can access to catalogs via internet browser
* Player: fading and cross mixing settings has been moved to DSP manager dialogue
* Player: cross mixing setting has been expanded
- Fixed: sound engine - program crashes during cache buffer initialization process if system cannot allocate requested memory size
- Fixed: player - window position is restored incorrectly if it was attached to the screen edge via drag-n-drop
- Fixed: player - data from ID3v2 has been replaced with data from ID3v1 in some cases, even if encoding is different
- Fixed: player - crashes on attempt to activate DSP-plugin
- Fixed: player - the custom information about the radio station is lost when playback is starting
- Fixed: tags - MP4 - no information about bitrate is displayed for certain files
- Fixed: tag editor - file cannot be removed physically if it played in mini-player of the tag editor


AIMP v3.51.1288 (07.08.2013)
============================
* Sound engine: TAK decoder has been updated
* Sound engine: cache system has been improved - CPU usage has been reduced
* Playlist: auto name algorithm has been improved
* Tag editor: the progress of current operation is now displaying on the taskbar button
* Skin engine: the sizes of windows now automatically adjusted after screen resolution changing
- Fixed: audio converter - bugs with parameters selection in the "OGG vorbis encoder settings" dialogue
- Fixed: audio converter - bugs with parameters selection in the "WMA encoder settings" dialogue
- Fixed: browse folder dialogue - the ctrl + up / ctrl + down hot keys does not work
- Fixed: file save dialogue - no overwrite confirmation in some cases
- Fixed: sound engine - tracks with long names cannot be played in some cases
- Fixed: sound engine - program crashes during radio capture process, if playable track has incorrect symbols in one of its tag fields
- Fixed: sound engine - no an ability to pause file playback, if it located on remote server
- Fixed: minor issues
- Fixed: common - the ctrl + page up / ctrl + page down hot keys does not work in secondary windows if its has been used as local hot keys in the player.
- Fixed: common - bugs in some localizations
- Fixed: common - format line parser does not process "\," set of symbols correctly
- Fixed: playlists - the "save playlist 'default'" option is ignores when closing playlist tab
- Fixed: playlists - playlists manager deletes playlists pass the recycle bin
- Fixed: playlists - deletion of the collapsed group expand group which placed below
- Fixed: tag editor - the M4A tag missing in the tags list for group removing / applying tag fields values
- Fixed: tag editor does not recognize files which located in the windows libraries
- Fixed: tag editor - incorrect files order in the "analysis result" dialogue
- Fixed: pandemic AIO skin - no ability to drag player window by its caption
- Fixed: skin engine - ability to resize window is blocked after change skin to another without maximization support if window is maximized
- Fixed: skin engine - converter ignores special settings for all-in-one skins
- Fixed: music library displays wrong data in the report
- Fixed: music library does not take initial rating of file into account when adding file to database


AIMP v3.50.1277 (19.06.2013)
============================
- Fixed: minor issues
- Fixed: common - player can't be associated with file types in some cases
- Fixed: common - some bugs in localizations
- Fixed: common - the "all words with capital letter" function change the capitalization of whole word to uppercase in some cases
- Fixed: playlist - player add files to playlist too long
- Fixed: tag editor - autofilling tags functionality does not work


AIMP v3.50.1270 RC 2 (04.06.2013)
=================================
* Player: hot key for "switch on/off equalizer" command
* Player: position of the "advanced search" window now stored to config
* Player: new mechanism of file association - now we use solution recommended by microsoft
* Music library: new algorithm of rating calculation - rating is now depends from time
- Fixed: sound engine - noise can be heard when playing file with high sampling rate
- Fixed: minor issues
- Fixed: player - bookmarks cannot be saved in some cases
- Fixed: player - queue manager does not save file order after closing the player
- Fixed: player - the "suspend global hot keys" option does not work
- Fixed: tag editor - genre from list of predefined genres does not save correctly to M4A format
- Fixed: skin engine - an error occurs in some cases when trying to load skin that contains embedded fonts
- Fixed: skin engine - there is no check for corruption of skin package
- Fixed: skin engine - position of equivalent containers with limited sizes calculates incorrectly
- Fixed: skin engine - value of the ClipChildren property is ignores when calculating HitTest
- Fixed: music library - focused file disappears from visible area after sorting


AIMP v3.50.1259 RC 1 (08.05.2013)
=================================
* General: the cover art search now processes the "cover" and "scan" subfolders
* General: application loading speed has been increased
- Fixed: QFI - click on cover art display opens temporary copy of image instead of original
- Fixed: audio converter does not write information about replaygain for album to CUE-sheet
- Fixed: minor issues
- Fixed: common - player ignores "SONGWRITER" field in CUE-sheet
- Fixed: tag editor - the "skip this file" option doesn't work in the "rename" dialog
- Fixed: skin engine - position of pinned window calculates incorrectly, if master window is docked to main window
- Fixed: skin engine - position of equivalent containers calculates incorrectly in some cases
- Fixed: skin engine - bugs in time formatting function
- Fixed: skin engine - elements placed on hidden container still visible in some cases


AIMP v3.50.1253 Beta 4 (19.04.2013)
===================================
- Fixed: minor issues
- Fixed: player - hotkey settings are not saved in some cases
- Fixed: player - bugs with reading command line switches
- Fixed: playlist - no an ability to move selected group inside another even if "merge with similar categories" option is switched off
- Fixed: playlist - an error occurs when trying to execute "search new files" dialog
- Fixed: skin engine - mouse cursor is not recalculated correctly in some cases
- Fixed: skin engine - minor issues with providers


AIMP v3.50.1247 Beta 3 (10.04.2013)
===================================
+ General: added support for panning gesture for listbox like controls
- Fixed: installer launches the application as administrator
- Fixed: internet radio browser - an error occurs when closing the window during download operation
- Fixed: minor issues
- Fixed: scheduler - bugs with applying playlist as alarm clock melody
- Fixed: player cannot play tracker music correctly in some cases - only samples are played
- Fixed: player - an error occurs when trying to move file from bookmarks popup window to external application via drag-n-drop
- Fixed: player - an error occurs when trying to start audio CD playback from autorun menu
- Fixed: player - hot keys list doesn't repaint correctly after removing the hot key via keyboard
- Fixed: playlist - filename of tracklist cuts off in some cases
- Fixed: playlist - the list doesn't scroll to searching item via quick search if it placed in collapsed group
- Fixed: skin engine - containers visibility doesn't save to configuration file
- Fixed: skin engine - an error occurs when trying to undock tray-control from the screen edge
- Fixed: music library - data cache doesn't refresh after removing operation
- Fixed: music library - an error occurs when trying to remove playable file


AIMP v3.50.1237 Beta 2 (08.03.2013)
===================================
- Fixed: tag editor save incorrect information about the size of ID3v2 tag


AIMP v3.50.1236 Beta 2 (07.03.2013)
===================================
* Audio converter: tags are now stored to WMA and WavPack formats via AIMP tags engine
* Audio converter: only common information about the tracks is now stored to the file tags during "all-to-one file" encoding mode
* Player: playlists reading speed has been increased by 25%
* Player: response time of the window in "desktop toolbar" mode during adding files via drag-n-drop operation has been decreased
* Skin engine: rendering speed has been increased due caching of the background elements
* Skin engine: compatibility with old skins has been improved
- Fixed: installer - update mode doesn't work
- Fixed: installer doesn't create shortcuts under windows 8
- Fixed: minor issues
- Fixed: simple scheduler - the state of "shutdown the computer" option isn't stored
- Fixed: player - few folders without spaces in the names cannot be added to the player via command line
- Fixed: player - the plug-ins table jumps to beginning after any plug-in is unloaded
- Fixed: the tag editor stores two copies of cover art to the file in FLAC format
- Fixed: skin engine - information in QFI isn't refreshed in some cases
- Fixed: skin engine - maximized window reduces its size after AIMP restart
- Fixed: playlists managing - preview for few selected playlists doesn't work correctly
- Fixed: music library - all tracks from set are added to the Audio converter regardless of which of them were selected


AIMP v3.50.1224 Beta 1 (31.01.2013)
===================================
+ CoverArt downloader: click on image now opens it in external application
+ CoverArt downloader: caching of downloaded files for current work session
+ Audio converter: hotkey for start conversion process has been added
+ Audio converter: OPUS encoder has been added
+ Audio converter: added an ability to save path structure during conversion process
+ Sound engine: added support for i32v24 sample format
+ Sound engine: now player has separate settings for crossfading in manual and automatic switching modes
+ Sound engine: equalizer has been improved - now all frequencies are processed between sliders
+ General: settings in options dialog has been regrouped
+ General: player no longer supports configuration files from AIMP2
+ General: added support of long pathname (more than 260 characters), only for windows vista and newer
+ General: added an ability to split files by chapters (OGG, OPS, M4A and M4B are supported)
+ General: performance has been increased
+ Scheduler: alarm clock - added an ability to execute action after pre-set time period
+ Scheduler: alarm clock - added an ability to set playlist as alarm clock ringtone
+ Player: equalizer settings has been added to the DSP manager dialog
+ Player: playlist tab hint now contains information about playlist content
+ Player: hotkey for the "reload data from pre-image" command has been added
+ Player: hotkeys for executing the "bookmarks manager" and "equalizer" dialogs has been added
+ Player: hotkeys for set mark to playable / selected files has been added
+ Player: the queue of shuffle playback is now stored on the application closing
+ Player: added drag-n-drop support for the bookmarks manager
+ Player: now files merge into one queue, when send it to a removable device
+ Player: confirmation for the remove equalizer preset operation has been added
+ Player: managing playlists - added an ability to browse content of closed playlist (with search ability)
+ Tag editor: added an ability to resize window of "presets editor" dialog
+ Tag editor: the "file size" column has been added
+ Tag editor: rename files - added an ability to replace / remove selected characters
+ Tag editor: rename files - bilateral transliteration has been added (russian - english)
+ Tag editor: rename files - new design
+ Tag editor: added support of "BPM", "disc count" and "publisher" tag fields
+ Tag editor: added support of OPUS format tags
+ Tag editor: added an ability to calculate BPM (powered by SoundTouch library)
+ Skin engine: ability to switch off spectrum animation for playable track
+ Skin engine: ability to dock window to the top and bottom screen edges
+ Skin engine: potential abilities has been extended
+ Music library: added an ability to switch off automatic jump to next track during playback
+ Music library: added an ability to display rating instead of mark, if mark is not set
+ Music library: added an ability to send files to playlist
+ Music library: added an ability to add files to data base via drag-n-drop
+ Music library: added special context menu for cells of the "labels" column
+ Music library: hotkeys for playback control has been added
+ Music library: the "BPM", "composer", "publisher" and "file format" columns has been added
+ Music library: new design of the "labels manager" dialog
+ Music library: mark reading speed has been increased by 10 times
+ Custom controls: context menu - added an ability to scroll items via mouse wheel
+ Custom controls: context menu - auto scrolling to selected item on menu popup
+ Custom controls: now you can switch between tabs via ctrl+tab and ctrl+shift+tab / ctrl+PageUp and ctrl+PageDown shortcuts
+ Custom controls: ListView and TreeView - per-pixel scrolling has been added
+ Custom controls: scrollbar - added an ability to jump to position under mouse cursor via mouse click with pressed shift key


AIMP v3.20.1165 (21.12.2012)
============================
* Player: CUE sheets catching algorithm has been improved for audio files with double extensions
* Tag editor: cover art now stored to special section in FLAC format
- Fixed: audio converter - error occurs when trying to remove virtual track from disk
- Fixed: audio converter - sample format saves incorrectly for command line encoders
- Fixed: the content of playlist stops drawing in some cases
- Fixed: radio capture - unable to choose command line encoder for capture
- Fixed: player doesn't detect CD-drive at "a" letter
- Fixed: player doesn't play sound, if initialization of DSP-plugin failed
- Fixed: the "ctrl+del" hot key is intercepted by playlist from secondary text input elements


AIMP v3.20.1163 (28.11.2012)
============================
* Audio converter: track number column has been added
* Audio converter: %IN macro is now supported
* Tag editor: M4A tag column has been added
* Music library: added an ability to edit tags of playable file
- Fixed: quick tag editor - extended information about radio station does not display, if editor has been called from "quick file info" dialog
- Fixed: quick tag editor - cover art from folder does not display for virtual files
- Fixed: the error dialog cannot be closed via ESC key
- Fixed: radio capture - doesn't transfer tags to the file when capturing stream in AAC format without transcoding
- Fixed: minor issues
- Fixed: equalizer presets created incorrectly during install on windows with non-russian locale
- Fixed: skin engine - delayed update of visualization elements
- Fixed: skin engine - fully transparent elements in old skins paints incorrectly


AIMP v3.20.1155 (16.11.2012)
============================
* Playlist: quick search can be finished now by pressing ESC key
- Fixed: browse folder dialog - selected folder adding to the playlist independent from checkmark state
- Fixed: sound engine doesn't detects supported formats of audio device correctly
- Fixed: minor issues
- Fixed: known memory leaks
- Fixed: tag editor - track number does not save to playing file
- Fixed: tag editor - lyrics does not "break" by lines for M4A format
- Fixed: music library hangs in some cases when "add files" or "rescan tags" operation is active
- Fixed: music library - alphabetic index has inverted scrolling by mouse wheel


AIMP v3.20.1148 RC 1 (19.10.2012)
=================================
* Browse folder dialog: added ability to set path manually
- Fixed: playlists tabs aren't repainted after scrolling, if scroll animation is disabled
- Fixed: incorrect font rendering in information line under windows 8
- Fixed: minor issues
- Fixed: some elements of playlist does not support skin color scheme
- Fixed: rounding errors while calculating duration of the track from CUE
- Fixed: player cannot open CUE files, which contains "" symbols
- Fixed: crash when capturing internet-radio


AIMP v3.20.1139 Beta 2 (28.09.2012)
===================================
+ General: the list of encodings for translating non-unicode text to UTF16 format has been supplemented
+ Playlist: the "%!" macro has been added for an ability to implement custom sorting in reverse order
* Sound engine: support of meta data of internet radio stations in ASF format has been improved
* Skin engine: rendering speed has been increased
- Fixed: audio converter - few minor issues in "all files to one (+ CUE)" encoding mode
- Fixed: audio converter doesn't transfer tags when encoding to MusePack format
- Fixed: sound engine doesn't detects supported formats of audio device correctly
- Fixed: minor issues
- Fixed: color scheme settings does not applied to the tray icon and context menu glyphs
- Fixed: player doesn't restore playback queue after restarting
- Fixed: player can't open sub-tracks with relative filename from CUE sheet


AIMP v3.20.1125 Beta 1 (02.09.2012)
===================================
+ Audio converter: added an ability to shut down the computer after conversion operation
+ Audio converter: added an ability to use console encoders
+ Audio converter: added an ability to change format of input audio stream
+ Audio converter: the "encode all to one file" mode has been added (with / without CUE logging)
+ Audio converter: tags in the ID3v1 now are saved to the file when encoding to MP3 format
+ Audio converter: added an ability to encode files to MusePack format
+ Sound engine: the algorithm of input file caching has been improved - now engine access to the disk less frequently
+ Sound engine: added WASAPI exclusive supports
+ Sound engine: the maximal size of cache for input file has been increased to 250 MB
+ General: hint for the "part repeat a-b" button now contains information about bounds of repeating part
+ General: added an ability to view embedded cover art in original resolution
+ General: equalizer presets are now stored to the separate file on disk
+ Plugins: decoder for OPUS format has been added
+ Plugins: ogg vorbis encoder has been updated to v1.3.3
+ Scheduler: added an ability to wake up the computer
+ Scheduler: added an ability to switch the computer to sleep mode
+ Scheduler: added an ability to suspend playback and / or close the player before computer shutdown
+ Scheduler: the alert will be shown now before computer shutdown
+ Tag editor: added an ability to choose tag format for which the changes will be saved
+ Tag editor: added an ability to edit tags in M4A format
+ Music library: incremental search has been added to the dropdown list of the filter of table column
+ Music library: added an ability to flush search query easier


AIMP v3.10.1074 (24.08.2012)
============================
- Fixed: the Audio converter removes dots from file name
- Fixed: minor issues
- Fixed: the autoname for playlist calculates incorrectly, if name of the folder contains dot symbol


AIMP v3.10.1072 (07.08.2012)
============================
* Sound engine: the algorithm of advanced channels processing has been improved
* Plugins: compatibility with last.fm client v2 has been improved
* Plugins: rendering speed of visualizations has been increased
* Skin engine: compatibility with AIMP2 skins has been improved
- Fixed: %IN macro is expanded incorrectly when sending files from playlist to external directory
- Fixed: the Audio converter raises an exception, if "move output to..." options is active and target path is empty
- Fixed: the Audio converter ignores command line switches
- Fixed: the Audio converter increases tempo of composition twice when encoding to MP3 mono format
- Fixed: minor issues
- Fixed: incremental search does not work in the tag editor's genre selector menu
- Fixed: player resumes playback on startup incorrectly, if previously playing file has been removed from the playlist
- Fixed: player resumes playback queue incorrectly, if two or more playlists has same name
- Fixed: the music library does not suggest to create a new group in some cases when navigating by fields values
- Fixed: player used to jump over one track after deleting file from the playlist in some cases


AIMP v3.10.1065 (04.07.2012)
============================
- Fixed: incremental search does not work in the bookmarks popup window
- Fixed: minor issues
- Fixed: incompatibility with synaptics TouchPad
- Fixed: the exception "cannot open the file" occurs on multithreading encoding from a file in the WavPack format (+ CUE)
- Fixed: file is moved from the source folder to another one instead of copied when dragging the file from the playlist
- Fixed: AIMP rewrites information about the integration to windows registry on applying settings
- Fixed: player used to jump over one track after deleting file from the playlist
- Fixed: memory leak occurs when working with the MP3 encoder
- Fixed: music library ignores the number of playbacks for each file when it generates report about the favourite audio files


AIMP v3.10.1061 (29.06.2012)
============================
* Audio converter: displaying the progress of conversion operation in window caption has been added
* Player: the following equalizer presets has been added: headphones / reggae / ska / techno
- Fixed: audio converter incorrectly calculates target sample rate in some cases
- Fixed: playback cursor does not resets after playlist clearing
- Fixed: minor issues
- Fixed: bugs with displaying the equalizer window when using old skin
- Fixed: track removes from playing queue twice at the start of playback


AIMP v3.10.1051 RC 2 (01.06.2012)
=================================
* Bookmarks: ability to sort items in bookmarks manager
* Plugins: support of the input plugins from winamp has been improved
* Skin engine: text rendering speed is increased twice
- Fixed: skip mode does not work in the "send to" dialog
- Fixed: the cover arts is read incorrectly from ID3v2.4 in some cases
- Fixed: minor issues
- Fixed: player cuts the value of a track number field, if it is greater than 255
- Fixed: skin engine - wrong scrolling step at the ScrollBar element with non-resizeable thumb
- Fixed: skin engine - controls does not receive focus in some cases


AIMP v3.10.1045 RC 1 (21.05.2012)
=================================
* Tags: size of padding between tag and audio data is now limited to 100 KBytes
* Tags: the algorithm of calculating duration of audio files in MP3 VBR format has been improved
- Fixed: minor issues
- Fixed: incorrect text is displayed for the error, which occurs while output device is initializing
- Fixed: the equalizer window does not take animation settings into account in some cases
- Fixed: bugs with behaviour and displaying of old skins
- Fixed: player doesn't read audio tag correctly if it size is more than 1 MByte
- Fixed: playlist hangs on attempt to delete file from the disk in some cases
- Fixed: small scratches can be heard while playing track with sample rate greater than sample rate of output device
- Fixed: the "disable transparency if window is mouse focused" function does not work correctly in some cases


AIMP v3.10.1040 Beta 3 (08.05.2012)
===================================
* Decoders: the BASS has been updated to v2.4.9
* Sound engine: performance has been increased
* Audio converter: the encoders has been moved from "AIMP3\plugins" to "AIMP3\modules" folder
* Audio converter: the blade-interface of the lame_enc.dll library now supports
- Fixed: minor issues
- Fixed: size of the window does not save, if it in the "desktop tool bar" mode
- Fixed: the "select language" dialog - drop-down list is displayed behind the window
- Fixed: bugs with displaying of old skins
- Fixed: the playlist does not accept files from another application via drag-n-drop
- Fixed: the tag editor does not save cover art to the file, if file does not contain tags before operation
- Fixed: a memory leaks in the music library


AIMP v3.10.1034 Beta 2 (27.04.2012)
===================================
+ Music library: added an ability to quickly navigate through field value with ALT key pressed
* Sound engine: algorithm of the resampler has been improved
* General: design of hint for editing template has been changed
* Playlist: usability of multiple files selection using mouse has been improved
* Music library: speed of adding files into the database has been increased
- Fixed: playback of selected track cannot be started from QuickSearch field via enter key
- Fixed: internet radio capture does not work
- Fixed: macros cannot be expanded in some cases
- Fixed: minor issues
- Fixed: localization does not apply at the first start of the program
- Fixed: player incorrectly calculates duration for some files in WavPack format
- Fixed: option "add pause between track" does not work correctly
- Fixed: exception is raised when trying to change color scheme for the skin
- Fixed: bugs with displaying of old skins
- Fixed: player hangs after clicking on the "start playback" button if the playlist doesn't have tracks which are switched on
- Fixed: the CPU becomes overloaded during the playing silence if the equalizer is switched on
- Fixed: focus leaves from playlist after deleting last file from the playlist


AIMP v3.10.1027 Beta 1 (16.04.2012)
===================================
+ Audio converter: added an ability to encode files using few threads
+ Audio converter: new design
+ Audio converter: added an ability to encode files to APE, FLAC, OGG, WAV, WV, WMA and MP3 formats (lame encoder should be installed)
+ Audio converter: the "Audio converter" utility is distributed with the player again
+ General: added an ability to set template for running line for internet radio playback
+ General: design of error dialog has been updated
+ General: design of default skin has been updated
+ General: option "fade in volume at the beginning of track" has been moved to the quick options menu
+ General: skins are now stored in the profile folder of the program
+ Plugins: update checker - added an ability to download and install an update in semiautomatically mode
+ Playlist: "mark" menu item has been added to the context menu of playlist
+ Playlist: playlists manager dialog has been added
+ Playlist: added an ability to load few playlists to separate tabs via drag-n-drop
+ Playlist: added an ability of semiautomatic synchronization of the playlist with the specified folder or playlist
+ Playlist: added an ability to work with groups via keyboard
+ Playlist: all playlists are stored now in profile folder of the program
+ Playlist: playlists are not deleted now from the disk when you close playlist tab (optional)
+ Skin engine: potential abilities has been extended
+ Music library: ability to choose default player - AIMP or build-in player of music library
+ Music library: ability of access to the catalog of internet radio stations has been removed
+ Music library: ability of access to the content of flash-drives from music library has been removed
+ Music library: the storage of playlists has been moved to the playlists manager of the player


AIMP v3.00.985 (06.04.2012)
===========================
- Fixed: DropWheel window is painted incorrectly in AIMP2 skins
- Fixed: incorrect information about file format is displayed in quick tag editor in some cases
- Fixed: minor issues
- Fixed: incorrect information about bitrate and duration is displayed for some files in OGG format
- Fixed: incorrect information about bitrate is displayed for some radio stations
- Fixed: file mark does not display in playlist when AIMP2 skin is used
- Fixed: player starts playback of switched off tracks when jumping to another playlist via hot keys
- Fixed: player isn't able to use WASAPI for outputting on windows 8
- Fixed: player does not play short files completely
- Fixed: some problems with TrayControl behavior
- Fixed: windows explorer does not display data from tags of file in WMA lossless format after they've been edited by AIMP
- Fixed: small scratches can be heard on jumping from one track to another when equalizer is switched on
- Fixed: files are added in backward order when they are adding via "find new files" dialog


AIMP v3.00.981 (16.02.2012)
===========================
* Playlist: algorithm of CUE sheets catching for the audio files has been improved - support of files with double extensions has been added
- Fixed: buffer for DMO effects is not cleared after playback stopping
- Fixed: data from CUE sheets aren't caught up for files in .DTS
- Fixed: "default" button in DSP manager resets all of its settings to their default values only on the second pressing
- Fixed: autoname for equalizer preset generates incorrectly for the virtual files
- Fixed: information about the duration of the files is read incorrectly from the playlist in PLS format
- Fixed: number of the track in the playback queue cuts off in playlist in some cases
- Fixed: folder and files aren't sorted by thier names on adding them from windows explorer
- Fixed: plugins - lastfm client helper crashes on attempt to show plugin settings, if lastfm client doesn't installed
- Fixed: plugins - online radio browser:  error occurres on attempt to switch to "IceCast" tab, if one of the record doesn't contain information about the bitrate
- Fixed: plugins - some visualizations from AIMP2 don't work on AIMP3
- Fixed: plugins - list loses focus after changing state of plugin
- Fixed: player doesn't allow to add files in AIFF format to playlist
- Fixed: small scratches can be heard on quiet tracks when equalizer is switched on
- Fixed: applications hangs on attempt to play file without audio data, but with tags


AIMP v3.00.976 (30.12.2011)
===========================
* Player: radio station name is now set automatically on starting playback, if it has not been set before by the user
* Tag editor: track number is no longer stored in the ID3v1, if it value more than 255
- Fixed: minor issues
- Fixed: plugins - last.fm plugin doesn't start scrobbling sometimes
- Fixed: player - "a-b repeat" function drops playback position to beginning in some cases
- Fixed: player - part of the next track sounds in the end of current track, if "shuffle" mode is active
- Fixed: tag editor - buttons in footer panel doesn't display, if height of the screen less than 600 pixels
- Fixed: tag editor - the table doesn't update after using tag autofill function


AIMP v3.00.970 RC 3 (23.12.2011)
================================
* General: added ability to install skin from skin chooser dialog
* General: support of multimedia keyboards has been improved
* General: compatibility with synaptics TouchPad has been improved
- Fixed: radio browser - links doesn't add to "custom" catalog
- Fixed: radio browser - downloading process can't be canceled via "cancel" button
- Fixed: radio browser - exception occurs when switching from "ice cast" to "custom" tab
- Fixed: radio browser - exception occurs when trying to activate radio browser in music library
- Fixed: value of "encoding for non-unicode strings" option can't be saved
- Fixed: playlist - player doesn't jumps to next playlist if "shuffle" mode is active
- Fixed: playlist - exception occurs when trying to play previous playlist if it was closed
- Fixed: incorrect position of equalizer sliders on first start
- Fixed: tag editor - auto fill tags function doesn't work in some cases
- Fixed: tag editor - %IN macro used to start numeration from zero
- Fixed: skin engine - hitTest mask doesn't work for slider elements
- Fixed: skin engine - time used to draw incorrectly for files with duration more 100 minutes


AIMP v3.00.961 RC 2 (02.12.2011)
================================
* Sound engine: resampler algorithm has been improved
* Plugins: radio browser - ability to input genre manually
* Player: ability to start playback of bookmark using "enter" key
* Player: player now detects full screen applications only on the current monitor
* Track list: total duration of playlist now displays in "DD:HH:MM:SS" format
- Fixed: ID3v2 tag doesn't read to the end in some cases
- Fixed: external playlist is not reloaded when trying to open it again
- Fixed: known memory leaks
- Fixed: navigation by track doesn't work for remote files
- Fixed: player doesn't work correctly with playlists in M3U8 format
- Fixed: player doesn't allow drop new file to the end of playlist, if "auto merge similar categories" option is active
- Fixed: incompatibility with synaptics TouchPad
- Fixed: incompatibility with AVG and avast antivirus
- Fixed: no an ability to capture internet-radio, if station doesn't send meta-data
- Fixed: "show information about selected files" option doesn't work
- Fixed: player doesn't receive links to the internet radio via command line
- Fixed: music library doesn't detects drive letter correctly in some cases


AIMP v3.00.950 RC 1 (06.11.2011)
================================
+ Player: ability to use IE's proxy settings
+ Playlist: %PD macro has been added (for displaying parent directory name)
+ Skin engine: ability to disable per-pixel semitransparency
+ Skin engine: blur behind supports (only for windows 7 or newer)
* Plugins: DTS decoder now distributed separately from the player
* Plugins: plugins API - added an ability to access to proxy settings
* Player: ability to reset user-agent value
* Player: help in russian was added
* Skin engine: sliders - added hot-state supports
- Fixed: "default"-playlist not resets when importing files from external applications
- Fixed: player jumps to random track in some cases
- Fixed: player repeats one track twice in some cases even if "repeat track" mode is switched off
- Fixed: installer doesn't remove standard plugins in "update" mode, even if user refused from them
- Fixed: installer removes multiuser settings from AIMP2 in "new installation" mode
- Fixed: minor issues
- Fixed: player doesn't read metadata of internet radio stations in some cases
- Fixed: "play / pause" function doesn't work in context menu of tray icon
- Fixed: plugins - component list doesn't fill correctly in some cases
- Fixed: focus jumps to first playlist tab after closing selected playlist tab
- Fixed: program hangs on windows XP, if modal dialog is shown on finishing drag-n-drop operation.
- Fixed: skin engine - smooth applying of transparency doesn't work correctly with TrayControl window in some cases
- Fixed: skin engine - bugs with handling mouse wheel messages
- Fixed: memory leak occurs while listen internet radio station
- Fixed: music library - "track repeat" and "shuffle" buttons doesn't work


AIMP v3.00.934 Beta 5 (07.10.2011)
==================================
+ Plugins: API has been extended
+ Plugins: scheduler - button for easy way to set current time was added
+ Player: ability to change "user-agent" was added
+ Player: playlists in *.ASX format are supported now
+ Player: context menu for "repeat track" button was added for quick access to repeat options
+ Player: equalizer has been improved
+ Tag editor: ability to resize album art images is added
+ Music library: displaying album art in aero peak
* Plugins: last.fm plugin now works only with installed last.fm-client
* Plugins: "plugins manager" dialog has been redesigned
* Skin engine: input box - ability to select text via keyboard was added
* Skin engine: input box - shortcuts for copy / paste operations were added
* Skin engine: memory usage has been reduced
- Fixed: ID3v2 tags are parsed incorrectly in some cases
- Fixed: disk number isn't displayed in playlist, if it is in "1/2" format
- Fixed: error occurs after player restarting and attempt to playing CUE file
- Fixed: "search new files" action adds duplicated files in some cases
- Fixed: "remove missing files" command removes links to internet radio stations
- Fixed: "block desktop locking" option doesn't operate in full screen mode of visualization
- Fixed: "disk number" field isn't read from tags of files in M4A format
- Fixed: incorrect position of "add link" dialog on the system with few monitors
- Fixed: incorrect work with relative paths
- Fixed: some skins are used to draw incorrectly on system with non-russian locale
- Fixed: bitrate for some files in TTA format calculates incorrectly
- Fixed: plugin for multimedia keyboards support is missing in 916 build
- Fixed: player hangs while track navigation, if DSP-plugins are in use
- Fixed: player hangs sometimes when trying to play files in WAV format
- Fixed: player doesn't operate via meta data from some internet radio stations
- Fixed: player crushes when trying to play corrupted file in MP3 format
- Fixed: player used to jump over 1 track in some cases
- Fixed: small part of previous track can be listened when current file is trying to be played and player is on pause state
- Fixed: incorrect channel order when playing files in DTS format
- Fixed: wrong tracks names during the internet radio capturing
- Fixed: tag editor save album art to first selected file only
- Fixed: skin engine - some skins doesn't provide an ability to select playlist tab via mouse
- Fixed: skin engine - windows aren't repainted in some cases
- Fixed: skin engine - minimal size of window calculates incorrectly after its child containers shown / hidden
- Fixed: music library - "search new files" doesn't process new subfolders
- Fixed: music library - labels doesn't display in the list immediately
- Fixed: "repeat track" function used to operate incorrectly with files which duration is less than 2 seconds


AIMP v3.00.916 Beta 4 (07.08.2011)
==================================
- Fixed: player opens files from external applications with delay about 30 seconds


AIMP v3.00.915 Beta 4 (05.08.2011)
==================================
+ Plugins: last.fm plugin has been translated to API v2.0
+ Plugins: added context menu extension for windows explorer
+ Playlist: added the ability to disable auto merging of similar categories
* DSP-manager: pitch changing step has been corrected
* Plugins: BASS_MIDI has been updated to v2.4.6.3
* Plugins: tak_deco_lib has been updated to v2.2
* Playlist: shuffle algorithm has been improved
- Fixed: "copy to...": doesn't show overwrite confirmation
- Fixed: IAIMPController.AIMP_GetCurrentTrack doesn't work with remote files
- Fixed: last.fm scrobbler doesn't scrobble when listening internet-radio
- Fixed: wide picture of AlbumArt overlaps some text fields
- Fixed: adding files or folders stops when trying to read CUE sheet for nonexistent file
- Fixed: information line detects full screen applications incorrectly on the system with few monitors
- Fixed: local hot keys don't working in full screen mode of visualization
- Fixed: %DN macro is ignored in tags editor when rename files
- Fixed: option "replay playlist with one file" doesn't work if shuffle mode is enabled
- Fixed: tab created via drag-and-drop doesn't receive focus automatically
- Fixed: internet-radio capture doesn't work
- Fixed: cover arts in BMP format don't read correctly
- Fixed: ID3v1 has higher priority than ID3v2 in some cases
- Fixed: player crashes when trying to switch between skins with different orientation of playlists' tabs
- Fixed: player jumps to the next track unexpectedly in some cases when listening audio sets
- Fixed: portable version of AIMP3 intercepts associations from AIMP2
- Fixed: "added date" field is ignored when import data from AIMP2 database
- Fixed: %DC macro return incorrect value


AIMP v3.00.901 Beta 3 (02.07.2011)
==================================
+ Core: added the ability to save tags to the file, which is playing in one of the AIMP applications
- Fixed: animation of playlist's tabs stops early in some cases
- Fixed: player crashes when trying to open folders selection dialog
- Fixed: player crashes when trying to get information about new version, if remote service unavailable


AIMP v3.00.900 Beta 3 (01.07.2011)
==================================
+ Skin engine: added the ability to set hot state for playlist's tab elements in the 3rd and 4th frames of the texture
+ Skin engine: added the ability to change z-order of the elements for each container
+ Skin engine: added the ability to change indent between playlists' tabs
+ Skin engine: added the ability to set font for playlist's tab with it is in active and playing states
* Sound engine: replaygain's "on-fly" calculation algorithm has been improved
* Playlist: reading speed of files in AIMPPL format has been increased
* Skin engine: text rendering speed is increased twice
- Fixed: CD-TEXT is parsed incorrectly
- Fixed: PluginsAPI - visual data are calculated incorrectly in some cases
- Fixed: PluginsAPI - information about the file's mark isn't stored in AIMP2_RemoteInfo object
- Fixed: auto jump to the next track doesn't work with online-playlists
- Fixed: alarm clock ignores "add files to playlist" settings
- Fixed: small delay on start file's playback in AAC format
- Fixed: infobar - settings can't be saved in some cases
- Fixed: infobar - marks for the files aren't displayed
- Fixed: slow speed of saving tags from large files
- Fixed: minor issues
- Fixed: other than CDA format files aren't added to the playlist when importing CD\DVD
- Fixed: metadata from some internet radio stations are parsed incorrectly
- Fixed: playlists in M3U / M3U8 formats are parsed incorrectly in some cases
- Fixed: file navigation doesn't work correctly for files with size more than 2 GByte
- Fixed: CUE sheets which contain information about the few files with few tracks are expanded incorrectly
- Fixed: duration of some files in WMA format calculates incorrectly
- Fixed: some files in APE format can't be played
- Fixed: option "stop playback if current file was deleted" is ignored in case of playlist was closed
- Fixed: player hangs when switching between files in DTS 5.1 format
- Fixed: player starts playback after physically removing of current file from playlist, even if it was stopped
- Fixed: player's dialogs don't show files in .M4B format
- Fixed: player skips small parts of audio stream after the unpause
- Fixed: small sound scratches when switching from one track to another with active replaygain option
- Fixed: memory leaks in some cases, when you add files to playlist
- Fixed: files in CDA format aren't opened on double click in windows explorer
- Fixed: files with size more than 2 GBytes can't be played if caching is enabled
- Fixed: cue sheets can't be extracted from audio files with size more than 2 GBytes
- Fixed: music library - scrobbling settings are resets to default in some cases
- Fixed: music library - table cursor position is resets after labels' changing
- Fixed: music library generates report too slow


AIMP v3.00.881 Beta 2 (06.05.2011)
==================================
+ Music library: added the ability to copy / move files to the subfolders via drag and drop method
+ Music library: added the ability to drag folders from grouping tree
* Player: support of multimedia keyboards has been improved
* Tags: increased tags reading speed from MP3 files
- Fixed: playback through ASIO stops when opens settings dialog
- Fixed: changes in some playlists can't be saved on the application closing
- Fixed: minor issues
- Fixed: "search for new files" function doesn't work in the audio library
- Fixed: player state can't be saved during the playlist navigation via "next / previous file" buttons, if player is trying to connect to the internet radiostation
- Fixed: some visualizations don't rendering correctly
- Fixed: AutoTag doesn't work correctly for group of files.
- Fixed: skins from AIMP2 with semi-transparent elements don't work correctly
- Fixed: playlist window can't be resized when it uses standard skin
- Fixed: tempo filter doesn't work correctly
- Fixed: player can't be associated with file types in some cases
- Fixed: player stops playback after the changing default output device
- Fixed: window doesn't magneted to the top edge of screen while resizing
- Fixed: information about selected files doesn't updated in QTE, if QTE window is already visible
- Fixed: playlist's name was trimmed when saves playlist to the disk, if name contains "." symbol
- Fixed: part of the previous track had been played when new track started, if player had been in pause state
- Fixed: player doesn't take into account settings, which disallow auto jump to the next track, when playing track deleting physically
- Fixed: tag editor doesn't read disk number field from the tags
- Fixed: animation of equalizer window worked slow on some systems
- Fixed: titles of some tracks are trimmed when listening internet radio


AIMP v3.00.861 Beta 1 (01.04.2011)
==================================
+ Scheduler: ability to use playlist as alarm clock signal
+ Player: ASIO - added ability to choose the channels, which would be used for output
+ Player: ability to create a new playlist tab under mouse cursor while dragging files
+ Player: added "auto-adjust equalizer preset for a track" action to the equalizer menu
+ Music library: ability to play files / playlists in AIMP3
+ Music library: ability to manual import of database from AIMP2
* Decoders: BASS libraries were updated
* Plugins: plugin for access to shoutcast.com catalog has been removed
* Player: crossfading and pause between tracks settings has been moved to separate items
* Playlist: loading speed of playlists has been increased
* Skin engine: rendering speed has been increased
- Fixed: autoshutdown was executed incorrectly on ending of the playing queue
- Fixed: incorrect name for playlist was set, if it had been loaded from external file
- Fixed: autoloaded preset of the equalizer is reset by alt+click combination, when information about the file from playlist is displayed
- Fixed: value of option "music library: allow statistics" wasn't saved
- Fixed: minor issues
- Fixed: titles for the some tracks are displayed truncated when listening internet-radio stations
- Fixed: player resumes playing incorrectly on program startup, if few playlists have same name
- Fixed: tracks are grouped incorrectly, if it has been expanded by CUE sheet
- Fixed: skins were drawn incorrectly on windows XP under low color mode
- Fixed: player hung when internet-radiostation switching track
- Fixed: mono-channel mode was active by default
- Fixed: positions of records in the table were calculated incorrectly after the sorting
- Fixed: tag editor - address line wasn't updated after the file had been renamed
- Fixed: tag editor - it had no any ability to disable AutoTag, if it was enable
- Fixed: tag editor - the "don't fill field if it has value" function wasn't work
- Fixed: fixed: files weren't moved, if keyboard was used for playlist navigation while drag and drop operation was being processed


AIMP v3.00.851 Beta 1 (09.03.2011)
==================================
+ Playlist: added ability to expand / collapse all groups in the playlist by clicking with pressed alt button
* Sound engine: spectrum calculation algorithm has been rewritten
* Player: playlist view settings has been moved to separate tab
* Skins engine: compatibility with AIMP2 skins has been improved
* Core: sorting algorithm speed has been increased
* Core: text rendering speed has been increased
- Fixed: quick file info takes focus when showing
- Fixed: quick tag editor don't save changes to the playing file
- Fixed: hotkeys don't work in some cases
- Fixed: information about current track on the radio station don't display
- Fixed: minor issues
- Fixed: connection status to the radio station don't display
- Fixed: crossfade settings don't applying in some ways
- Fixed: input fields resets when switching between tabs in multiple mode of QTE
- Fixed: player hangs when switching to the next track
- Fixed: advanced tag editor don't accept WavPack files


AIMP v3.00.840 Beta 1 (22.02.2011)
==================================
* Plugins: сompatibility with winamp input plugins has been improved
* Player: integration to the context menu of windows explorer is temporarily disabled
* Skin engine: rendering speed has been increased
- Fixed: "copy to ..." didn't save previously selected paths
- Fixed: autoshutdown was executed incorrectly on ending of the playing queue
- Fixed: music library labels are excluded incorrectly in some cases
- Fixed: quick search don't work in some cases
- Fixed: information about selected file wasn't updated in the advanced tag editor if file list was being scrolled via keyboard
- Fixed: GUI bug in the "missed files" audio library dialog
- Fixed: CUE sheets were not caught up for the CD images
- Fixed: option "save absolute file paths" couldn't be saved
- Fixed: some parameters of radio capture were not saved
- Fixed: single click at the tray icon activated event with delay, even if double click event hadn't been assigned
- Fixed: option "repeat playlist with one file" must be available only if "playlist repeat" mode is active
- Fixed: batch tags processing was't available in the audio library
- Fixed: bugs with removing silence filter
- Fixed: ScrollBar drawn incorrectly with some skins
- Fixed: player jumps to the previous track if current track was removed from the playlist physically
- Fixed: link to the internet radio couldn't be added as a melody for alarm clock


AIMP v3.00.832 Beta 1 (05.02.2011)
==================================
* Playlist: grouping by folders has been improved
* Tag editor: AutoTag by file name function has been improved
* Tag editor: file renaming function is not case sensitive now
* Skin engine: spectrum displays all frequencies
* Skin engine: compatibility with AIMP2 skins has been improved
* Skin engine: usability of the new playlist creation via Drag'n'Drop has been improved
* Skin engine: rendering speed has been increased
* Music library: 'jump to current file' function has been improved
- Fixed: problem with WAV-DTS playback
- Fixed: sound effects didn't resumed after the program restart
- Fixed: bug on file playing with enabled caching to occur in some cases
- Fixed: if track has cover with high resolution then it stuck on switching
- Fixed: scroll buttons are not shown if context menu was out of screen bounds
- Fixed: sorting by %m template didn't work
- Fixed: incorrect device switching with stopped player
- Fixed: format of audio stream incorrectly detected for some radio stations
- Fixed: context menu display incorrectly on multi-monitor configuration
- Fixed: some CUE-sheet files parsed incorrectly
- Fixed: incorrect selection behavior with pressed ctrl
- Fixed: incorrect behavior of 'start playback on launching' function
- Fixed: incorrect control of some sound effects
- Fixed: some bugs with labels in music library
- Fixed: player didn't switch to the previous track if cursor was at the beginning of the playlist
- Fixed: content-filters resets in music library during the navigation by groups
- Fixed: minor issues


AIMP v3.00.815 Beta 1 (30.12.2010)
==================================
* Decoders: BASS libraries were updated
* Skin engine: rendering speed has been increased


AIMP v3.00.810 Beta 1 (20.12.2010)
==================================
+ CoverArt downloader: cache previous search results
+ CoverArt downloader: cover search now doesn't begin immediately after window shown
+ LastFM scrobbler: scrobbling track from internet radio
+ LastFM scrobbler: now works directly with the service
+ Scheduler: added smooth volume increasing
+ Radio capture: added ability to make CUE sheet file
+ Radio capture: added ability to capture stream "as is" (only for MP3 / AAC / AAC+)
+ Radio capture: extended file split options - by time / by size
+ Sound engine: added ASIO / WASAPI / direct sound support
+ Sound engine: added OGG files support with multiple track inside
+ Sound engine: added DTS / TAK formats support
+ Sound engine: extended track mixing options
+ Sound engine: our output system, BASS is used now only as decoder
+ Sound engine: improved works with *.iso.wv / *.iso.ape files
+ Sound engine: added 5.1 / 7.1 channels emulation
+ InfoBar: added ability to display track cover art
+ InfoBar: added ability to adjust background transparency
+ Internet radiostation catalog: added tab "custom"
+ Internet radiostation catalog: integrated to audio library
+ Queue manager: added track duration to the table
+ Queue manager: added information about total duration of all tracks in the queue
+ Icon library: added ability to set icon for each format
+ Player: added ability to pin player / playlist on the screen edge
+ Player: added ability to set alternative global hot keys
+ Player: added ability to dock player with playlist to the screen edge
+ Player: added ability of random switching visualizations
+ Player: plugin manager was moved to options
+ Player: new design
+ Player: improved options window
+ Player: extended running line animation options
+ Player: expanded tracklist export options
+ Playlist: added ability to lock playlist from changes
+ Playlist: added ability to set individual settings for every playlist
+ Playlist: added ability to disable auto expanding files by CUE
+ Playlist: added "single playlist mode"
+ Playlist: added %up(), %low(), %caps(), %replace() and %char() macros
+ Playlist: categories - added ability to expand / collapse them
+ Playlist: categories - added optional separating template
+ Playlist: categories - added information about size and duration
+ Playlist: categories now couldn't be separated into few parts
+ Tag editor: replaygain - added ability to autocalculate values
+ Tag editor: replaygain - added ability to enter values manually
+ Tag editor: added columns: bitrate / duration / ID3v1 / ID3v2 / APE / WMA / vorbis
+ Tag editor: renaming one file - now highlight only file name
+ Tag editor: renaming by template - added ability to work with copy of the file
+ Tag editor: renaming by template: added confirmation dialog if file names match
+ Tag editor: field "track number / track count" was divided into two fields
+ Skins: added ability to clone gauge and spectrum elements
+ Skins: added ability to place playlist tabs vertically
+ Skins: added ability to create round sliders
+ Skins: added full support of semitransparent textures
+ Skins: extended elements options
+ Skins: tray icon is now depends from skin
+ Tags: added reading M4A / M4B / MP4 tags
+ Tags: added reading / writing covers to OGG files
+ Tags: added reading / writing TTA / OFR / OFS tags
+ Tags: increased tags reading speed
+ Music library: quick content filtering among columns values
+ Music library: added ability to group by any columns
+ Music library: added ability to hide grouping window
+ Music library: added report generation - total duration, favorite artist / album / genre
+ Music library: added labels support
+ Music library: disk number now used for grouping by albums
+ Music library: implemented as independent application
+ Music library: added ability to sort on several columns at once
+ Music library: ID3v2.4 separators support
+ Music library: added ability to filter files by size or/and duration before adding to database
* Player: main window now isn't frozen on file moving to removable device
* Playlist: "send to..." - added ability to copy additional files with main files
* Playlist: "send to..." - now you can rename by template options


AIMP v2.61.583 (07.08.2010)
===========================
* Manuals were updated
* BASS libraries were updated
* Localizations were updated
- Fixed: minor issues
- Fixed: information in the aero peek wasn't updated if the cover art of the current file has been changed
- Fixed: playback progress wasn't updated in the taskbar in some cases
- Fixed: incorrect reading of the cover arts from ID3v2.4 tags
- Fixed: bug with creation of the playlist when import files from other applications


AIMP v2.61.570 (05.06.2010)
===========================
* Manuals were updated
* BASS libraries were updated
* Skins were updated
- Fixed: playback of the file didn't start from the beginning in some cases
- Fixed: bounds of the looped section were dropped if file position had been changed manually
- Fixed: some WV files couldn't be played
- Fixed: bug with multiple folders selection in the dialog
- Fixed: bug with multiple selection in the playlist
- Fixed: bug with reading duration from some WMA files


AIMP v2.61.560 (22.03.2010)
===========================
* Manuals were updated
* License agreement was updated
* BASS libraries were updated
* Localizations were updated
* Tags reading core was optimized
- Fixed: auto shutdown fails, if pause between tracks was switched on
- Fixed: sometimes the name of the radio station can be lost from playlist item
- Fixed: minor issues in skin engine
- Fixed: minor issues in plugins core


AIMP v2.60.551 (15.02.2010)
===========================
* Manuals were updated
* Localizations were updated
- Fixed: CUE files can't be played, if has unicode characters in the file name
- Fixed: small GUI bugs
- Fixed: bug with reading some WavPacks
- Fixed: program crash on closing, if queue manager shown
- Fixed: sending title of the current track to the DSP/general-plugins


AIMP v2.60.530 (05.01.2010)
===========================
+ Added ability to switch tracks by click on tray-icon
* Localizations were updated
- Fixed: stuttering at the beginning of playback of some files
- Fixed: bugs with playing CUE-files


AIMP v2.60.528 (30.12.2009)
===========================
* Localizations were updated
- Fixed: bug with loading some all-in-one skins
- Fixed: bugs in parser of CUE-files


AIMP v2.60.525 (07.12.2009)
===========================
* Localizations were updated
- Fixed: critical bug in "update checker"
- Fixed: critical bug with writing tags in some OGG-files


AIMP v2.60.520 (01.12.2009)
===========================
+ Three new skins were added
* Localizations were updated
* Help files were updated
- minor issues were fixed


AIMP v2.60.512 RC3 (08.11.2009)
===============================
* Localizations were updated
* Now radio stream recording continues after automatic reconnection to station
- Fixed: embedded skins fonts are ignored
- Fixed: bug with reading CUE-files
- minor issues were fixed


AIMP v2.60.510 RC3 (01.11.2009)
===============================
* Reduced system resources usage
- Fixed: incorrect encoding of title of playlist item in some ways
- Known bugs were fixed


AIMP v2.60.507 RC2 (20.10.2009)
===============================
+ Ability to disable display of infobar if full-screen application is running
* BASS and SQLite3 libraries were updated
* Simple scheduler: time editor were improved
- Known bugs were fixed


AIMP v2.60.505 RC1 (30.09.2009)
===============================
- Known bugs were fixed


AIMP v2.60.499 RC1 (05.09.2009)
===============================
* BASS and SQLite3 libraries were updated
- Fixed: proxy settings were ignored in advanced tag editor
- Fixed bug with tags reading from some MusePack files
- Known bugs were fixed


AIMP v2.60.497 Beta 4 (31.08.2009)
==================================
- Fixed critical bugs
- Fixed other minor issues


AIMP v2.60.495 Beta 4 (28.08.2009)
==================================
+ Info bar: now is not shown if full-screen application is running
+ Core: ability to read audio content info from MusePack v8
- Fixed bug causing the program hanging in some cases
- Fixed bug with reading some cover arts from ID3v2
- Fixed: proxy settings were ignored in "online radio" and "CoverArt downloader" modules
- Known bugs were fixed


AIMP v2.60.491 Beta 3 (08.08.2009)
==================================
+ Added ability to filter cover arts when downloading by file size
+ Added beta-versions of manual at the russian and english languages
* Default skin: added popup menu with playlists list
* Scheduler: added ability to execute action after pre-set time period
* Scheduler: interface were improved
- Fixed minor issues
- Fixed bugs in skin engine


AIMP v2.60.486 Beta 2 (11.07.2009)
==================================
* Updated italian localization
* Updated BASS files
- Fixed bugs in skin engine
- Fixed bugs in core


AIMP v2.60.485 Beta 2 (05.07.2009)
==================================
+ Added logical sorting of playlist (for WinXP or higher)
- Fixed bugs


AIMP v2.60.484 Beta 2 (01.07.2009)
==================================
+ Tag editor: new column "album cover’s availability in tag-file" added
* Settings saveability on emergency reset were improved
* Music library: view style in “without grouping” mode has been changed from "CardsView" to "AlbumView"
- Some bugs fixed


AIMP v2.60.482 Beta 2 (20.06.2009)
==================================
- Fixed critical bugs


AIMP v2.60.480 Beta 2 (16.06.2009)
==================================
+ Added plugins: integration to win7 TaskBar, simple scheduler
+ Tag editor [advanced]: added ability to show subfolder headers in the file list
* Skin engine: improved mask creation speed
* Improved compatibility with windows 7
- Fixed bug with reading some ID3v2 tags
- Fixed numerous bugs


AIMP v2.60.472 Beta 1 (10.05.2009)
==================================
- Fixed numerous bugs


AIMP v2.60.470 Beta 1 (01.05.2009)
==================================
* Minor functionality changes
* Skin engine: improved rendering speed
- Fixed numerous bugs


AIMP v2.60.466 Beta 1 (22.04.2009)
==================================
+ Skin engine: added ability to disable windows magnetize effect
+ Skin engine: added saturation regulator
* Minor functionality changes
- Fixed numerous bugs


AIMP v2.60.462 Beta 1 (09.04.2009)
==================================
+ DSP-manager: button to reset effects to their default values
+ DSP-manager: equalizer algorithm updated
+ DSP-manager: "replaygain" tag support in "auto normalize sound volume" module
+ DSP-manager: DFX9 compability improved
+ Skin engine: "all in one" mode added
+ Skin engine: ability to create user's containers added
+ Skin engine: new elements added - CoverArt, rating display, a-b repeat mode
+ Skin engine: docking engine updated
+ Skin engine: half-opaque support for elements that can't contain other elements
+ Information line: ability to adjust text alignment
+ Information line: optional album art displaying
+ Information line: FadeIn and FadeOut
+ Queue: ability to turn off queue saving after player shutdown
+ Queue: ability to save queue as playlist
+ Queue: moving queue manager items by mouse
+ Plugins: automatic computer shutdown is a plugin now
+ Plugins: CoverArt downloader added
+ Plugins: active online shoutcast / ice cast radio stations browser added
+ Plugins: information line is a plugin now
+ Player: automatically subdividing to tracks when adding file that has CUE-sheet
+ Player: "windows default" added to default sound output devices list
+ Player: possibility to turn off explorer context menu cascading
+ Player: repeating of the part of the track (a-b repeat) added
+ Player: crossfading effect when rewinding track added
+ Player: adjusting playlist scrolling speed
+ Player: displaying duration and size of files, selected in playlist
+ Player: reconnection to internet-radiostation when losing connection
+ Player: embedded CUE-sheet support for WV, FLAC, APE formats
+ Player: when playing CUE-sheet real track's format will be displayed in information line
+ Player: ability to adjust pause between tracks
+ Player: XSPF playlists support
+ Player: template for filename for radio recording
+ Tag editor [advanced]: multiple deleting of selected tags
+ Tag editor [advanced]: MiniPlayer for track preview
+ Tag editor: ability to edit embedded CUE-sheet
+ Tag editor: "disk number" field added
+ Music library: ability to reset statistics
+ Music library: DB requests optimization
+ Music library: CUE-sheet support
+ Music library: sorting playlists by rating
+ Music library: displaced files management
+ Core: minor issues fixed
+ Core: "while-typing" TreeView navigation
+ Core: internal classes and functions optimisation
+ Core: in windows vista and higher "vista dialogs" will be used instead of classic
+ Core: single-line text painting speed-up
* Removed ability to dock main window to audio library because of the instability
* Removed title scrolling from playlist


AIMP v2.51.330 (30.12.2008)
===========================
- Fixed: crash of program sometimes when listening internet-radio
- Fixed: some minor issues


AIMP v2.51.328 (15.12.2008)
===========================
- Fixed: incorrect duration for some WAV-files
- Fixed: crash of shuffle-manager sometimes through switch between different playlists
- Fixed: playlist don't synchronize with list of audio library
- Fixed: if program process was killed, it doesn't start untill reboot
- Fixed: cache of files marks flushes during settings change
- Fixed: some minor issues


AIMP v2.51.323 (29.11.2008)
===========================
* Usability were improved
- Fixed: don't work 32-bits sound processing option in b320
- Fixed: don't work tempo and pitch sound effects in b320
- Fixed: wrong duration for *.wv files in some times


AIMP v2.51.320 (23.11.2008)
===========================
+ Player: bosnian and croatian languages was added
+ Core: ability to read ID3v1/2/APE tags for WavPack-format files
* License agreement was updated
* Music library: grouping by albums set as default "CardsView" mode for "show all files"
* Music library: adding files speeded up at 50 percents
- Fixed: files with non-printing characters in the tag fields were not added to audio library
- Fixed: autoplayback of playlist was not started after opening files if shuffle mode was active
- Fixed: playlist playback was not started during playlist's navigation by hot keys, if the first track was "switched off"
- Fixed: some minor issues


AIMP v2.50.312 (24.10.2008)
===========================
+ Player: ability to save playlist with ansi-encoding
- Fixed: sometimes changes did't saved in audio library
- Fixed: there were no statistics for files with duration less than 15 seconds in audio library
- Fixed: incorrect work of "randomize files at playlist" function
- Fixed: wrong updating file information when CUE-sheets playing
- Fixed: bug with renaming files by template with illegal characters
- Fixed: incorrect encoding of russian text which loaded from CDDB
- Fixed: could not added to the playlist files with *.fla extention
- Fixed: some minor issues


AIMP v2.50.306 (10.10.2008)
===========================
+ DSP-engine: added stereo enhancer (for stereo only)
+ DSP-engine: added filter for normalization of sound
+ DSP-engine: added filter for passes silence when song playing
+ DSP-engine: added filter for reverse audio channels (for stereo only)
+ DSP-engine: added filter for voice removal
+ Tag editor: ability to edit path of the file
+ Tag editor: copy data to clipboard button
+ Tag editor: copy file to clipboard button
+ Tag editor: new design
+ Tag editor: auto fill tags based on name / path of file
+ Player: ability to set a conversion table for non-unicode strings
+ Player: added LastFM plugin for work with LastFM service
+ Player: added CD-text  support
+ Player: further development of the "copy to folder" function - list of "recent folders" added
+ Player: right-click on a running line to open the quick tag editor
+ Player: stop button flashing when you set "stop after current track" option + support of MMS protocol
+ Player: new module for playback / capture internet-radio + added MMS protocol support
+ Player: bookmarks manager updated
+ Player: options for MIDI / MOD files playback
+ Player: display the real names of tracks instead of "next / previous file" on navigation buttons
+ Player: playback status displaying in the tip of tray icon
+ Player: CUE-sheets module redesigned (track switching from the context menu of the current playback position)
+ Player: options window ergonomic increased
+ Player: transparency settings were improved for main windows
+ Player: playlist saving on player close
+ Playlists: ability to autosave playlist at the address where it opened (kept in profile folder previously)
+ Playlists: ability to cut the file from one playlist to another (when moving with alt button down)
+ Playlists: ability to add folders series to playlist by open dialog
+ Playlists: ability to use conditional operator in a string templates
+ Playlists: code optimization
+ Playlists: support of m3u8 playlists
+ Playlists: when you add folder to an empty playlist it name became as the name of a folder
+ Playlists: bookmarks scrolling by mouse wheel in playlist
+ Playlists: load / save playlist's operations accelerated
+ Playlists: auto-sorting playlists in the window "playlist customization"
+ Advanced search: ability to search for a job playlist file
+ Advanced search: playlist manager calls from advanced search window
+ Advanced search: displaying the file number in the playlist
+ Tag editor: ability to set cover for several files
+ Tag editor: ability to tags removing from multiple files
+ Tag editor: added auto fill tags function based on name / path of file
+ Tag editor: genres sorted alphabetically
+ Tag editor: code optimization
+ Tag editor: interface changed
+ Tag editor: red highlighting with the group rename files, which could not be renamed
+ Music library: quick search for items in the groups-tree
+ Music library: ability to change the order of table columns
+ Music library: engine switched to SQLite3
+ Music library: files add to the library by simply drag-n-drop
+ Music library: an interface of library updated
+ Music library: quick navigation panel
+ Music library: FLAC / APE / AAC / MPC support
+ Music library: expanded integration with player
+ Music library: relative paths saving for files from removable media
+ Core: ability for all functions to set both global and local keys
+ Core: the scheme of user's preferences storing were improved
+ Core: added logarithmic volume control
+ Core: new capabilities for addon-plugin
+ Core: new module for plug-ins management
+ Core: skin engine updated
+ Core: updated to BASS v2.4
+ Core: interaction with winamp DSP / input improved


AIMP v2.11.211 (15.03.2008)
===========================
+ Player: selection in playlist will move to the current file regardless of the focus if manual navigation used
+ Player: AutoJump to the next file in tag editor was added
+ Player: arabic localization was added
+ Player: function of template formation was speeded up
- Fixed: bug with QuickFileInfo updating
- Fixed: bug with playlist window position in dualview mode
- Fixed: bug with playing of multichannel audio
- Fixed: bug with crossfade between tracks with active mute or PreAMP modes
- Fixed: bug in CUE-parser
- Fixed: bug with tracklist genereation by template
- Fixed: bug with randomize by playlist function in DragNDrop mode
- Fixed: bug with playlist selection in autojump to next playlist function


AIMP v2.10.210 (30.01.2008)
===========================
+ Player: auto rename playlist on manual saving
+ Player: quick search up & down by list
+ Player: transparency of main windows
+ Player: small visual changes
+ Player: method of searching in playlist was updated - now the result is not affected by order of parts
+ Player: method of searching in playlist was speeded up
- Library: bug in sorting items in playlists
- Fixed: bug with AIMP working in minized mode
- Fixed: bug with radio recording with 32-bit sound processing
- Fixed: bug with drag&drop coping with wrong links
- Fixed: bug with playlists creation
- Fixed: bug with reading lyrics from *.OGG files


AIMP v2.09.209 (30.12.2007)
===========================
+ Player: help in russian was added
+ Player: search album covers algorith was updated
+ Player: LangPackages format was updated
+ Player: showing album covers from GIF
- Fixed: bug with minimization to tray
- Fixed: bug with reading lyrics from FLAC


AIMP v2.08.208 Beta (30.11.2007)
================================
+ Player: auto-hide playlist in toolbar mode only if AIMP window is non-focused
+ Player: quick file info is available instead of information line
+ Player: AIMP could divide internet-radio into tracks
+ Player: manual scrolling of running line
+ Player: 32-bit sound processing
+ Player: line formating of tracklist
+ Player: new quick tag editor
+ Player: showing album covers from JPG, BMP, PNG, TIFF (for Win2K is required GDI+)
+ Player: jump to quick search by f3
+ Music library: auto-compressing DB every 2 weeks
+ Music library: "add to DataBase" menu was improved
- Fixed: some bugs were fixed
- Fixed: bug with wake up
- Fixed: bug with saving state of DSP plugins
- Fixed: bug with saving options in limited account
- Fixed: bug with reading track number from tag with non-numerical tag-data
- Fixed: bug with unicode
- Music library: bug with scrolling of list if it contains more than 32000 files
- Music library: bug with language changing


AIMP v2.07.207 Beta (29.10.2007)
================================
+ Player: set file rating in quick file info
+ Player: new DSP-manager: tempo & pitch
+ Player: now AIMP's interface supports unicode
+ Player: radio records save in individual folders
+ Player: new hot key settings menu
+ Player: file queue management by keyboard
+ Playlist: variable width of playlist in toolbar mode
+ Playlist: show dead file-links
+ Playlist: new bookmarks menu, ability to save current playing position of file
+ Playlist: search in all playlists
+ Playlist: playlist bookmarks sorting
+ Playlist: «insert file after current» function was added
+ Music library: new interface mode – card view
+ Music library: search by file names in library
+ Music library: saving last active item
* Player: removed title scrolling from playlist
- Fixed: bug with hidden folders adding
- Fixed: bug with track lyrics in ID3v2 tags
- Fixed: bug with track number of WMA files
- Fixed: bug in Drag'n'Drop of files with unicode symbols in title
- Fixed: speed up PLC-playlists loading


AIMP v2.05.205 Beta (01.10.2007)
================================
+ Player: ability of coping information of track to clipboard in QuickFileInfo
+ Player: quick launch for equalizer and playlist settings
+ Player: quick launch for skins in TrayControl
+ Player: tags support utf16 format
- Fixed: registry menu was not working in tag editor
- Fixed: bugs with playing some MP3s
- Fixed: bugs in SkinEngine
- Fixed: bugs with shuffle mode
- Fixed: bugs in winamp emulation module (with input, generic plugins)
- Fixed: bugs with playing MMS-stream


AIMP v2.03.203 Beta (14.09.2007)
================================
+ Player: DragAndDrop in playlist bookmarks
+ Player: ability to change font in information line
+ Player: upgraded function "open folder with file"
+ Player: QuickEditor was wided
+ Player: function "search new files": searching in sub-folders now
- Fixed: other minor issues
- Fixed: did't show covers of albums
- Fixed: bug in playing WAV-files grabbed by WMP
- Fixed: bug in saving path of folder to record radio
- Fixed: rendering frames in windows vista
- Fixed: bug in "stop after current"
- Fixed: bug in reading some CUE
- Fixed: bug in reading ID3v2.4 tags
- Fixed: bug in playing some MP3-files with VBR
- Playlist: fixed focusing on player during D'n'D in playlist
- Playlist: bug in tag-scanner of playlist


AIMP v2.02.202 Beta (01.09.2007)
================================
+ Player: adjustment of crossfading duration
+ Player: new tray status icon
+ Player: analog meter was updated
+ Player: showing the adjustment of value of volume, balance and speed in running line
+ Player: AIMP applications' interplay module was remade
+ Player: saving number of track in .PLC
+ Music library: set rating from player's menu
+ Music library: selection of columns in table
+ Music library: highlighting of current playing item
+ Music library: now released as plugin
- Fixed: bug with ogg radio
- Fixed: some minor issues
- Fixed: bug with "StayOnTop" mode
- Fixed: bug with file-association
- Fixed: bug with Drag'n'Droping files from playlist to other applications
- Fixed: bug with SkinEngine
- Fixed: bug with reading APE tags


AIMP v2.00.200 Beta 1 (08.08.2007)
==================================
+ QuickEditor: ability of multi editing
+ QuickEditor: ability of save tags to playing file
+ Main: support opening multiple files from command line
+ Main: ability of scrolling title at button in the taskbar
+ Main: ability of changing icon-schemes for file associations
+ Main: ability of global volume control
+ Main: ability of turn off the computer after n-th number of tracks
+ Main: new version of sound engine and ogg codec
+ Main: new version of "analog meter" plugin
+ Main: new style of program
+ Main: CUE sheets support
+ Main: ability of viewing the album cover for current track
+ Main: ability of autocreating tracklist for internet radio capturing
+ Main: audio library
+ Main: ASX-playlists support
+ Playlist: quick search
+ Playlist: grouping files in playlist with selected scheme
+ Playlist: ability make playlist as desktop toolbar
+ Playlist: ability to dock/undock playlist from main window, change horizontal size
+ Playlist: ability of sorting playlists tabs
+ Playlist: new style of playlist
+ Tag editor: ability to translit / detranslit tags
+ Tag editor: UTF8 support for all tags
+ Tag editor: graphic tags support for MP3, WMA files
+ Tag editor: MPC tags support


